Main Transport Controls

The main transport controls function just like standard controls on tape recorders etc. There are also fixed computer keyboard combinations for the most important transport functions:

Function | Key command | Comments
Stop | [0] on the numeric keypad or [Return] | Pressing Stop during playback stops the sequencer. Pressing stop again, sets the position to the left locator (if this is located before the current position). Pressing stop a third time sets the position to the start of Bar 1. The Stop button also sends out a "Reset" message, in case of stuck notes or other related problems.
Play | [Enter] on the numeric keypad | Starts playback of the sequencer.
Rewind | [7] on the numeric keypad | Clicking once moves the position backward one Bar. If you press and hold this button on the transport (not using key command) it will start scrolling faster after about 2 seconds.
Fast Forward | [8] on the numeric keypad | Clicking once moves the position forward one Bar. If you press and hold this button on the transport (not using key command) it will start scrolling faster after about 2 seconds.
Record | [*] on the numeric keypad, or [Ctrl]-[Return] | Activates "Record ready" mode if sequencer is stopped. If activated during playback it will start recording immediately ("punch in").

You can also use the following transport related key commands:

Function | Key command | Comments
Toggle Stop/Play | Space bar | Switches between stop and play mode.
Go to Left Locator (Loop Start) | [1] on the numeric keypad | Sets the position to the left locator.
Go to Right Locator (Loop End) | [2] on the numeric keypad | Sets the position to the right locator.

Tempo and Time Signature

The tempo and time signature settings can be adjusted on the transport panel. The left tempo field sets the tempo in bpm, and the tempo field to the right allows you to fine tune the tempo, in steps of 1/1000 bpm.

You can specify any tempo between 1 and 999.999 bpm (beats per minute).

You can also adjust the tempo (in bpm steps) by using the [+] and
[-] keys on the numeric keypad.

You set the time signature by specifying a numerator (left value field) and a denominator (right value field).

The numerator is the number of beats per bar, and the denominator governs the length of a beat.

Song Position

The song position in Bars, Beats and 16th notes is shown (in that order) in the three fields below the transport controls. You can set the positions by using the spin controls.

You can also set the position by double clicking on a Pos value box, typing in a new position (in the format "Bars.Beats.16th notes") and pressing [Return].

If you only type one or two numbers, the remaining numbers will be set to their lowest values (e.g. type "5" to set the position to "5.1.1")

Left and Right Locator Positions

The left and right locators are used for several things, like setting the boundaries of a loop or inserting/removing bars. You can set the positions for both locators by using the spin controls on the transport panel or by double clicking and typing a position value.

Loop On/Off

In loop mode, the sequencer will repeat a section over and over again, during playback or recording. You specify the section to be looped by setting the left and right locator.

Overdub/Replace Switch

When recording over a previously recorded section, this switch governs the following:

In Overdub mode, the new recording is added to whatever was on the Track before.

In Replace mode, the new recording replaces any previously recorded notes.

Note that controllers and pattern changes aren't affected by this - recording controllers will always replace any previously recorded controller values. However, you may still want to set the switch to Overdub mode, to avoid accidentally removing some recorded notes in the area.


Additional Transport Panel Items
Click

When this is activated, you will hear a click on each beat, with an accent on the downbeat of each bar. The click is played back during recording and playback. You can adjust the volume of the click by using the Level knob.

MIDI Sync and Focus

This section of the Transport Panel contains items relating to MIDI sync.

The "Enable" button puts Reason into MIDI sync mode.

The transport controls will be disabled, and Reason will not run unless MIDI sync data is provided from an external device.

The MIDI and Play Focus buttons relate to how incoming MIDI and MIDI sync should be handled if there are several open Song documents. If you have two or more Songs opened, and no MIDI sync is used, the currently selected Song (the document "on top") always has MIDI focus. If MIDI Sync is enabled (which is global for all currently open Song documents), this functionality changes in the following way:

If both "Play" and "MIDI" are activated for a Song, incoming MIDI data and MIDI sync will be sent to this Song, regardless of whether another Song is currently in focus.

If only "MIDI" is activated for Song, and another Song has "Play" focus, incoming MIDI will be sent to the former and MIDI sync to the latter (i.e this Song will play back), regardless of which Song is currently in focus.

Automation Override

Automation override is activated when you manually "grab" a parameter that is being automated. If you change the setting of an automated parameter, the "Punched In" indicator lights up, and the automation data is temporarily overridden, until you either click the "Reset" button or press stop on the transport. As soon as you click Reset, the automation regains control.

Audio Out Clipping Indicator

All signals that are being fed into the Hardware Interface (to your audio hardware's physical outputs) are monitored for clipping (signal overload) at the output stage.

If clipping occurs this indicator will light up, and stay lit for several seconds. If this happens, you should reduce the output level, in one of the following ways:

If the signals are being sent to your Hardware Interface via a Mixer, you should reduce the Master output level from the Mixer.

This will ensure that the relative levels of the mix are kept intact. Alternatively, if the current mix doesn't represent a "final balance", and the clipping seems to be caused by individual channels in the mixer, you could also try reducing the output of the connected device(s), or pulling down the channel faders a bit for the "offending" channels.

Clipping can only occur in the output stage of the Hardware Interface, not in the Reason mixer or in any other Reason device. However, it is good practice to keep all mixer channel and master levels as high as possible within the normal range, for best results. For example, having to compensate channel levels by drastically reducing the Master output to avoid clipping is indicative of the mixer channel levels being set too high.

If the Audio Out Clipping indicator lights up, and the signals are being sent directly (not via a Mixer) to your Hardware Interface, you can check the meters in the Hardware Interface. If the red segment of any of these meters are momentarily lit, this indicates at which output(s) the clipping is occurring.

Reduce the output level of all devices connected to outputs whose meters show red.

CPU Meter

This bar graph shows the current CPU (processor) load. Note that this measures how much of the total processor power the Reason "audio engine" currently is using up. Graphics, MIDI and the "rest" of the Reason program is allotted the CPU power not used by the audio engine, so audio always has priority.


About the Hardware Interface

The Hardware Interface is where you connect Reason with the "outside world". This is where MIDI is received, and where audio signals are routed to ReWire channels or to the physical outputs of your audio hardware. The Hardware Interface is always present at the top of the rack, and cannot be deleted. This chapter is meant to serve as a panel reference, describing the various sections of the device. How to set up your MIDI interface and audio hardware is described in the Getting Started book.

The Hardware interface is divided into two sections: MIDI In Device and Audio Out.


The MIDI In Device

Reason's Hardware Interface can accommodate up to 64 channels of MIDI, divided into 4 buses, each with 16 MIDI channels. There are two basic ways you can route incoming MIDI to Reason devices, which is set in the Preferences - MIDI and Advanced MIDI dialogs:

Via the Sequencer.

If you choose this option, the selected track's destination device automatically receives incoming MIDI data. This means that you only have to send MIDI over the same port and channel as the sequencer is set to use (in the MIDI Preferences), to access any audio device in Reason. This is the easiest way of routing MIDI if you are using the built in sequencer. There are no settings you need to make in the Hardware Interface if you use the Sequencer input.

By using the MIDI "External Control" inputs.

This is set in the Advanced MIDI Preferences. You can select up to four buses (if your MIDI interface supports it), each with 16 MIDI channels. If this mode is used, you use the pop-up menu for each MIDI channel in the MIDI In device to select the destination device you would like to route the MIDI to. If you want to send MIDI to Reason over several channels simultaneously, you have to use the external control inputs.


Using External MIDI Control

For each MIDI channel, the MIDI In Device contains the following items:

The Device Pop-Up menu is used to select which device the channel should send MIDI to.

Only existing devices are available on the menu.

The Name field displays the name of the device connected to the channel.

This is blank if no device is selected.

A note on indicator shows if MIDI is received on this channel.

Bus Select Buttons

These four buttons labeled A, B, C and D are used to select which of the four buses is currently displayed in the MIDI In device. If you have a multiple port interface you can use up to four buses (or ports), each with 16 MIDI channels. The Bus Select buttons determine which of the buses is currently in view in the MIDI In device.

About Audio Outputs

Reason supports up to 64 audio output channels.

Each output features a meter and a green indicator which will be lit for each channel that is available.

Remember that the Hardware Interface is where any possible audio clipping will occur in Reason. Keep an eye on the clipping indicator on the transport panel, and also on the individual meters in the Audio Out panel. If a channel pushes the meter into the red, the output level of the device should be reduced.


Using ReWire

If you are running Reason together with a ReWire compatible host application, you can route any Reason device output to a ReWire channel by connecting the device to any of the audio inputs at the back of the Hardware Interface. In ReWire mode, all 64 channels are available and any device output routed to a ReWire channel will appear in the ReWire host application on it's own channel.


The Mixer - Introduction

The Mixer 14:2 allows you to control the level, stereo placement (Pan), tone (EQ) and effect mix (AUX Sends) of each connected audio device.

If you have ever used a conventional hardware audio mixer, you will most likely find the Mixer very straightforward to use. It is configured with 14 (stereo) input channels, which are combined and routed to the Left and Right Master outputs. The vertical channel "strips" are identical and contain - from the top down - four Auxiliary Sends, an EQ section, Mute and Solo buttons, Pan control, and a Level fader.

Every mixer parameter can of course be automated, and should the need arise for more mixer channels, you can simply create another mixer!

Note that if you haven't created a mixer prior to creating an audio device, the audio device output will be auto-routed to your audio hardware outputs via the Reason Hardware Interface (Audio Out device).


Channel Strip Controls

Item

Description

Value Range

Channel Fader

The channel fader is used to control the output level of each corresponding channel.
By adjusting the faders, you can set the desired mix (balance) between different devices connected to the Mixer.

0 - 127

Channel Label

Each channel in the mixer that has a device connected to it, displays a read-only label with the name of the device to the left of the fader.

N/A

Channel Meter

The meter is a graphical representation of the channel output level. If the signal level pushes the meter into the range of the red area, try lowering either the output level of the device connected to the channel, or the channel fader itself, to avoid distortion.

N/A

Pan Control

Use this control to set the left/right position of the channel in the stereo field. [Ctrl]-click the Pan knob to set Pan to the default "0" (center position).

-64 - 0 - 63

Mute (M) and
Solo (S) Buttons

Clicking a channel's Mute button silences the output of that channel. Click the button again to unmute the channel.
Clicking a channel's Solo button silences all other mixer channels, so that you only hear the soloed channel. Several channels can be soloed at the same time, but if this is the case, note that soloed channels can't be muted with the Mute button. To mute one of several channels in solo mode you simply "unsolo" it.

On/Off

EQ Treble and Bass controls

The EQ Treble and Bass controls is used to cut or boost the higher and lower frequencies of the signal, respectively. Click on the EQ button to activate the EQ.

If you need more advanced EQ, you can always use a PEQ2 parametric EQ as an insert effect for a device.

Treble: +/- 24 dB at 12 kHz.

Bass: +/- 24 dB at 80 Hz.

Auxiliary (AUX) Effect Send 1-4

The four independent AUX Sends control the amount of channel signal that is to be sent to other devices - typically effect processors. The effect output is then normally returned to the Mixer via the AUX Return inputs where it is mixed with the dry (non-processed) signal. If you create an effect device when the Mixer is selected, the effect is auto-routed to the first available Send/Return connectors. You can then control the amount of effect that is to be applied to any device connected to a Mixer channel via the corresponding AUX Send knob. The AUX Send outputs are taken post channel fader, and the AUX Send connectors are mono.

0 - 127


Signal Flow

The basic signal flow of the Mixer 14:2 is as follows:

Note that the Solo function is true "in-place" solo, meaning that if the channel uses Auxiliary sends routed to effect devices, the soloed output signal will also include the Aux Return signals (from the soloed channel(s) only). Hence, you will hear the soloed channel(s) including any Aux Send effects.


The Auxiliary Return Section

The Auxiliary Returns provide an "extra" four stereo inputs in addition to the Mixer's 14 stereo channels. The main function of Return channels is to provide inputs for connected Send effects devices. Each Aux Return channel has a level control, and a read-only tape label that display the name of the device connected to the Return channel.


The Master Fader

The Master L/R fader controls the summed output level of all channels in the Mixer. Use this to change the relative level of all channels, to make fade-outs etc.


Connections

All input and output connectors are as usual located on the back panel of the Mixer 14:2.

Mixer Channel Connections

Each mixer channel features stereo left/right inputs for connecting audio devices.

Use the left input when manually connecting a mono signal source.

In addition, there are two Control Voltage (CV) inputs (with associated voltage trim pots), for voltage controlling channel Level and Pan from other devices.

Auxiliary (AUX) Send Out

There are four mono Send Out connectors, which normally are used to connect to the inputs of effect devices.

When a Send is connected to an effects device, the corresponding AUX Send knob determines the level of the signal sent to the effect device for each channel. The Send Output is taken post-channel fader.

Note that some effects (for example the Comp-01 compressor or the PEQ2 parametric EQ) are effect types which are not designed to be used as AUX Send effects, but rather as insert effects, where the whole signal is passed through the effect.

Auxiliary (AUX) Returns

There are four stereo Return input connectors.

These are normally connected to the left and right outputs of effect devices.

Master Left/Right Outputs

The Master outputs are auto-routed to the first available input pair on the Audio Hardware interface.

This in turn sends the audio to the outputs of your audio hardware.

Note that the Master outputs don't have to be routed directly to the Audio Hardware Interface. You could for example route the Master outputs to an effect, and then route the effect outputs to the Hardware Interface instead.

In addition, there is a Control Voltage (CV) input (and an associated trim pot), for voltage controlling the Master Level from another device.


Chaining Mixers

If you need more Mixer channels, you can simply create a new Mixer. If you do this, the Mixers are automatically connected via the "Chaining Master" and "Chaining Aux" connectors.

The newly created Mixer's Master Output is connected to the original Mixer's Chaining Master input.

The Master Out Level for the new Mixer is now controllable from the original Mixer's Master fader - so that this fader now controls the Master output level of both mixers.

The newly created Mixer's four Aux Send outputs is connected to the original Mixer's Chaining Aux connectors.

The new Mixer will now have access to any Aux Send effects connected to the original Mixer, via the same corresponding Aux Send(s).

This way, the two Mixers operate as "one".

One exception is the Mute/Solo function, which is not chained. Thus, soloing a channel in one of the Mixers, will not mute the channels in the other Mixer.

You can create as many Mixers as you like, they will be chained in the same way, with one Mixer remaining the "master" (i.e. it controls the Master level of all chained Mixers and supplies the Aux Send effect sources).

Partially or Non-Chained Mixers

You can also have several Mixers that are only partially or not chained at all.

You may for example wish to have different Aux Send effects for one Mixer.

Then simply disconnect one or more of the Send Out to Chaining Aux connectors, and assign new Send effects.

You could for example send the Master output of one Mixer to another Input pair on the Audio In Hardware interface, instead of the Chaining Master inputs.


Redrum - Introduction

At first glance, Redrum looks styled after pattern-based drum machines, like the legendary Roland 808/909 units. Indeed, it does have a row of 16 step buttons that are used for step programming patterns, just like the aforementioned classics. There are significant differences, however. Redrum features ten drum "channels" that can each be loaded with an audio file, allowing for completely open-ended sound possibilities. Don't like the snare - just change it. Complete drumkits can be saved as Redrum Patches, allowing you to mix and match drum sounds and make up custom kits with ease.


About File Formats

Redrum reads two basic types of files:

Redrum Patches

A Redrum patch (Windows extension ".drp") contains all settings for all ten drum sound channels, including file references to the used drum samples (but not the actual drum samples themselves). Switching patches is the same as selecting a new drum kit.

Drum Samples

Redrum can read and play back sample files of the following formats:

Wave (.wav)

AIFF (.aif)

SoundFonts (.sf2)

REX file slices (.rex2, .rex, .rcy)

Any bit depth

Any sample rate

Stereo or Mono

All samples are stored internally in 16-bit format, regardless of their original bit depth or sample rate.

Wave and AIFF are the standard audio file formats for the PC and Mac platforms, respectively. Any audio or sample editor, regardless of platform, can read and create audio files in at least one of these formats, and some of them in both formats.

SoundFonts are an open standard for wavetable synthesized audio, developed by E-mu systems and Creative Technologies.

SoundFont banks store wavetable synthesized sounds, allowing users to create and edit multi-sampled sounds in special Soundfont editing programs. The sounds can then be played back in wavetable synthesizers, typically on audio cards.The samples in a SoundFont are stored hierarchically in different categories: User Samples, Instruments, Presets etc. The Redrum allows you to browse and load single SoundFont samples, not entire soundfonts.

REX files are files created in ReCycle - a program designed for working with sampled loops. It works by "slicing" up a loop and making separate samples of each beat, which makes it possible to change the tempo of loops without affecting the pitch and to edit the loop as if it was built up of individual sounds. The Redrum lets you browse REX files and load separate slices from it as individual samples.


About Patches

When you create a new Redrum device it is empty. Before it can play back any audio you must first load a Redrum patch (or create one from scratch, by loading individual drum samples). A Redrum patch contains settings for the ten drum sound channels, complete with file references to the drum samples used.

Redrum patterns are not part of the patch!


Loading a Patch

To load a patch, use one of the following methods:

Use the browser to locate and open the desired patch.

To open the browser, select "Browse Redrum Patches" from the Edit menu or device context menu, or click the folder button in the patch section on the device panel.

Once you have selected a patch, you can step between all the patches in the same folder by using the arrow buttons next to the patch name display.

If you click on the patch name display on the device panel, a pop-up menu will appear, listing all patches in the current folder.

This allows you to quickly select another patch in the same folder, without having to step through each one in turn.


Checking the Sounds in a Patch

There are two ways you can listen to the sounds in a patch without programming a pattern:

By clicking the Trigger (arrow) button at the top of each drum sound channel.

By playing the keys C1 to A1 on your MIDI keyboard.

C1 plays drum sound channel 1 and so on.

Both these methods play back the drum sample for the corresponding drum sound channel, with all settings for the sound applied.


Creating a new Patch

To create a patch of your own (or modify an existing patch), you use the following basic steps:

1. Click the folder button for a drum sound channel.

The Redrum sample browser opens.

2. Locate and open a drum sample.

You will find a large number of drum samples in the Factory Sound Bank (in the folder Redrum Drum Kits/xclusive drums-sorted). You can also use any AIFF, Wave, SoundFont sample or REX file slice for this.

3. Make the desired settings for the drum sound channel.

4. Repeat steps 1 and 3 for the other drum sound channels.

5. When you're satisfied with the drum kit, you can save the patch by clicking the Floppy Disk button in the patch section on the device panel.

Note however, that you don't necessarily need to save the patch - all settings are included when you save the song.

Loading REX file slices

Loading slices from within a REX file is done much in the same way as loading "regular" samples:

1. Open the sample browser (the folder button for a drum channel).

2. Browse to a REX file.

Possible extensions are ".rex2", ".rex" and ".rcy".

3. Select the file and click "Open".

The browser will now display a list of all the separate slices within the REX file.

4. Select the desired slice and click open.

The slice is loaded into the Redrum.


Creating an Empty Patch

To "initialize" the settings in the Redrum, select "Initialize Patch" from the Edit menu or the device context menu. This removes all samples for all drum sound channels, and sets all parameters to their default values.


About Pattern Selection

As described in the Getting Started book, each pattern device (such as the Redrum) has 32 pattern memories, divided into four banks. To select a pattern, click a Pattern button (or, if the desired pattern is in another bank, first click the Bank button and then click the Pattern button).

If you select a new pattern during playback, the change will take effect on the next downbeat (according to the time signature set in the transport panel).

If you automate pattern changes in the main sequencer, you can make them happen at any position.

Note that you cannot load or save patterns - they are only stored as part of a song.

However, you can move patterns from one location to another (even between songs) by using the Cut, Copy and Paste Pattern commands. This is explained in the chapter "Using Pattern Devices" in the Getting Started book.


Pattern Programming Basics

If you are unfamiliar with step programming patterns, the basic principle is very intuitive and easy to learn. Proceed as follows:

1. Load a Redrum patch, if one isn't already loaded.

2. Make sure an empty pattern is selected.

If you like, use the Clear Pattern command on the Edit menu or device context menu to make sure.

3. Make sure that the "Enable Pattern Section" and the "Pattern" buttons are activated (lit).

4. Press the "Run" button.

There will be no sound, as no pattern steps have been recorded yet. But as you can see, the LEDs over the Step button light up consecutively, moving from left to right, and then starts over. Each Step button represents one "step" in the Pattern.

5. Select a Redrum channel, by clicking the "Select" button at the bottom of the channel.

The button lights up, indicating that this channel and the drum sound it contains is selected.

6. While in Run mode, press Step button 1, so that it lights up.

The selected sound will now play every time Step 1 is "passed over".

7. Clicking other Step buttons so they light up will play back the selected sound as the sequencer passes those steps.

Clicking on a selected (lit) step button a second time removes the sound from that step and the button goes dark again. You can click and drag to add or remove steps quickly.

8. Select another Redrum channel to program steps for that sound.

Selecting a new sound or channel also removes the visual indications (static lit buttons) of step entries for the previously selected sound. The step buttons always show step entries for the currently selected sound.

9. Continue switching between sounds, and programming steps to build your pattern.

Note that you can erase or add step entries even if Run mode isn't activated.


Setting Pattern Length

You may want to make settings for Pattern length, i.e the number of steps the pattern should play before repeating:

Use the "Steps" spin controls to set the number of steps you wish the pattern to play.

The range is 1 to 64. You can always extend the number of steps at a later stage, as this will merely add empty steps at the end of the original pattern. You could also make it shorter, but that would (obviously) mean that the steps "outside" the new length won't be heard. These steps aren't erased though; if you raise the Steps value again, the steps will be played back again.

About the "Edit Steps" Switch

If you set the pattern length to more than 16 steps, the pattern steps following after the 16th won't be visible, although they will play back. To view and be able to edit the next 16 steps, you have to set the Edit Steps switch to 17-32. To see and edit steps beyond 32 you set the switch to 33-48, and so on.


Setting Pattern Resolution

Redrum always follows the tempo setting on the transport panel, but you can also make Redrum play in different "resolutions" in relation to the tempo setting. Changing the Resolution setting changes the length of each step, and thereby the "speed" of the pattern.

This is explained in the chapter "Using Pattern Devices" in the Getting Started book.


Step Dynamics

When you enter step notes for a drum sound, you can set the velocity value for each step to one of three values: Hard, Medium or Soft. This is done by setting the Dynamic switch before entering the note.

When the Medium value is selected, you can enter Hard notes by holding down [Shift] and clicking.

In the same way, you can enter Soft notes by holding down [Alt] and clicking. Note that this doesn't change the Dynamic setting on the device panel - it only affects the notes you enter.

When you use different dynamics, the resulting difference in the sound (loudness, pitch, etc.), is governed by the "VEL" knob settings for each drum channel.

If no velocity amount is set for a drum channel, it will play back the same, regardless of the Dynamic setting.

To change the dynamics for an already programmed step, set the switch to the dynamic value you wish to change it to and click on the step.

Note that if you are triggering Redrum via MIDI or from the main sequencer, the sounds will react to velocity like any other audio device. The Dynamic values are there to offer velocity control when using the built-in pattern sequencer.


Pattern Shuffle

Shuffle is a rhythmic feature, that gives the music a more or less pronounced swing feel. It works by delaying all sixteenth notes that fall in between the eighth notes.

You can activate or deactivate shuffle individually for each Redrum pattern by clicking the Shuffle button on the device panel.

However, the amount of shuffle is set globally with the Pattern Shuffle control on the transport panel.


Flam

A flam is when you double-strike a drum, to create a rhythmic or dynamic effect. Applying flam to a step entry will add a second "hit" to a drum sound. The flam amount knob determines the delay between the two hits.

To add a flam drum note, proceed as follows:

1. Activate flam by clicking the Flam button.

2. Click on a step to add a note (taking the Dynamic setting into account as usual).

A red LED is lit above the step to indicate that flam will be applied to that step.

3. Use the Flam knob to set the desired amount of flam.

The flam amount is global for all patterns in the device.

To add or remove flam to or from an existing step note, click directly on the corresponding flam LED.

You can also click and drag on the LEDs to add or remove several flam steps quickly.

Applying flam to several consecutive step entries is a quick way to produce drum rolls.

By adjusting the Flam knob you can create 1/32 notes even if the step resolution is 1/16, for example.


The Pattern Enable switch

If you deactivate the "Pattern" button above the pattern selection buttons, the pattern playback will be muted, starting at the next downbeat (exactly as if you had selected an empty (silent) pattern). For example, this can be used for bringing different pattern devices in and out of the mix during playback.


The Enable Pattern Section switch

If this is deactivated, Redrum will function as a pure "sound module", i.e. the internal Pattern sequencer is disengaged. Use this mode if you wish to control Redrum exclusively from the main sequencer or via MIDI.


Pattern Functions

When a Redrum device is selected, you will find some specific pattern functions on the Edit menu (and on the device context menu):

Function

Description

Shift Pattern Left/Right

These functions move all notes in the pattern one step to the left or right.

Shift Drum Left/Right

The Shift Drum functions move all notes for the selected drum channel (the channel for which the Select button is lit) one step to the left or right.

Randomize Pattern

Creates a random pattern. Random patterns can be great starting points and help you get new ideas.

Randomize Drum

Creates a random pattern for the selected drum sound only - the notes for the other drum sound channels are unaffected.

Alter Pattern

The Alter Pattern function modifies the selected pattern by "shuffling" the current pattern notes and redistributing them among the drum sounds at random. This creates a less chaotic pattern than the "Randomize Pattern" function.

Note that there must be something in the pattern for the function to work on - using an Alter function on an empty pattern will not do anything.

Alter Drum

Works like the "Alter Pattern" function, but affects the selected drum sound only.


Chaining Patterns

When you have created several patterns that belong together, you most probably want to make these play back in a certain order. This is done by recording or inserting pattern changes into the main sequencer.


Converting Pattern Data to Notes

You can convert Redrum Patterns to notes in the main sequencer. This allows you to edit the notes freely, create variations or use Groove quantizing.


Drum Sound Settings

Redrum features ten drum sound channels that can each be loaded with a Wave or AIFF sample or a sample from a SoundFont bank. Although they are basically similar, there are three "types" of drum sound channels, with slightly different features. This makes some channels more suitable for certain types of drum sounds, but you are of course free to configure your drum kits as you like.

On the following pages, all parameters will be listed. If a parameter is available for certain drum sound channels only, this will be stated.

Mute & Solo

At the top of each drum sound channel, you will find a Mute (M) and a Solo (S) button. Muting a channel silences its output, while Soloing a channel mutes all other channels. Several channels can be muted or soloed at the same time.

You can also use keys on your MIDI keyboard to mute or solo individual drum sounds in real time.

The keys C2 to E3 (white keys only) will mute individual drum channels starting with channel 1.

The sounds are muted for as long as you hold the key(s) down.

The keys C4 to E5 (white keys only) will solo individual drum channel, starting with channel 1.

The sounds are soloed for as long as you hold the key(s) down.

This is a great way to bring drum sounds in and out of the mix when playing Reason live. You can also record the drum channel Mutes in the main sequencer, just like any other controller.

The Effect Sends (S1 & S2)

On the back panel of Redrum you will note two audio connections labeled "Send Out" 1 and 2. When you create a Redrum device, these will by default be auto-routed to the first two "Chaining Aux" inputs on the Mixer device (provided that these inputs aren't already in use).

This feature allows you to add effects to independent drum sounds in the Redrum.

Raising the S1 knob for a drum sound channel will send the sound to the first send effect connected to the mixer.

Similarly, the S2 knob governs the send level to the second send effect in the mixer.

Note that there must be send effects connected to the AUX Sends and Returns in the mixer for this to work.

Another way to add independent effects to drum sounds is to use the independent drum outputs.

Pan

Sets the Pan (stereo position) for the channel.

If the LED above the Pan control is lit, the drum sound uses a stereo sample.

In that case, the Pan control serves as a stereo balance control.

Level and Velocity

The Level knob sets the volume for the channel. However, the volume can also be affected by velocity (as set with the Dynamic value, or as played via MIDI). How much the volume should be affected by velocity is set with the "Vel" knob.

If the Vel knob is set to a positive value, the volume will become louder with increasing velocity values.

The higher the Vel value, the larger the difference in volume between low and high velocity values.

A negative value inverts this relationship, so that the volume decreases with higher velocity values.

If the Vel knob is set to zero (middle position), the sound will play at a constant volume, regardless of the velocity.

When Vel is set to zero, the LED above the knob goes dark.

Length and the Decay/Gate switch

The Length knob determines the length of the drum sound, but the result depends on the setting of the Decay/Gate switch:

In Decay mode (switch down), the sound will decay (gradually fade out) after being triggered. The decay time is determined by the Length setting.

In this mode, it doesn't matter for how long a drum note is held (if played back from the main sequencer or via MIDI) - the sound will play the same length for short notes as for long notes. This is the traditional "drum machine" mode.

In Gate mode (switch up), the sound will play for the set Length, and then be cut off.

Furthermore, if a sound set to Gate mode is played from the main sequencer, from a CV/Gate device or via MIDI, the sound will be cut off when the note ends or after the set Length, depending on which comes first. Or in other words, the sound plays for as long as you hold the note, but the Length setting serves as the maximum length for the sound.
There are several uses for the Gate mode:

For "gated" drum sounds, when the tail of the sound is abruptly cut off as an effect.

For when you want to use very short sounds, and don't want them to "lose power" by being faded out.

For when you play the Redrum from the sequencer or via MIDI, with sounds for which the length is important (e.g. when using the Redrum as a sound effects module).

Audio samples sometimes contain a "loop", which is set by editing the audio in a sample editor. This loop repeats a part of the sample to produce sustain as long as you hold down a note. Drum samples usually don't contain loops, but who is to say that Redrum should only play drum samples?
Note that if a sample contains a loop, and Length is set to maximum, the sound will have infinite sustain, in other words it will never become silent, even if you stop playback. Decreasing the Length setting solves this problem.

Pitch

Sets the pitch of the sound. The range is +/- 1 octave.

When the pitch is set to any other value than 0, the LED above the knob lights up to indicate that the sample isn't played back at its original pitch.

Pitch Bend

By setting the Bend knob to a positive or negative value, you specify the start pitch of the sound (relative to the Pitch setting). The pitch of the sound will then be bent to the main Pitch value. Thus, selecting a positive Bend value will cause the pitch to start higher and bend down to the original Pitch, and vice versa.

The Rate knob determines the bend time - the higher the value, the slower the bend.

The Vel knob determines how the Bend amount should be affected by velocity.

With a positive Vel value, higher velocity results in wider pitch bends.

The Bend and Vel knobs have LEDs that light up when the functions are activated (i.e. when a value other than zero is selected).

Pitch bend is available for drum sound channels 6 and 7 only.

Tone

The Tone knob determines the brightness of the drum sound. Raising this parameter results in a brighter sound. The Vel knob determines whether the sound should become brighter (positive Vel value) or darker (negative Vel value) with higher velocity.

The Tone and Vel knobs have LEDs that light up when the functions are activated (i.e. when a value other than zero is selected).

The Tone controls are available for drum sound channels 1, 2 and 10 only.

Sample Start

The Start parameter allows you to adjust the start point of the sample. The higher the Start value, the further the start point is moved "into" the sample. If you set the Start Velocity knob to a positive amount, the sample start point is moved forward with higher velocities. A negative Start Velocity amount inverts this relationship.

When Start Velocity is set to any other value than zero, the LED above the knob lights up.

A negative Start Velocity amount is only useful if you have set the Start parameter to a value higher than 0.

By raising the Start value a bit and setting Start Velocity to a negative value, you can create rather realistic velocity control over some drum sounds. This is because the very first transients in the drum sound will only be heard when you play hard notes.

The Sample Start settings are available for drum sound channels 3-5, 8 and 9.


Global Settings
Channel 8 & 9 Exclusive

If this button is activated, the sounds loaded into drum channels 8 and 9 will be exclusive. In other words, if a sound is played in channel 8 it will be silenced the moment a sound is triggered in channel 9, and vice versa.

The most obvious application for this feature is to "cut off" an open hi-hat with a closed hi-hat, just like a real one does.

High Quality Interpolation

When this is activated, the sample playback is calculated using a more advanced interpolation algorithm. This results in better audio quality, especially for drum samples with a lot of high frequency content.

High Quality Interpolation uses more computer power - if you don't need it, it's a good idea to turn it off!

Listen to the drum sounds in a context and determine whether you think this setting makes any difference.

Master Level

The Master Level knob in the top left corner of the device panel governs the overall volume from Redrum.


Using Redrum as a Sound Module

The drum sounds in Redrum can be played via MIDI notes. Each drum sound is triggered by a specific note number, starting at C1 (MIDI note number 36).

This allows you to play Redrum live from a MIDI keyboard or a MIDI percussion controller, or to record or draw drum notes in the main sequencer. If you like, you can combine pattern playback with additional drum notes, such as fills and variations. However:

If you want to use Redrum purely as a sound module (i.e. without pattern playback) you should make sure that the "Enable Pattern Section" button is deactivated.
Otherwise, the Redrum pattern sequencer will start as soon as you start the main sequencer.


Connections

On the back of the Redrum you will find the following connections:

For each drum sound channel:

Connection

Description

Audio Outputs

There are individual audio outputs for each drum sound channel, allowing you to route a drum sound to a separate channel in the mixer, possibly via insert effects, etc.

For mono sounds, use the "Left (Mono)" output (and pan the sound using the Pan control in the mixer).

When you use an individual output for a sound, the sound is automatically excluded from the master stereo output.

Gate Out

This sends out a gate signal when the drum sound is played (from a pattern, via MIDI or by using the Trigger button on the device panel). This lets you use the Redrum as a "trig sequencer", controlling other devices.
The length of the gate signal depends on the Decay/Gate setting for the sound: In Decay mode, a short "trig pulse" is sent out, while in Gate mode, the gate signal will have the same length as the drum note.

Gate In

Allows you to trigger the sound from another CV/Gate device. All settings apply, just as when playing the drum sound conventionally.

Pitch CV In

Lets you control the pitch of the drum sound from another CV device.

Others

Connection | Description
Send Out 1-2 | Outputs for the send signals controlled with the S1 and S2 knobs available for each drum sound channel on the device panel.
Stereo Out | This is the master stereo output, outputting a mix of all drum sounds (except those for which you use individual outputs).


Introduction

Subtractor is an analog-type polyphonic synthesizer based on subtractive synthesis, the method used in analog synthesizers. This chapter will go through all parameters of each section of Subtractor. In addition to the parameter descriptions, the chapter also includes a few tips and tricks to help you get the most out of the Subtractor synthesizer.

It is recommended that you start with default settings (an "Init Patch") if you intend to follow the examples in this chapter, unless otherwise is stated. An Init Patch is created by selecting "Initialize Patch" from the Edit menu. If you wish to keep the current settings, save them before initializing.

The Subtractor has the following basic features:

Up to 99 Voice Polyphony.

You can set the number of voices for each Patch.

Dual Filters.

A combination of a multimode filter and a second, linkable, lowpass filter allows for complex filtering effects.

Two Oscillators, each with 32 waveforms.

Frequency Modulation (FM).

Oscillator Phase Offset Modulation.

This is an unique Subtractor feature that generates waveform variations.

Two Low Frequency Oscillators (LFO:s)

Three Envelope Generators.

Extensive Velocity Control.

Extensive CV/Gate Modulation possibilities.

Loading and saving Patches is described in the chapter "Working with Patches" in the Getting Started book.


About the Oscillator Section

Subtractor provides two oscillators. Oscillators are the main sound generators in Subtractor, the other features are used to shape the sound of the oscillators. Oscillators generate two basic properties, waveform and pitch (frequency). The type of waveform the oscillator produces determines the harmonic content of the sound, which in turn affects the resultant sound quality (timbre). Selecting a oscillator waveform is usually the starting point when creating a new Subtractor Patch from scratch.


Oscillator 1 Waveform

Oscillator 1 provides 32 waveforms. The first four are standard waveforms, and the rest are "special" waveforms, some of which are suitable for emulating various musical instrument sounds.

It is worth noting here that all waveforms can be radically transformed using Phase offset modulation.

To select a waveform, click the spin controls to the right of the "Waveform" LED display.

The first 4 basic waveforms are shown as standard symbols, and the special waveforms are numbered 5 - 32.

Here follows a brief description of the Subtractor waveforms:

Please note that the descriptions of the waveforms sound or timbre is merely meant to provide a basic guideline, and shouldn't be taken too literally. Given the myriad ways you can modulate and distort a waveform in Subtractor, you can produce extremely different results from any given waveform.

Waveform | Description
Sawtooth | This waveform contains all harmonics and produces a bright and rich sound. The Sawtooth is perhaps the most "general purpose" of all the available waveforms.
Square | A square wave only contains odd number harmonics, which produces a distinct, hollow sound.
Triangle | The Triangle waveform generates only a few harmonics, spaced at odd harmonic numbers. This produces a flute-like sound, with a slightly hollow character.
Sine | The sine wave is the simplest possible waveform, with no harmonics (overtones). The sine wave produces a neutral, soft timbre.
5 | This waveform emphasizes the higher harmonics, a bit like a sawtooth wave, only slightly less bright-sounding.
6 | This waveform features a rich, complex harmonic structure, suitable for emulating the sound of an acoustic piano.
7 | This waveform generates a glassy, smooth timbre. Good for electric piano-type sounds.
8 | This waveform is suitable for keyboard-type sounds such as harpsichord or clavinet.
9 | This waveform is suitable for electric bass-type sounds.
10 | This is a good waveform for deep, sub-bass sounds.
11 | This produces a waveform with strong formants, suitable for voice-like sounds.
12 | This waveform produces a metallic timbre, suitable for a variety of sounds.
13 | This produces a waveform suitable for organ-type sounds.
14 | This waveform is also good for organ-type sounds. Has a brighter sound compared to waveform 13.
15 | This waveform is suitable for bowed string sounds, like violin or cello.
16 | Similar to 15, but with a slightly different character.
17 | Another waveform suitable for string-type sounds.
18 | This waveform is rich in harmonics and suitable for steel string guitar-type sounds.
19 | This waveform is suitable for brass-type sounds.
20 | This waveform is suitable for muted brass-type sounds.
21 | This waveform is suitable for saxophone-like sounds.
22 | A waveform suitable for brass and trumpet-type sounds.
23 | This waveform is good for emulating mallet instruments such as marimba.
24 | Similar to 23, but with a slightly different character.
25 | This waveform is suitable for guitar-type sounds.
26 | This is a good waveform for plucked string sounds, like harp.
27 | Another waveform suitable for mallet-type sounds (see 23-24), but has a brighter quality, good for vibraphone-type sounds.
28 | Similar to 27, but with a slightly different character.
29 | This waveform has complex, non-harmonic overtones, suitable for metallic bell-type sounds.
30 | Similar to 29, but with a slightly different character. By using FM and setting the Osc Mix to Osc 1, this and the following two waveforms can produce noise.
31 | Similar to 30, but with a slightly different character.
32 | Similar to 30, but with a slightly different character.


Setting Oscillator 1 Frequency - Octave/Semitone/Cent

By clicking the corresponding up/down buttons you can tune, i.e. change the frequency of Oscillator 1 in three ways:

In Octave steps

The range is 0 - 9. The default setting is 4 (where "A" above middle "C" on your keyboard generates 440 Hz).

In Semitone steps

Allows you to raise the frequency in 12 semitone steps (1 octave).

In Cent steps (100th of a semitone)

The range is -50 to 50 (down or up half a semitone).


Oscillator Keyboard Tracking

Oscillator 1 has a button named "Kbd. Track". If this is switched off, the oscillator pitch will remain constant, regardless of any incoming note pitch messages, although the oscillator still reacts to note on/off messages. This can be useful for certain applications:

When Frequency Modulation (FM) or Ring Modulation is used.

This produces non-harmonic sounds with very varying timbre across the keyboard.

For special effects and non-pitched sounds (like drums or percussion) that should sound the same across the keyboard.


Using Oscillator 2

You activate Osc 2 by clicking the button next to the text "Osc 2". Setting oscillator frequency and keyboard tracking is identical to Oscillator 1.

Adding a second oscillator enables many new modulation possibilities which can produce richer timbres. A basic example is to slightly detune (+/- a few cents) one of the oscillators. This slight frequency offset causes the oscillators to "beat" against each other, producing a wider and richer sound. Also, by combining two different waveforms, and adding frequency or ring modulation, many new timbres can be created.

Oscillator Mix

The Osc Mix knob determines the output balance between Osc 1 and Osc 2. To be able to clearly hear both oscillators, the "Osc Mix" knob should be set somewhere around the center position. If you turn the Mix knob fully to the left, only Osc 1 will be heard, and vice versa. [Ctrl]-clicking the knob sets the Mix parameter to center position.


Oscillator 2 Waveform

The waveform alternatives for Oscillator 2 are identical to those of Oscillator 1.

However, the Noise Generator provides a third sound generating source (in addition to the two oscillators) in Subtractor, and could be regarded as an "extra" waveform for Oscillator 2, as it is internally routed to the Oscillator 2 output. See below for a description of the Noise Generator.


Noise Generator

The Noise Generator could be viewed as an oscillator that produces noise instead of a pitched waveform. Noise can be used to produce a variety of sounds, the classic example being "wind" or "rolling wave" sounds, where noise is passed through a filter while modulating the filter frequency. Other common applications include non-pitched sounds like drums and percussion, or simulating breath noises for wind instruments. To use the Noise Generator, select an Init Patch and proceed as follows:

1. Turn Osc 2 off.

2. Click the button (in the Noise Generator section) to activate the Noise Generator.

If you play a few notes on your MIDI instrument you should now hear Osc1 mixed with the sound of the Noise Generator.

3. Turn the Mix knob fully to the right, and play a few more notes.

Now just the Noise Generator will be heard.

Thus, the output of the Noise Generator is internally routed to Osc 2.

If you switch Osc 2 on, the noise will be mixed with the Osc 2 waveform.

There are three Noise Generator parameters. These are as follows:

Parameter | Description
Noise Decay | This controls how long it takes for the noise to fade out when you play a note. Note that this is independent from the Amp Envelope Decay parameter, allowing you to mix a short "burst" of noise at the very beginning of a sound, i.e. a pitched sound that uses oscillators together with noise.
Noise Color | This parameter allows you to vary the character of the noise. If the knob is turned fully clockwise, pure or "white" noise (where all frequencies are represented with equal energy) is generated. Turning the knob anti-clockwise produces a gradually less bright sounding noise. Fully anti-clockwise the noise produced is an earthquake-like low frequency rumble.
Level | Controls the level of the Noise Generator.


Phase Offset Modulation

A unique feature of the Subtractor oscillators is the ability to create an extra waveform within one oscillator, to offset the phase of that extra waveform, and to modulate this phase offset. By subtracting or multiplying a waveform with a phase offset copy of itself, very complex waveforms can be created. Sounds complicated? Well, the theory behind it might be, but from a user perspective it is just a method of generating new waveforms from existing waveforms.

A seasoned synth programmer using Subtractor for the first time may wonder why the Subtractor oscillators (seemingly) cannot provide the commonly used pulse waveform and the associated pulse width modulation (PWM). Or oscillator sync, another common feature in analog synthesizers. The simple answer is that Subtractor can easily create pulse waveforms (with PWM) and oscillator sync-sounds, and a lot more besides, partly by the use of phase offset modulation.

Each oscillator has it's own Phase knob and a selector button. The Phase knob is used to set the amount of phase offset, and the selector switches between three modes:

Waveform multiplication (x)

Waveform subtraction (-)

No phase offset modulation (o).

When phase offset modulation is activated, the oscillator creates a second waveform of the same shape and offsets it by the amount set with the Phase knob. Depending on the selected mode, Subtractor then either subtracts or multiplies the two waveforms with each other. The resulting waveforms can be seen in the illustration below.

In example 1, we see two sawtooth waves with a slight offset.

Example 2 shows that subtracting one slightly offset sawtooth wave from the other, produces a pulse wave. If you modulate the Phase offset parameter (with for example an LFO), the result will be pulse width modulation (PWM).

Example 3 shows the resulting waveform when multiplying the offset waves with each other. As you can see (and hear if you try it), multiplying waveforms can produce very dramatic and sometimes unexpected results.

Using phase offset modulation can create very rich and varied timbres, especially when used along with LFO or Envelopes to modulate the phase offset.

To get a "feel" for this concept, you could study Patches that use phase offset modulation, and maybe tweak some of the Phase Offset parameters to find out what happens. Try "SyncedUp" in the Polysynth category in the Factory Soundbank for an example of osc sync or "Sweeping Strings"(in the Pads category) for an example of PWM.

Note that if you activate waveform subtraction with a Phase offset set to "0" for an oscillator, the second waveform will cancel out the original waveform completely, and the oscillator output will be silent. If you set the Phase Offset knob to any other value than zero, the sound returns.


Frequency Modulation (FM)

In synthesizer-speak, Frequency Modulation, or FM, is when the frequency of one oscillator (called the "carrier") is modulated by the frequency of another oscillator (called the "modulator"). Using FM can produce a wide range of harmonic and non harmonic sounds. In Subtractor, Osc 1 is the carrier and Osc 2 the modulator. To try out some of the effects FM can produce, proceed as follows:

1. Select an Init Patch by selecting "Initialize Patch" from the Edit menu.

2. Activate Osc 2.

As you need both a carrier and a modulator to produce FM, turning the FM knob will not produce any effect unless you first activate Osc 2. For classic FM sounds, use sine wave on oscillator 1 and triangle wave on oscillator 2.

3. Use the FM knob to set the FM amount to a value of about 50.

As you can hear, the timbre changes, but the effect isn't very pronounced yet.

4. Turn the Osc Mix knob fully to the left, so that only the sound of Osc 1 is heard.

The modulator (Osc 2) still affects Osc 1, even though the Osc 2 output is muted.

5. Now, hold down a note on your MIDI keyboard and tune Osc 2 a fifth up from the original pitch by setting the Osc 2 frequency "Semi" parameter to a value of 7.

As you can hear, for each semitone step you vary the Osc 2 frequency, the timbre changes dramatically. Setting Osc 2 frequency to certain musical intervals (i.e. fourth, fifth or octave semitone steps) produces harmonic, rich timbres, almost like tube distortion. Setting Osc 2 to non-musical intervals usually results in complex, non-harmonic timbres.

Experiment with different oscillator parameters such as phase offset modulation, changing the waveforms etc. and listen to how they affect the sound of frequency modulation.

Using the Noise Generator as the Modulator source

As explained earlier, the Noise Generator is internally routed to the Osc 2 output. Hence, if you deactivate Osc 2, and activate the Noise Generator while using FM, the noise will be used to frequency modulate Osc 1.

With the Noise Generators default settings, this will sound much like colored noise. But by changing (lowering) the Noise Generator Decay parameter, so that the noise modulates only the attack portion of the sound can produce more interesting results. You could also use a combination of noise and Osc 2.


Ring Modulation

Ring Modulators basically multiply two audio signals together. The ring modulated output contains added frequencies generated by the sum of, and the difference between, the frequencies of the two signals. In the Subtractor Ring Modulator, Osc 1 is multiplied with Osc 2 to produce sum and difference frequencies. Ring modulation can be used to create complex and non-harmonic, bell-like sounds.

1. Select an Init Patch by selecting "Initialize Patch" from the Edit menu.

Save any current settings you wish to keep before initializing.

2. Activate Ring Modulation with the button in the lower right corner of the oscillator section.

3. Activate Osc 2.

You need to activate Osc 2 before any ring modulation can happen.

4. Turn the Osc Mix knob fully to the right, so that only the sound of Osc 2 is heard.

Osc 2 provides the ring modulated output.

5. If you play a few notes while varying the frequency of either oscillator, by using the Semitone spin controls, you can hear that the timbre changes dramatically.

If the oscillators are tuned to the same frequency, and no modulation is applied to either the Osc 1 or 2 frequency, the Ring Modulator won't do much. It is when the frequencies of Osc 1 and Osc 2 differ, that you get the "true" sound of ring modulation.


About the Filters

In subtractive synthesis, a filter is the most important tool for shaping the overall timbre of the sound. The filter section in Subtractor contains two filters, the first being a multimode filter with five filter types, and the second being a low-pass filter. The combination of a multimode filter and a lowpass filter can be used to create very complex filter effects.


Filter 1 Type

With this multi-selector you can set Filter 1 to operate as one of five different types of filter. The five types are illustrated and explained on the following pages:

24 dB Lowpass (LP 24)

Lowpass filters lets low frequencies pass and cuts out the high frequencies. This filter type has a fairly steep roll-off curve (24dB/Octave). Many classic synthesizers (Minimoog/Prophet 5 etc.) use this filter type.

12 dB Lowpass (LP 12)

This type of lowpass filter is also widely used in analog synthesizers (Oberheim, early Korg synths etc.). It has a gentler slope (12 dB/Octave), leaving more of the harmonics in the filtered sound compared to the LP 24 filter.

Bandpass (BP 12)

A bandpass filter cuts both high and low frequencies, while midrange frequencies are not affected. Each slope in this filter type has a 12 dB/Octave roll-off.

Highpass (HP12)

A highpass filter is the opposite of a lowpass filter, cutting out the lower frequencies and letting the high frequencies pass. The HP filter slope has a 12 dB/Octave roll-off.

Notch

A notch filter (or band reject filter) could be described as the opposite of a bandpass filter. It cuts off frequencies in a narrow midrange band, letting the frequencies below and above through. On it's own, a notch filter doesn't really alter the timbre in any dramatic way, simply because most frequencies are let through. However, by combining a notch filter with a lowpass filter (using Filter 2), more musically useful filter characteristics can be created. Such a filter combination can produce soft timbres that still sound "clear". The effect is especially noticeable with low resonance settings.


Filter 1 Frequency

The Filter Frequency parameter (often referred to as "cutoff") determines which area of the frequency spectrum the filter will operate in. For a lowpass filter, the frequency parameter could be described as governing the "opening" and "closing" of the filter. If the Filter Freq is set to zero, none or only the very lowest frequencies are heard, if set to maximum, all frequencies in the waveform are heard. Gradually changing the Filter Frequency produces the classic synthesizer filter "sweep" sound.

Note that the Filter Frequency parameter is usually controlled by the Filter Envelope as well. Changing the Filter Frequency with the Freq slider may therefore not produce the expected result.


Resonance

The filter resonance parameter is used to set the Filter characteristic, or quality. For lowpass filters, raising the filter Res value will emphasize the frequencies around the set filter frequency. This produces a generally thinner sound, but with a sharper, more pronounced filter frequency "sweep". The higher the filter Res value, the more resonant the sound becomes until it produces a whistling or ringing sound. If you set a high value for the Res parameter and then vary the filter frequency, this will produce a very distinct sweep, with the ringing sound being very evident at certain frequencies.

For the highpass filter, the Res parameter operates just like for the lowpass filters.

When you use the Bandpass or Notch filter, the Resonance setting adjusts the width of the band. When you raise the Resonance, the band where frequencies are let through (Bandpass), or cut (Notch) will become narrower. Generally, the Notch filter produces more musical results using low resonance settings.


Filter Keyboard Track (Kbd)

If Filter Keyboard Track is activated, the filter frequency will increase the further up on the keyboard you play. If a lowpass filter frequency is constant (a Kbd setting of "0") this can introduce a certain loss of "sparkle" in a sound the higher up the keyboard you play, because the harmonics in the sound are progressively being cut. By using a degree of Filter Keyboard Tracking, this can be compensated for.


Filter 2

A very useful and unusual feature of the Subtractor Synthesizer is the presence of an additional 12dB/Oct lowpass filter. Using two filters together can produce many interesting filter characteristics, that would be impossible to create using a single filter, for example formant effects.

The parameters are identical to Filter 1, except in that the filter type is fixed, and it does not have filter keyboard tracking.

To activate Filter 2, click the button at the top of the Filter 2 section.

Filter 1 and Filter 2 are connected in series. This means that the output of Filter 1 is routed to Filter 2, but both filters function independently. For example, if Filter 1 was filtering out most of the frequencies, this would leave Filter 2 very little to "work with". Similarly, if Filter 2 had a filter frequency setting of "0", all frequencies would be filtered out regardless of the settings of Filter 1.

Try the "Singing Synth" patch (in the Monosynth category of the Factory Sound Bank) for an example of how dual filters can be used.

Filter Link

When Link (and Filter 2) is activated, the Filter 1 frequency controls the frequency offset of Filter 2. That is, if you have set different filter frequency values for Filter 1 and 2, changing the Filter 1 frequency will also change the frequency for Filter 2, but keeping the relative offset.

Try the "Fozzy Fonk" patch (in the Polysynth category of the Factory Sound Bank) for an example how linked filters can be used.

Caution! If no filter modulation is used, and the filters are linked, pulling down the frequency of Filter 2 to zero will cause both filters to be set to the same frequency. If combined with high Res settings, this can produce very loud volume levels that cause distortion!


About the Envelopes

Envelope generators are used to control several important sound parameters in analog synthesizers, such as pitch, volume, filter frequency etc. Envelopes govern how these parameters should respond over time - from the moment a note is struck to the moment it is released.

Standard synthesizer envelope generators have four parameters; Attack, Decay, Sustain and Release (ADSR).

There are three envelope generators in the Subtractor, one for volume, one for the Filter 1 frequency, and one modulation envelope which has selectable modulation destinations.

Attack

When you play a note on your keyboard, the envelope is triggered. This means it starts rising from zero to the maximum value. How long this should take, depends on the Attack setting. If the Attack is set to "0", the maximum value is reached instantly. If this value is raised, it will take time before the maximum value is reached.

For example, if the Attack value is raised and the envelope is controlling the filter frequency, the filter frequency will gradually rise up to a point each time a key is pressed, like an "auto-wha" effect.

Decay

After the maximum value has been reached, the value starts to drop. How long this should take is governed by the Decay parameter.

If you wanted to emulate the volume envelope of a note played on a piano for example, the Attack should be set to "0" and the Decay parameter should be set to a medium value, so that the volume gradually decreases down to silence, even if you keep holding the key down. Should you want the decay to drop to some other value than zero, you use the Sustain parameter.

Sustain

The Sustain parameter determines the level the envelope should rest at, after the Decay. If you set Sustain to full level, the Decay setting is of no importance since the volume of the sound is never lowered.

If you wanted to emulate the volume envelope of an organ, you theoretically only really need to use the Sustain parameter set to full level, as a basic organ volume envelope instantly goes to the maximum level (Attack "0") and stays there (Decay "0"), until the key is released and the sound instantly stops (Release "0").

But often a combination of Decay and Sustain is used to generate envelopes that rise up to the maximum value, then gradually decreases to finally land to rest on a level somewhere in-between zero and maximum. Note that Sustain represents a level, whereas the other envelope parameters represent times.

Release

Finally, we have the Release parameter. This works just like the Decay parameter, except it determines the time it takes for the value to fall back to zero after releasing the key.


Amplitude Envelope

The Amplitude Envelope is used to adjust how the volume of the sound should change from the time you press a key until the key is released. By setting up a volume envelope you sculpt the sound's basic shape with the four Amplitude Envelope parameters, Attack, Decay, Sustain and Release. This determines the basic character of the sound (soft, long, short etc.).


Filter Envelope

The Filter Envelope affects the Filter 1 Frequency parameter. By setting up a filter envelope you control the how the filter frequency should change over time with the four Filter Envelope parameters, Attack, Decay, Sustain and Release.

Filter Envelope Amount

This parameter determines to what degree the filter will be affected by the Filter Envelope. Raising this knob's value creates more drastic results. The Envelope Amount parameter and the set Filter Frequency are related. If the Filter Freq slider is set to around the middle, this means that the moment you press a key the filter is already halfway open. The set Filter Envelope will then open the filter further from this point. The Filter Envelope Amount setting affects how much further the filter will open.

Filter Envelope Invert

If this button is activated, the envelope will be inverted. For example, normally the Decay parameter lowers the filter frequency, but after activating Invert it will instead raise it, by the same amount.


Mod Envelope

The Mod Envelope allows you to select one of a number of parameters, or Destinations, to control with the envelope. By setting up a modulation envelope you control the how the selected Destination parameter should change change over time with the four Mod Envelope parameters, Attack, Decay, Sustain and Release.

The available Mod Envelope Destinations are as follows:

Destination | Description
Osc 1 | Selecting this makes the Mod Envelope control the pitch (frequency) of Osc 1.
Osc 2 | Same as above, but for Osc 2.
Osc Mix | Selecting this makes the Mod Envelope control the oscillator Mix parameter. Both oscillators must be activated for this to have any effect.
FM | Selecting this makes the Mod Envelope control the FM Amount parameter. Both oscillators must be activated for this to have any effect.
Phase | Selecting this makes the Mod Envelope control the Phase Offset parameter for both Osc 1 and 2. Note that Phase Offset Modulation (Subtraction or Multiplication) must be activated for this to have any effect.
Freq 2 | Selecting this makes the Mod Envelope control the Frequency parameter for Filter 2.


About the LFO:s

LFO stands for Low Frequency Oscillator. LFOs are oscillators, just like Osc 1 & 2, in that they also generate a waveform and a frequency. However, there are two significant differences:

LFOs only generate waveforms with low frequencies.

The output of the two LFOs are never actually heard. Instead they are used for modulating various parameters.

The most typical application of an LFO is to modulate the pitch of a (sound generating) oscillator, to produce vibrato. Subtractor is equipped with two LFO's. The parameters and the possible modulation destinations vary somewhat between LFO 1 and LFO 2.


LFO 1 Parameters
Waveform

LFO 1 allows you to select different waveforms for modulating parameters. These are (from top to bottom):

Waveform | Description
Triangle | This is a smooth waveform, suitable for normal vibrato.
Inverted Sawtooth | This produces a "ramp up" cycle. If applied to an oscillator's frequency, the pitch would sweep up to a set point (governed by the Amount setting), after which the cycle immediately starts over.
Sawtooth | This produces a "ramp down" cycle, the same as above but inverted.
Square | This produces cycles that abruptly changes beween two values, usable for trills etc.
Random | Produces random stepped modulation to the destination. On some vintage synths, this is called "sample & hold".
Soft Random | The same as above, but with smooth modulation.

Destination

The available LFO 1 Destinations are as follows:

Destination | Description
Osc 1&2 | Selecting this makes LFO 1 control the pitch (frequency) of Osc 1 and Osc 2.
Osc 2 | Same as above, but for Osc 2.
Filter Freq | Selecting this makes the LFO 1 control the filter frequency for Filter 1 (and Filter 2 if linked).
FM | Selecting this makes the LFO 1 control the FM Amount parameter. Both oscillators must be activated for this to have any effect.
Phase | Selecting this makes the LFO 1 control the Phase Offset parameter for both Osc 1 and 2. Note that Phase Offset Modulation (Subtraction or Multiplication) must be activated for this to have any effect.
Osc Mix | Selecting this makes the LFO 1 control the oscillator Mix parameter.

Sync

By clicking this button you activate/deactivate LFO sync. The frequency of the LFO will then be synchronized to the song tempo, in one of 16 possible timedivisions. When sync is activated, the Rate knob (see below) is used for setting the desired timedivision.

Turn the knob and check the tooltip for an indication of the timedivision.

Rate

The Rate knob controls the LFO's frequency. Turn clockwise for a faster modulation rate.

Amount

This parameter determines to what degree the selected parameter destination will be affected by LFO 1. Raising this knob's value creates more drastic results.


LFO 2 Parameters

LFO 2 is polyphonic. This means that for every note you play, an independent LFO cycle is generated, whereas LFO 1 always modulates the destination parameter using the same "cycle". This can be used to produce subtle cross-modulation effects, with several LFO cycles that "beat" against each other. This also enables LFO 2 to produce modulation rates that vary across the keyboard (see the "Keyboard Tracking" parameter below).

Destination

The available LFO 2 Destinations are as follows:

Destination | Description
Osc 1&2 | Selecting this makes LFO 2 modulate the pitch (frequency) of Osc 1 and Osc 2.
Phase | Selecting this makes the LFO 2 modulate the Phase Offset parameter for both Osc 1 and 2. Note that Phase Offset Modulation (Subtraction or Multiplication) must be activated for this to have any effect.
Filter Freq 2 | Selecting this makes the LFO 2 modulate the filter frequency for Filter 2.
Amp | Selecting this makes the LFO 2 modulate the overall volume., to create tremolo-effects.

LFO 2 Delay

This parameter is used to set a delay between when a note is played and when the LFO modulation "kicks in". For example, if Osc 1 & 2 is selected as the destination parameter and Delay was set to a moderate value, the sound would start out unmodulated, with the vibrato only setting in if you hold the note(s) long enough. Delayed LFO modulation can be very useful, especially if you are playing musical instrument-like sounds like violin or flute. Naturally it could also be used to control more extreme modulation effects and still retain the "playability" of the sound.

LFO 2 Keyboard Tracking

If LFO keyboard tracking is activated, the LFO rate will progressively increase the higher up on the keyboard you play. Raising this knob's value creates more drastic results.

If the LFO is set to modulate the phase offset, LFO keyboard tracking can produce good results. For example, synth string pads and other sounds that use PWM can benefit from this.

Rate

The Rate knob controls the LFO's frequency. Turn clockwise for a faster modulation rate.

Amount

This parameter determines to what degree the selected parameter destination will be affected by LFO 2. Raising this knob's value creates more drastic results.


Velocity Control

Velocity is used to control various parameters according to how hard or soft you play notes on your keyboard. A common application of velocity is to make sounds brighter and louder if you strike the key harder. Subtractor features very comprehensive velocity modulation capabilities. By using the knobs in this section, you can control how much the various parameters will be affected by velocity. The velocity sensitivity amount can be set to either positive or negative values, with the center position representing no velocity control.

The following parameters can be velocity controlled:

Destination | Description
Amp | This let's you velocity control the overall volume of the sound. If a positive value is set, the volume will increase the harder you strike a key. A negative value inverts this relationship, so that the volume decreases if you play harder, and increases if you play softer. If set to zero, the sound will play at a constant volume, regardless of how hard or soft you play.
FM | This sets velocity control for the FM Amount parameter. A positive value will increase the FM amount the harder you play. Negative values invert this relationship.
M. Env | This sets velocity control for the Mod Envelope Amount parameter. A positive value will increase the envelope amount the harder you play. Negative values invert this relationship.
Phase | This sets velocity control for the Phase Offset parameter. This applies to both Osc 1 & 2, but the relative offset values are retained. A positive value will increase the phase offset the harder you play. Negative values invert this relationship.
Freq 2 | This sets velocity control for the Filter 2 Frequency parameter. A positive value will increase the filter frequency the harder you play. Negative values invert this relationship.
F. Env | This sets velocity control for the Filter Envelope Amount parameter. A positive value will increase the envelope amount the harder you play. Negative values invert this relationship.
F. Dec | This sets velocity control for the Filter Envelope Decay parameter. A positive value will increase the Decay time the harder you play. Negative values invert this relationship.
Osc Mix | This sets velocity control for the Osc Mix parameter. A positive value will increase the Osc 2 Mix amount the harder you play. Negative values invert this relationship.
A. Attack | This sets velocity control for the Amp Envelope Attack parameter. A positive value will increase the Attack time the harder you play. Negative values invert this relationship.


Pitch Bend and Modulation Wheels

The Pitch Bend wheel is used for "bending" notes, like bending the strings on a guitar. The Modulation wheel can be used to apply various modulation while you are playing. Virtually all MIDI keyboards have Pitch Bend and Modulation controls. Subtractor features not only the settings for how incoming MIDI Pitch Bend and Modulation wheel messages should affect the sound. Subtractor also has two functional wheels that could be used to apply real time modulation and pitch bend should you not have these controllers on your keyboard, or if you aren't using a keyboard at all. The Subtractor wheels mirror the movements of the MIDI keyboard controllers.

Pitch Bend Range

The Range parameter sets the amount of pitch bend when the wheel is turned fully up or down. The maximum range is "24" (=up/down 2 Octaves).

Modulation Wheel

The Modulation wheel can be set to simultaneously control a number of parameters. You can set positive or negative values, just like in the Velocity Control section. The following parameters can be affected by the modulation wheel:

Parameter | Description
F. Freq | This sets modulation wheel control of the Filter 1 Frequency parameter. A positive value will increase the frequency if the wheel is pushed forward. Negative values invert this relationship.
F. Res | This sets modulation wheel control of the Filter 1 Resonance parameter. A positive value will increase the resonance if the wheel is pushed forward. Negative values invert this relationship.
LFO 1 | This sets modulation wheel control of the LFO 1 Amount parameter. A positive value will increase the Amount if the wheel is pushed forward. Negative values invert this relationship.
Phase | This sets modulation wheel control of the Phase Offset parameter for both Osc 1 and 2. Note that Phase Offset Modulation (Subtraction or Multiplication) must be activated for this to have any effect.
FM | This sets modulation wheel control of the FM Amount parameter. A positive value will increase the FM amount if the wheel is pushed forward. Negative values invert this relationship. Both oscillators must be activated for this to have any effect.


Legato

Legato works best with monophonic sounds. Set Polyphony (see below) to 1 and try the following:

Hold down a key and then press another key without releasing the previous.

Notice that the pitch changes, but the envelopes do not start over. That is, there will be no new "attack".

If polyphony is set to more voices than 1, Legato will only be applied when all the assigned voices are "used up".

For example, if you had a polyphony setting of "4" and you held down a 4 note chord, the next note you played would be Legato. Note, however, that this Legato voice will "steal" one of the voices in the 4 note chord, as all the assigned voices were already used up!


Retrig

This is the "normal" setting for playing polyphonic patches. That is, when you press a key without releasing the previous, the envelopes are retriggered, like when you release all keys and then press a new one. In monophonic mode, Retrig has an additional function; if you press a key, hold it, press a new key and then release that, the first note is also retriggered.


Portamento (Time)

Portamento is when the pitch "glides" between the notes you play, instead of instantly changing the pitch. The Portamento knob is used to set how long it takes for the pitch to glide from one pitch to the next. If you don't want any Portamento at all, set this knob to zero.


Setting Number of Voices - Polyphony

This determines the polyphony, i.e. the number of voices a Subtractor Patch can play simultaneously. This can be used to make a patch monophonic (=a setting of "1"), or to extend the number of voices available for a patch. The maximum number of voices you can set a Subtractor Patch to use is 99. In the (unlikely) event you should need more voices, you can always create another Subtractor!

Note that the Polyphony setting does not "hog" voices. For example, if you have a patch that has a polyphony setting of ten voices, but the part the patch plays only uses four voices, this won't mean that you are "wasting" six voices. In other words, the polyphony setting is not something you need to consider much if you want to conserve CPU power - it is the number of voices actually used that counts.


About the Low Bandwidth button

This can be used to conserve CPU power. When activated, this function will remove some high frequency content from the sound of this particular device, but often this is not noticeable (this is especially true for bass sounds).


External Modulation

Subtractor can receive common MIDI controller messages, and route these to various parameters. The following MIDI messages can be received:

Aftertouch (Channel Pressure)

Expression Pedal

Breath Control

If your MIDI keyboard is capable of sending Aftertouch messages, or if you have access to an Expression Pedal or a Breath controller, you can use these to modulate parameters. The "Ext. Mod" selector switch sets which of these message-types should be received.

These messages can then be assigned to control the following parameters:

Destination | Description
F. Freq | This sets External modulation control of the Filter 1 Frequency parameter. A positive value will increase the frequency with higher external modulation values. Negative values invert this relationship.
LFO 1 | This sets External modulation control of the LFO 1 Amount parameter. A positive value will increase the LFO 1 amount with higher external modulation values. Negative values invert this relationship.
Amp | This let's you control the overall volume of the sound with external modulation. If a positive value is set, the volume will increase with higher external modulation values. A negative value inverts this relationship.
FM | This sets External modulation control of the FM Amount parameter. If a positive value is set, the FM amount will increase with higher external modulation values. A negative value inverts this relationship. Both oscillators must be activated for this to have any effect.


Audio Output

This is Subtractor's main audio output. When you create a new Subtractor device, this is auto-routed to the first available channel on the audio mixer.


Sequencer Control

The Sequencer Control CV and Gate inputs allow you to play the Subtractor from another CV/Gate device (typically a Matrix or a Redrum). The signal to the CV input controls the note pitch, while the signal to the Gate input delivers note on/off along with velocity.

For best results, you should use the Sequencer Control inputs with monophonic sounds.


Modulation Inputs

Remember that CV connections will not be stored in the Subtractor patch, even if the connections are to/from the same Subtractor device!

These control voltage (CV) inputs (with associated voltage trim pots), can modulate various Subtractor parameters from other devices, or from the modulation outputs of the same Subtractor device. These inputs can control the following parameters:

Oscillator Pitch (both Osc 1 & 2).

Oscillator Phase Offset (both Osc 1 & 2).

FM Amount

Filter 1 Cutoff

Filter 1 Res

Filter 2 Cutoff

Amp Level

Mod Wheel


Modulation Outputs

The Modulation outputs can be used to voltage control other devices, or other parameters in the same Subtractor device. The Modulation Outputs are:

Mod Envelope

Filter Envelope

LFO 1


Gate Inputs

These inputs can receive a CV signal to trigger the following envelopes. Note that connecting to these inputs will override the normal triggering of the envelopes. For example, if you connected an LFO output to the Gate Amp input, you would not trigger the amp envelope by playing notes, as this is now controlled by the LFO. In addition you would only hear the LFO triggering the envelope for the notes that you hold down. The following Gate Inputs can be selected:

Amp Envelope

Filter Envelope

Mod Envelope


Introduction

The Malström is a polyphonic synthesizer with a great number of different routing possibilities. It is based on the concept of what we call "Graintable Synthesis", and is ideally suited for producing swirling, sharp, distorted, abstract special effect types of synthesizer sounds. In fact, you could go so far as to say that the Malström can produce sounds quite unlike anything you've ever heard from a synthesizer.

The following are the basic features of the Malström:

Two Oscillators, based on Graintable Synthesis.

Two Modulators, featuring tempo sync and one-shot options.

Two Filters and one Shaper.

A number of different filter modes in combination with several routing options and a Waveshaper makes it possible to create truly astounding filter effects.

Three Envelope generators.

There is one amplitude envelope for each oscillator and a common envelope for both filters.

Polyphony of up to 16 voices.

Velocity and Modulation control.

A number of CV/Gate Modulation possibilities.

A variety of Audio Input/Output options.

You can for instance connect external audio sources for input to the Malström, and you can also control its output.Loading and saving Patches is described in the chapter "Working with Patches" in the Getting Started book.


Theory of operation

There are a number of different synthesis methods for generating sound. There is e.g. Subtractive Synthesis (which is used in Reason's other synth - the Subtractor), FM Synthesis and Physical Modelling Synthesis to mention but a few.

To give you a clear understanding of the inner workings of the Malström, it might be in order with a brief explanation of what we call Graintable Synthesis.

What we refer to as Graintable Synthesis is actually a combination of two synthesis methods; Granular Synthesis and Wavetable Synthesis.

In granular synthesis, sound is generated by a number of short, contiguous segments (grains) of sound, each typically between 5 to 100 milliseconds long. The sound is varied by changing the properties of each grain and/or the order in which they are spliced together. Grains can be produced either by a mathematical formula or by a sampled sound. This is a very dynamic synthesis method with a lot of variation possibilities, although somewhat hard to master and control.

Wavetable synthesis on the other hand, is basically the playback of a sampled waveform. An oscillator in a wavetable synth plays back a single period of a waveform, and some wavetable synths also allow the possibility of sweeping through a set of periodic waveforms. This is a very straightforward synthesis method that is easily controlled, but somewhat limited in variation possibilities.

The Malström combines these two into a synthesis method that provides a very flexible way of synthesizing sounds with incredible flux and mutability.

It works like this:

The oscillators in the Malström play back sampled sounds that are subject to some very complex processing and cut up into a number of grains. From here on, these sounds will be referred to as Graintables

This results in a set of periodic waveforms (a graintable) that, when spliced together, play back the original sampled sound.

This can then be treated just like a wavetable. I.e. It is possible to sweep through it. Move through it at any speed without affecting pitch. Play any section of it repeatedly. Use it to pick static waveforms. Jump between positions. Etc. etc.

It is also possible to perform a number of other tricks, all of which are described further on in this chapter.


About the Oscillators

The two oscillators (osc:A and osc:B) of the Malström are the actual sound generators, and the rest of the controls are used for modulating and shaping the sound. The oscillators actually do two things; they play a graintable and generate the pitch:

A graintable is several short, contiguous segments of audio (see above).

Pitch is the frequency at which the segments are played back.

When creating a Malström patch, the fundamental first building block is usually to select a graintable for one or both of the oscillators.

To activate/deactivate an oscillator, click the On/Off button in the top left corner.

When an oscillator is activated, the button is lit.

To select a graintable, either use the spin controls or click directly in the display to bring up a pop-up menu with the available graintables.

The graintables are sorted alphabetically into a number of descriptive categories, giving a hint as to the general character of the sound. Note that the categories are only visible in the pop-up menu, not in the display.


Setting oscillator frequency - Octave/Semitone/Cent

You can change the frequency - i.e. the tuning - of each oscillator by using the three knobs marked "Octave", "Semi" and "Cent".

The Octave knob changes the frequency in steps of one full octave (12 semitones).

The range is -4 - 0 - +4 where 0 corresponds to middle "A" on your keyboard at 440 Hz.

The Semi knob changes the frequency in steps of one semitone.

The range is -12 - 0 - +12, thus equalling one full octave down or up.

The Cent knob changes the frequency in steps of cents, which are 100ths of a semitone.

The range is -50 - 0 - +50, i.e. down or up by up to half a semitone.


Controlling playback of the graintable - Index/Motion/Shift

Each oscillator features three controls that determine how the loaded graintables are played back. These are: The "Index" slider, the "Motion" knob and the "Shift" knob.

The Index slider sets the playback starting point in the graintable.

By dragging the slider, you set which index point in the graintable should be played first when the Malström receives a Note On message. Playback will then continue to the next index point according to the active graintable. With the slider all the way to the left, the first segment in the graintable is also the one that will be played back first.

Note that the Malström's Graintables are not all of the same length, and that the range for the Index slider (0-127) does not reflect the actual length of the graintables. I.e. regardless of whether a graintable contains 3 or 333 grains, the Index slider will always span the entire graintable even though the slider range says 0-127.

The Motion knob controls how fast the Malström should move forward to play the next segment in the graintable, according to its motion pattern (see below).

If the knob is kept in the middle position the speed of motion is the normal default. Turning the knob to the left slows it down and turning it to the right results in higher speed. If the knob is set all the way to the left, there will be no motion at all, which means that the initial segment, as set with the Index slider, will play over and over as a static waveform.

The Shift knob changes the timbre of the sound (the formant spectrum).

What it actually does is change the pitch of a segment up or down by re
sampling. However, since the pitch you hear is independent of the actual pitch of the graintable (see above), pitch-shifting a segment instead means that more or less of the segment waveform will be played back, resulting in a change of harmonic content and timbre.

About motion patterns

Each graintable has a predefined motion pattern and a default motion speed.

When a graintable is looped (i.e. if the Motion knob is not set all the way to the left), it follows one of two possible motion patterns:

Forward

This motion pattern plays the graintable from the beginning to the end, and then repeats it.

Forward - Backward

This motion pattern plays the graintable from the beginning to the end, then from the end to the beginning and then repeats it.

The motion speed can be changed with the Motion knob, as described above, but it is not possible to alter the motion pattern of a graintable.


The amplitude envelopes

Each oscillator features a standard ADSR (Attack, Decay, Sustain, Release) envelope generator, and a Level control. These are used for controlling the volume of the oscillator. One thing that makes the Malström different from many other synths though, is the fact that the amplitude envelopes are placed before the filter and routing sections in the signal path.

The amplitude envelopes control how the volume of a sound should change from the moment you strike a key on your keyboard to the moment that you release it again.

Vol

The Volume knobs set the volume level out from each oscillator.

For an overall description of the general envelope parameters (Attack, Decay, Sustain, Release), please refer to the Subtractor section.


About the Modulators

The Malström features two Modulators (mod:A and mod:B) These are in fact another type of oscillators, called LFOs (Low Frequency Oscillators). They each generate a waveform and a frequency, much like osc:A and osc:B. However, there are a couple of important differences:

Mod:A and mod:B do not generate sound. They are instead used for modulating various parameters to change the character of the sound.

They only generate waveforms of low frequency.

Furthermore, both modulators are tempo syncable and possible to use in one shot mode, in which case they will actually work like envelopes.


Modulator parameters

The two Modulators have a few controls in common, but there are also some differences. Both the common parameters and the ones that are unique for each Modulator (the destinations) are described below.

To activate/deactivate a Modulator, click the On/Off button in the top left corner.

When a Modulator is activated, the button is lit.

Curve

This lets you select a waveform for modulating parameters. Use the spin controls to the right of the display to cycle through the available waveforms. Some of these waveforms are especially suited for use with the Modulator in one shot mode (see below).

Rate

This knob controls the frequency of the Modulator. For a faster modulation rate, turn the knob to the right.

The Rate knob is also used for setting the timedivision when synchronizing the Modulator to the song tempo (see below).

One Shot

To put the Modulator into one shot mode, click this button so that it is lit.

Normally, the Modulators will repeat the selected waveforms over and over again, at the set rate. However, when one shot mode is activated and you play a note, the Modulator will play the selected waveform only once (at the set rate) and then stop. In other words, it will effectively be turned into an envelope generator!

Note that even though all waveforms can be used with interesting results, some waveforms are explicitly well suited for use in one shot mode. For example, try using the waveform with just one long, gently sloping curve.

Sync

Clicking this button so that it is lit synchronizes the Modulator to the song tempo, in one of 16 possible timedivisions.

When sync is activated, the Rate knob is used for selecting the desired timedivision. Turn the Rate knob and observe the tool tip for an indication of the timedivision.

A/B selector

This switch is used for deciding which oscillator and/or filter the Modulator should modulate - A, B or both. With the switch in the middle position, both A and B will be modulated.


Modulator Destinations

The following knobs are used for determining what each of the two modulators should modulate.

Note that these knobs are bi-polar, which means that if a knob is in the middle position, no modulation is applied. If you turn a knob either to the left or to the right, an increasing amount of modulation is applied to the parameter. The difference is that if you turn a knob to the left, the waveform of the modulator is inverted.

Mod:A

Mod:A can modulate the following parameters of either oscillator:

Pitch

Use this if you want Mod:A to offset the pitch of osc:A, osc:B, or both.

Index

Use this if you want Mod:A to offset the index start position of osc:A, osc:B, or both.

Shift

Use this if you want Mod:A to affect the harmonic content of osc:A, osc:B, or both.

Mod:B

Mod:B can modulate the following parameters of either oscillator:

Motion

Use this if you want Mod:B to affect the motion speed of osc:A, osc:B, or both.

Level

Use this if you want Mod:B to change the output level of osc:A, osc:B, or both.

Filter

Use this if you want Mod:B to offset the cutoff frequency of filter:A, filter:B, or both.

Mod:A

Use this if you want Mod:B to change the total amount of modulation from Mod:A.


About the Filters

The filter section lets you further shape the overall character of the sound. Contained herein are two multimode filters, a filter envelope and a waveshaper.

To activate/deactivate a filter, click the On/Off button in the top left corner.

When a filter is activated, the button is lit.


Filter types

To select a filter type, either click the Mode button in the bottom left corner or click directly on the desired filter name so that it lights up in yellow:

LP 12 (12 dB lowpass)

Lowpass filters let low frequencies through and cut off high frequencies. This filter type has a roll-off curve of 12dB/Octave.

HP 12 (12 dB highpass)

Highpass filters are the exact opposite of lowpass filters, cutting off low frequencies and letting high frequencies through. This filter type also has a roll-off curve of 12 dB/Octave.

Comb + & Comb -

Comb filters are basically delays with very short delay times with adjustable feedback (in Reason controlled with the Resonance knob). A comb filter causes resonating peaks at certain frequencies.

The difference between "+" and "-" is in the position of the peaks, in the spectrum. The main audible difference is that the "-"-version causes a bass cut.

The Resonance parameter in both cases controls the shape and size of the peaks.

AM

AM (Amplitude Modulation) is often referred to as Ring Modulation. A Ring Modulator works by multiplying two signals together. In the case of the Malström, the filter produces a sine wave which is multiplied with the signal from osc:A or osc:B. Resonance controls the mix between the clean and modulated signals.The Ring Modulated output will then contain added frequencies which are generated by the sum of, and the difference between the two signals. This can be used for creating complex, non-harmonic sounds.


Filter controls

Each filter contains the following four controls:

Kbd (keyboard tracking)

By clicking this button so that it is lit, you activate keyboard tracking. If keyboard tracking is activated, the frequency of the filter will change according to the notes you play on your keyboard. That is, if you play notes higher up on the keyboard, the filter frequency will increase and vice versa. If keyboard tracking is deactivated, the filter frequency will remain at a fixed value regardless of where on the keyboard you play.

Env (envelope)

If you click on this button so that it is lit, the cutoff frequency (see below) will be modulated by the filter envelope. If you leave this deactivated, the Filter Envelope will have no effect.

Freq (frequency)

The function of this parameter depends on which filter type you have selected:

With all filter types except AM, it is used for setting the cutoff frequency of the filter. In the case of the lowpass filter for example, the cutoff frequency determines the limit above which high frequencies will be cut off. Frequencies below the cutoff frequency will be allowed to pass through. The farther to the right you turn the knob, the higher the cutoff frequency will be.

If you have selected AM as filter type, this will instead control the frequency of the signal generated by the filter. The same control range applies though; the farther to the right you turn the knob the higher the frequency will be.

Res (resonance)

Again, the function of this parameter depends upon which filter type is selected:

If the selected filter is any other type than AM, it sets the filter characteristic, or quality. For the lowpass filter for example, raising the filter Res value will emphasize the frequencies around the set filter frequency. This generally produces a thinner sound, but with a sharper, more pronounced filter frequency "sweep". The higher the filter Res value, the more resonant the sound becomes until it produces a whistling or ringing sound. If you set a high value for the Res parameter and then vary the filter frequency, this will produce a very distinct sweep, with the ringing sound being very evident at certain frequencies.

In the case of the AM filter type though, this control instead regulates the balance between the original signal and the signal resulting from amplitude modulation. The farther to the right you turn the knob, the more dominant the AM signal will be.


The Filter Envelope

This is a standard ADSR envelope with two additional controls; inv and amt.

The filter envelope is common for both filter:A and filter:B, and controls how the filter frequency should change over time.

Inv (inverse)

This button toggles inversion of the envelope on and off. The Decay segment of the envelope will for instance normally lower the frequency, but if the envelope is inverted it will instead raise the frequency.

Amt (amount)

This controls to which extent the filter envelope affects the filters, or rather - the set filter cutoff frequencies. For example; if the cutoff frequency is set to a certain value, the filter will already be opened by this amount when you hit a key on your keyboard. The amount setting then controls how much more the filter will open from that point. Turn the knob to the right to increase the value.

For an overall description of the general envelope parameters (Attack, Decay, Sustain, Release), please refer to the Subtractor section.


The Shaper

Before filter:A is an optional waveshaper. Waveshaping is a synthesis method for transforming sounds by altering the waveform shape, thereby creating a complex, rich sound. Or, if that's more to your taste, truncating and distorting the sound to lo-fi heaven!

A guitar distortion box could be viewed as a type of waveshaper for example. An unamplified electric guitar produces a sound with fairly pure harmonic content, which is then amplified and transformed by the distortion box.

To activate/deactivate the Shaper, click the On/Off button in the top left corner.

When the Shaper is activated, the button is lit.

Mode

You can select one of five different modes for shaping the sound, each with its own characteristics.

To select a mode, either click the Mode button in the bottom left corner or click directly on the desired mode name so that it lights up in yellow.

Sine

This produces a round, smooth sound.

Saturate

This gives a lush, rich character to the sound.

Clip

This introduces clipping - digital distortion - to the signal.

Quant

This lets you truncate the signal by bit-reduction, thus making it possible to achieve that noisy, characteristic 8 bit sound for example.

Noise

This is actually not strictly a shaper function. Instead it multiplies the sound with noise.

Amt (amount)

This controls the amount of shaping applied. By turning the knob to the right you increase the effect.


About the Routing options

The Malström puts you in total control of how the signal should be routed from the oscillators, through the filters and on to the outputs. Below you will find a brief runthrough of how the Routing options work - for more detailed descriptions and illustrated examples, please consult the Malström chapter in the Operation Manual.To the right of the Oscillator section, you will find four routing buttons (numbered 1-4 in the picture and descriptions below). These four buttons allow you to set up parallel or serial filtering and mix or separate the oscillator signals in almost any combination.

Click a button to turn the corresponding routing path on or off.

A lit button indicates an activated routing path.

1. If this button is lit, the signal from osc:A is routed to filter:A via the shaper.

If neither this nor the other routing button from osc:A (to filter:B) is lit, the signal from osc:A will go straight to the outputs.

2. If this button is lit, the signal from osc:A is routed to filter:B.

If neither this nor the other routing button from osc:A (to filter:A/shaper) is lit, the signal from osc:A will go straight to the outputs.

3. If this button is lit, the signal from osc:B is routed to filter:B.

If this is not lit, the signal from osc:B will go straight to the outputs.

4. If this button is lit, the signal from filter:B is routed to filter:A via the shaper. The signal from filter:B can originate from either osc:A, osc:B or both.

If this is not lit, the signal from filter:B will go straight to the outputs.


The output controls

These two parameters control the output from the Malström in the following way:

Volume

This knob controls the master volume out from the Malström.

Spread

This controls the stereo pan-width of the outputs from Osc:A/B and Filter:A/B respectively. The farther to the right you turn the knob, the wider the stereo image will be. In other words, the signals will be panned further apart to the left and right.

If you are only using one output (A or B), it is strongly recommended that you set Spread to "0".


About the play controls

To the far left on the Malström's "control panel" are various parameters that are affected by how you play, and lets you apply modulation by MIDI controls. E.g. Portamento, Legato, Velocity controls etc.


Polyphony - setting the number of voices

This lets you set the polyphony for the Malström. Polyphony is the number of voices it can play simultaneously. The maximum number is 16 and the minimum is 1, in which case the Malström will be monophonic.

The number of voices you can play depends of course on the capacity of your computer. Even though the maximum number is 16 it doesn't necessarily mean that your system is capable of using that many voices. Also note that voices do not consume CPU capacity unless they are really "used". That is, if you are using a patch that plays two voices but have polyphony set to four, the two "unused" voices do not consume any of your system resources.


Porta (portamento)

This is used for controlling portamento. This is a parameter that makes the pitch glide between the notes you play, rather than changing the pitch instantly as soon as you hit a key on your keyboard. By turning this knob you set how long it should take for the pitch to glide from one note to the next as you play them.

With the knob turned all the way to the left, portamento is disabled.


Legato

By clicking this button you activate/deactivate Legato. Legato in Malström is unique in that it allows you to control whether the sound is monophonic or polyphonic by using your playing style:

If you play legato (hold down a key and then press another key without releasing the previous), the sound is monophonic.

Also note that the pitch changes, but the envelopes do not start over. That is, there will be no new "attack".

If you play non-legato (separated notes), with polyphony set to more voices than 1, each note will decay separately (polyphonic).

This will be most apparent with longer release times.


The Pitch Bend and Modulation wheels

The Pitch Bend wheel is used for bending the pitch of notes, much like bending the strings on a guitar or other string instrument.

The Modulation wheel can be used for applying modulation while you are playing.

Virtually all MIDI keyboards have Pitch Bend and Modulation controls. The Malström does not only feature the settings for how incoming MIDI Pitch Bend and Modulation wheel messages should affect the sound, but also two functional wheels that can be used for applying real time modulation and pitch bend if you don't have these controllers on your keyboard, or if you aren't using a keyboard at all. The wheels on the Malström also mirror the movements of the wheels on your MIDI keyboard.

Pitch Bend Range

The Range parameter sets the maximum amount of pitch bend, i.e. how much it is possible to change the pitch by turning the wheel fully up or down. The maximum range is 24 semitones (2 Octaves). You change the value by clicking the spin controls to the right of the display.


The Velocity controls

Velocity is used for controlling various parameters according to how hard or soft you play notes on your keyboard. A typical use of velocity control is to make sounds brighter and louder if you strike a key harder. By using the knobs in this section, you can control how much the various parameters will be affected by velocity.

All of the velocity control knobs are bi-polar, which means that the amount can be set to either positive or negative values, while keeping the knobs in the center position means that no velocity control is applied.

The following parameters can be velocity controlled:

Lvl:A

This lets you velocity control the output level of osc:A.

Lvl:B

This lets you velocity control the output level of osc:B.

F.env

This sets velocity control for the Filter Envelope Amount parameter. Positive values will increase the envelope amount the harder you play, and negative values will decrease the amount.

Atk (attack)

This sets velocity control for the Amp Envelope Attack parameter of osc:A and/or osc:B. Positive values will increase the Attack time the harder you play, and negative values will decrease it.

Shift

This lets you velocity control the Shift parameter of osc:A and/or osc:B.

Mod

This lets you velocity control all modulation amounts of mod:A and/or mod:B.

Note that you can set the last three parameters (Atk, Shift and Mod) to be velocity controlled for either or both of oscillator/modulator A and B. This is done with the A/B selector switch.


The Modulation wheel controls

The Modulation wheel can be set to control a number of parameters. You can set positive or negative values, just like in the Velocity Control section.

The following parameters can be affected by the modulation wheel:

Index

This sets modulation wheel control of the currently active graintable's index for osc:A and/or osc:B. Positive values will move the index position forwards if the modulation wheel is pushed forward.Negative values will move it backwards.

Shift

This sets modulation wheel control of the Shift parameter of osc:A and/or osc:B.

Filter

This sets modulation wheel control of the Filter Frequency

parameter. Positive values will raise the frequency if the

wheel is pushed forward and negative values will lower the frequency.

Mod

This sets modulation wheel control of the total amount of modulation from mod:A and/or mod:B. Positive values will increase the settings if the wheel is pushed forward and negative values will decrease the settings.

You can set whether these parameters on either or both oscillator/modulator/filter A and B will be affected by the modulation wheel. This is done with the A/B selector switch.


Audio Output

These are the Malström's audio outputs. When you create a new Malström device, they are auto-routed to the first available channel on the audio mixer:

Shaper/Filter:A (left) & Filter:B (right)

These are the main stereo outputs. Each of the two filters are connected to a separate output, and by connecting both, you can have stereo output. Whether the output really will be in stereo however, is determined by the routing and the Spread parameter.

Osc:A & osc:B

These make it possible to output the sound directly after the Amp Envelope of each oscillator, bypassing the filter section. Connecting one or both of these to a channel on the audio mixer will break the Malström's internal signal chain. That is, it is not possible to process the sound by using the filters and the shaper of the Malström. the sound instead goes directly to the mixer.

Note also that you can connect the outputs Osc:A & Osc:B to the Audio Inputs on the Malström for some interesting effects - see "Routing external audio to the filters" .


Audio Input

Shaper/Filter:A

Filter:B

These inputs let you connect either other audio sources, or the Malström's own internal signal directly to the filters and the shaper - see "Routing external audio to the filters" .


Sequencer Control

The Sequencer Control CV and Gate inputs allow you to play the Malström from another CV/Gate device (typically a Matrix or a Redrum). The signal to the CV input controls the note pitch, while the signal to the Gate input delivers note on/off along with velocity.

For best results, you should use the Sequencer Control inputs with monophonic sounds.


Gate Input

These inputs can receive a CV signal to trigger the following envelopes:

Amp Envelope

Filter Envelope

Note that connecting to these inputs will override the normal triggering of the envelopes. For example, if you connected a Modulation output to the Gate Amp in-put, you would not trigger the amp envelope by playing notes, as this is now controlled by the Modulator. In addition you would only hear the Modulator triggering the envelope for the notes that you hold down.


Modulation Input

These control voltage (CV) inputs (with associated voltage trim pots and A/B selector switches), can modulate various Malström parameters from other devices, or from the modulation outputs of the same Malström device. These inputs can control the following parameters:

Oscillator Pitch

Filter Frequency

Oscillator Index offset

Oscillator Shift

Amp Level

Mod Amount

Mod Wheel


Modulation Output

The Modulation outputs can be used to voltage control other devices, or other parameters in the same Malström device.

The Modulation Outputs are:

Mod:A

Mod:B

Filter Envelope


Routing external audio to the filters

The audio inputs on the back of the Malström allows you to connect any audio signal to the filters and Shaper.

To use this feature, it's important to understand the following background:

Normally the Malström behaves like any regular polyphonic synthesizer, in that each voice has its own filter. The filter settings are the same, but each filter envelope is triggered individually when you play a note.

However, when you connect a signal to the audio inputs, it is routed to an "extra" filter. The envelope for this filter is triggered each time any of the other filter envelopes is triggered. In other words, the "extra" filter envelope is triggered each time you play a note on the Malström.

There are two different uses for the audio inputs:

Connecting an external signal source

Connecting an audio signal from another device in the rack to the audio input allows you to process the signal through the filters and/or Shaper of the Malström. The processed signal will then be mixed with the Malström's "own" voices (if activated) and sent to the outputs.

The result depends on the following:

To which jack you connect the signal.

Whether the filters and/or Shaper are activated on the front panel.

The routing button for filter:B.

If this is activated and you connect a signal to the Filter:B input, the signal will be processed in filter:B and then sent to the Shaper and filter:A (just as when routing Malströms own oscillators on the front panel).

Note again that the filter envelope is triggered by all voices. To make use of the filter envelope, you either need to play the Malström or use gate signals to trigger it or the filter envelope, separately.

Connecting the signal from the Malström itself

If you connect one or both oscillator outputs to the audio input(s), the internal signal path from the oscillators to the filters is broken. In other words, no signals will pass internally from the oscillators to the filters, and the three routing buttons for the oscillators are ignored.

This may seem pointless at first, but there are several uses for this:

When you play the Malström in this mode, the filter envelope will be triggered for each note you play, affecting all sounding notes.

This is due to the monophonic "extra" filter described above. On older synthesizers, this feature is called "Multiple triggering".

Since all notes you play are mixed before being sent into the filter, the result of using the Shaper will be totally different (if you play more than one note at a time).

This is similar to playing a guitar chord through a distortion effect, for example.

You can patch in external effects between the oscillators and the filters.

Just connect an oscillator output to the input of the effect device, and the effect output to the Malströms's audio input.

You can use combinations of connections and routing. You could for instance connect an external audio signal to one of the inputs, one of the Malström's oscillators to the other input and then use the routing options on the front panel for the other oscillator. All of these signals will then be mixed and sent to the Malström's main outputs.


NN-19 - Introduction

A sampler could be described as a device capable of recording and reproducing audio material, like a tape recorder. Unlike a tape or harddisk based recorder, samplers allows you to "play" the recorded sound via MIDI, using a keyboard for example. This way, any reproducible sound can be integrated into the MIDI environment, and be controlled from sequencers etc. like synthesizers.

The NN-19 is a sample player, capable of reproducing, but not recording or editing sound files.

The program comes with more than a hundred ready-made sample patches, covering all kinds of instrument types. In addition to this there are plenty of single samples that can be used for creating your own patches.

If you want to record or edit your own samples, there are plenty of relatively inexpensive (and even free) audio editing software for both the Windows and the Mac OS platforms, that will allow you to both record audio (via your computers or audio cards audio inputs), and to edit the resulting audio file. Virtually every product that is capable of this, can create sound files which can be loaded directly into the NN-19.

Also, there are thousands of high quality sample CD:s available, covering every conceivable musical style or direction ranging from professionally recorded orchestral samples to esoteric electronic noises.


Background

Before a sound can be used by a sampler, it must be converted to a digital signal. Hardware samplers provide audio inputs that can convert the analog signal to digital, by the use of an "A/D Converter" (analog to digital). This "samples" the signal at very short time intervals and converts it to a digital representation of the analog signal's waveform. The sample rate and the bit depth of this conversion determines the resulting sound quality. Finally the signal is passed through a digital to analog converter (D/A) which reconstructs the digital signal back to analog, which can be played back.


Multisampling vs. Single Samples

Most of the included NN-19 patches are made up of a collection of several samples. This is because a single sampled sound only sounds natural within a fairly narrow frequency range. If a single sample is loaded into an empty NN-19, the sample will be playable across the whole keyboard. The pitch (frequency) of the original sample (called root-key) will be automatically placed on the middle C key (C3).

Note that this has nothing to do with the actual pitch the sample itself produces! It may not even have a pitch as such, it could be the sound of someone talking for example.

If you play any single sample about two octaves above or below its root key, it will most likely sound very "unnatural". In the case of it actually being a sample of someone talking, playing two octaves up will make the talking voice sample sound squeaky, short and most likely unintelligible. Two octaves down the voice will sound something like a drawn-out gargle.

Thus, the range that most samples can be transposed without sounding unnatural is limited. To make a sampled piano, for example, sound good across the whole keyboard, you need to first have made many samples at close intervals across the keyboard, and then define an upper and lower range for each sample, called a Key Zone. All the keyzones in the piano sample patch then make up a Key Map.

To sample real instruments accurately requires a lot of hard work. Firstly, you need the original instrument, which should be in perfect working order. For acoustic instruments you need a couple of good microphones, a mixer or other device with high quality microphone preamps, and a room with good acoustics. You need to be meticulous when recording the different samples, so that levels are smooth and even across the range etc.

Fortunately Reason provides a wide range of high quality multisampled instruments, so much of this hard work has already been done for you.

In our experience, most people don't use samplers only for playing sampled versions of "real" instruments. Very often, single "stand alone" or single samples are used. Maybe you wish to use different sounds for every key zone. Or you could have complete chorus and verse vocals plus variations assigned to several "one note" key zones. Or use samples of different chords that play rhythmic figures to the same tempo, and use these to build song structures etc. The possibilities are endless. When you use samples in this way, the keys on your keyboard that play the samples do not necessarily correspond to pitch at all, the keys are simply used to trigger the samples.


About File Formats

The NN-19 can read audio files in the following formats:

Wave (.wav)

AIFF (.aif)

SoundFonts (.sf2)

REX file slices (.rex2, .rex, .rcy)

Any sample rate and practically any bit depth.

If you want the files to play back with their original bit depth - if higher than 16-bits - make sure to activate "Use High Resolution Samples" on the General page in the Preferences dialog. Otherwise, samples will be played back as 16-bit files in NN-19 regardless of their original bit depth.

Wave and AIFF are the standard audio file formats for the PC and Mac platforms, respectively. Any audio or sample editor, regardless of platform, can read and create audio files in at least one of these formats.

SoundFonts are an open standard for wavetable synthesized audio, developed by E-mu systems and Creative Technologies.

REX files are music loops created in the ReCycle program. The NN-19 lets you either load REX files as patches or separate slices from REX files as individual samples.

About the Sample Patch format

Reason's Sample Patch format (.smp), is based on either Wave or AIFF files, but includes all the NN-19 associated parameter settings as well.

The audio files may be stereo or mono. Stereo audio files are shown with a "S" symbol beside its name in the display.


Loading a Sample Patch

When you create a new NN-19 device, it is empty. That is, the "Init patch" in the NN-19 does not contain any samples. For NN-19 to produce sound, you need to load either a sample patch, or a sample.

A patch contains "everything". All the samples, assigned key zones, and associated panel settings will be loaded. Loading a sample patch is done using the patch browser, just like in all other devices that use Patches.

Open the folder that contains the NN-19 patch you wish to load, select it and click open.


Loading REX Files as Patches

REX Files are files created in the ReCycle program. This is an application created by Propellerhead Software, used for slicing up music loops and enabling them to be played back in any tempo. In Reason, REX files are primarily used in the Dr. Rex loop player, but they can be used in the NN-19 as well. Possible extensions are ".rx2", ".rcy" and ".rex".

When loading a REX file, each slice in the file is assigned to one key, chromatically. All parameters are set to default settings.

When using REX files in the DR. Rex loop player, it is possible to make a track play the slices in order to recreate the original loop. To do the same in the NN-19 requires a few extra steps.

1. Use the patch browser to load the REX file into an NN-19 sampler.

2. Create a Dr. Rex loop player and load the same REX file in to this device.

3. Use the To Track feature on the Dr. Rex to create playback data (a group) on the track assigned to the Dr. Rex.

4. Move that group to the track that plays the NN-19 and play it back from there.

5. Delete the Dr. Rex loop player.


Loading a Sample into an empty NN-19

1. Create a new sampler device.

2. Click on the sample browser button.

This is located above the keyboard display to the left.

When you browse samples, you can preview them before loading using the browser Play button. If you select the Preview "Autoplay" function, the samples play back once automatically when selected.

3. Use the browser to select a sample and open it.

When you load the first sample into an empty NN-19, this will be assigned a key zone that spans the entire range of the keyboard, and the default Init Patch settings will be used.

Below the keyboard, the range, sample name, root key, tuning, level and loop status of the current key zone is displayed, each with a corresponding knob.

The inverted note on the keyboard indicates the "root key" of the sample. All samples contain a root key, tuning and level setting. If NN-19 is empty, a sample will have its root key placed on the middle "C" (C3) key.

4. If desired, click on the keyboard to change the root key.

You can audition a loaded sample patch or sample by holding down [Alt] and clicking on a key in the Keyboard display. The mouse will take on the shape of a speaker symbol to indicate this.


Loading SoundFont samples

The SoundFont format was developed by E-mu systems in collaboration with Creative Technologies. It is a standardized data format containing wavetable synthesized audio and information on how it should be played back in wavetable synthesizers - typically on audio cards. The SoundFont format is an open standard so there is a vast amount of SoundFont banks and SoundFont compatible banks developed by third parties.

The samples in a SoundFont are stored hierarchically in different categories: User Samples, Instruments, Presets etc. The NN-19 allows you to browse for and load single SoundFont samples, but not entire soundfonts.

1. Use the sample browser to select a SoundFont file (.sf2) and open it.

The browser opens the SoundFont and displays the folders within it.

2. Select the folder "Samples" and open it.

This folder contains a number of samples which can be loaded like any other sample.

3. Select the desired sample and open it.

The sample is loaded and assigned a key zone range that spans the entire keyboard. You can now make settings for it as with any other sample.


Loading REX slices as samples

A slice is a snippet of sound in a REX File. To import a REX slice, click the sample browser button, browse to a REX file and open it as if it was a folder. The browser will then display the slices as files inside that "folder".


Creating Key Zones

A "key zone" is a range of keys, that plays a sample. All key zones together make up a "key map".

To create a new key zone, the following methods can be used:

Select "Split Key Zone" from the Edit or context menus.

This splits the currently selected key zone in the middle. The new zone is the upper half of the split, and is empty. The dividing point has a "handle" above it, see "Setting the Key Zone Range" below for a description.

By [Alt]-clicking at a point just above the key zone strip, a new empty key zone is created.

The point where you click becomes the lower limit (or boundary) for the original key zone, and the upper limit for the new key zone.


Selecting Key Zones

Only one key zone can be selected at a time. A selected key zone is indicated by a light blue (as opposed to dark blue) strip above the keyboard in the display. There are two ways you can select key zones:

By clicking on an unselected key zone in the display.

By activating the "Select Key Zone via MIDI" button.

Playing a note belonging to an unselected key zone from your MIDI keyboard, will select the key zone it belongs to.


Setting the Key Zone Range

Key zones cannot overlap.

When you adjust the boundaries of a key zone, the surrounding boundaries are automatically adjusted accordingly.

You can change the key zone range in the following ways:

By dragging the "handle(s)" which divides the key zones, you can change the range of the selected key zone.

In the case of having two key zones split in the middle, you could thus change the lower limit for the upper (new) key zone and the upper limit for the original key zone.

By using the "Lowkey" and "Highkey" knobs to set a lower and upper range, respectively.


Deleting a Key Zone

To delete a key zone, select it and then select "Delete Key Zone" from the Edit menu.


About Key zones, Assigned and Unassigned Samples

When you load samples and rearrange your key mapping, you will often end up with samples that are not assigned to any key zone. We refer to the samples as follows:

Assigned samples are samples that are currently assigned to one ore more key zones.

Unassigned samples are samples that reside in the sample memory, but that are currently not assigned to any key zone.


Adding Sample(s) to a Key Map
If the sample hasn't been loaded yet

1. Select a key zone.

This can be empty, or contain a sample - it doesn't matter for now.

2. Use the Sample Browser to add one, or several (see below), sample(s).

The following will happen:

If the zone contained a sample prior to loading, this will be replaced, both in the zone and in the sample memory, unless the sample was also used by another key zone, in which case it will be kept.

If you loaded several samples, one of the samples will be assigned to the key zone, and the other samples will be loaded but remain unassigned.

If the sample is already loaded but unassigned

1. Select a key zone.

This can be empty, or contain a sample - it doesn't matter for now.

2. Use the Sample knob to dial in the sample you want the key zone to play.


Setting the Root Key

Once you have defined a key zone, and added a sample, you should set the root key for the sample.

Select the key zone the sample belongs to, and click on the key you wish to set the root key to.

Which key to select is normally determined by the pitch of the sample. For example if the sample plays a F#2 guitar note, click on F#2.

Note that it is possible to select a root key outside the key zone, if required.


Removing Sample(s) from a Key Map

To remove a sample, select the zone it belongs to, and then select "Delete Sample" from the Edit or context menus.

The sample is removed from the zone and from sample memory.

To remove a sample from a key zone/map, without removing it from memory, you can either select "No Sample" with the Sample knob for that zone, or simply replace it with another sample in the same way.


Removing All Unassigned Samples

To remove all samples that are not assigned to any key zone, select Delete Unused Samples from the Edit menu.


Rearranging Samples in a Key Map

There is no specific function for rearranging or trading places between samples and key zones. Simply select a key zone and change the current sample assignment with the Sample knob.


Setting Sample Level

For each key zone you can set a volume level, using the Level button below the display. If the transition between two key zones causes a noticeable level difference, this parameter can be used to balance the levels.


Tuning Samples

Sometimes you might find that the samples you wish to use in a key map are slightly out of tune with each other. This parameter allows you to tune each sample in a map by +/- half a semitone.

Select the key zone(s) that contains the out of tune sample(s), and use the Tune knob below the keyboard display.

If all samples originate from different sources, and all or most of them are pitched slightly different (a not uncommon sampling scenario), you could first tune them so that they all match each other, and then, if necessary, use the Sample Pitch controls in the Osc section to tune them globally to the "song" you wish to use the samples in.

Note that if all the samples were slightly out of tune by the same amount in relation to the song you intend to use the samples in, it would be much simpler to use the Sample Pitch controls in the Osc section directly.


Looping Samples

A sample, unlike the cycles of an oscillator for example, is a finite quantity. There is a sample start and end. To get samples to play for as long as you press down the keys on your keyboard, they need to be looped.

For this to work properly, you have to first set up two loop points which determine the part of the sample that will be looped, and make this a part of the audio file. You cannot set loop points in the NN-19, this has to be done in a sample editor.

All included samples already have set loop points (if needed).

For each sample (or key zone), you can select the following Loop modes by using the Loop knob below the keyboard display:

OFF

No looping is applied to the sample.

FWD

The part between the loop points plays from start to end, then the cycle is repeated. This is the most common loop mode.

FWD - BW

The part between the loop points plays from start to end, then from end to start (backwards), and then repeats the cycle.

For samples without any loop points, the whole sample will be looped.


About the Solo Sample Function

The Solo Sample button will allow you to listen to a selected sample over the entire keyboard range.

Select the key zone the sample is assigned to, and then activate Solo Sample.

This can be useful for checking if the root key is set correctly or if the current range is possible to extend etc.

For Solo Sample to work, "Select Key Zone via MIDI" must be disabled!


Using the Automap Samples function

If you have a number of samples that belong together, but haven't mapped them to key zones you can use the "Automap Samples" function on the Edit menu. This is used in the following way:

1. Select all samples that belong together and load them in one go, using the sample browser.

One of the samples will be assigned to a key zone spanning the whole range, and the rest will be loaded in to memory but remain unassigned.

2. Select Automap Samples from the Edit menu.

Now all samples currently in memory (assigned or unassigned) will be arranged automatically so that:

Each sample will be placed correctly according to its root note, and will be tuned according to the information in the sample file.

Most audio editing programs can save root key information as part of the file.

Each sample will occupy half the note range to the next sample's root note.

The root key will always be in the middle of each zone, with the zone extending both down and up in relation to the root position.


Mapping Samples Without Root Key or Tuning Information

Some samples may not have any information about root key or tuning stored in the file. If the file names indicate the root key you can manually set it for each sample using the method described below. In a worst case scenario, i.e. no tuning or root key information whatsoever, you can still make use of the Automap function:

1. Select all samples that belong together and load them in one go, using the sample browser.

One of the samples will be assigned to a key zone spanning the whole range, and the rest will be loaded in to memory but remain unassigned.

2. Manually set the root key, and adjust the tune knob if the sample needs fine-tuning.

Without any information stored in the file, or if the file name doesn't indicate the root key, you will have to use your ears for this step. Play the sample and use another instrument or a tuner to determine its pitch.

3. Select the next sample using the Sample knob, and repeat the previous step.

Proceed like this until you have set a root key for all the samples in memory.

4. Select "Automap Samples" from the edit menu.

The samples will be automatically mapped according to their set root key positions!


How Mapping Information is Saved

All information about key zones, high and low range, root key etc. is stored as part of the Sampler Patch. The original sample files are never altered!


Introduction

The NN-19 synth parameters are used to shape and modulate samples. These are mostly similar to the parameters used to shape the oscillators in Subtractor - you have envelope generators, a filter, velocity control etc. Again, it is important to remember that these parameters do not alter the audio files in any way, only the way they will play back.

These parameters are global, in the sense that they will affect all samples in a sample patch.


The Oscillator Section

For a sample patch, the actual samples are what oscillators are for a synthesizer, the main sound source. The following settings can be made in the Osc section of the NN-19:

Sample Start

This changes the start position of samples in a sample patch. Turning the knob clockwise gradually offsets the samples' start position, so that they will play back from a position further "into" the samples' waveform. This is useful mainly for two things:

Removing "air" or other unwanted artefacts from the start of less than perfect samples.

Occasionally (although not in any samples supplied with Reason) you may come across samples where the start point of the sample is slightly ahead of the start of the actual sound. There may be noise or silence in the beginning which was not intended to be part of the sample. By adjusting the sample start position, this can be removed.

Changing the start point as an effect.

For example, if you had a sample of someone saying "one, two, three", you could change the start position so that when you played the sample it would start on "three".

You can also assign velocity sample start allowing to use your playing to determine the exact sample start. See "Velocity Control" .

Setting Sample Pitch - Octave/Semitone/Fine

By adjusting the corresponding knobs you can change the pitch of all samples belonging to a patch, in three ways:

Octave steps

The range is 0 - 8. The default setting is 4.

Semitone steps

Allows you to raise the frequency in 12 semitone steps (1 octave).

Fine steps (100th of a semitone)

The range is -50 to 50 (down or up half a semitone).

Note that the controls in this section cannot be used to tune samples against each other, as all samples will be affected equally. To tune individual samples, you use the Tune parameter below the keyboard display.

Keyboard Tracking

The Osc section has a button named "Kbd. Track". If this is switched off, the sample's pitch will remain constant, regardless of any incoming note pitch messages, although the oscillator still reacts to note on/off messages. This could be useful if you are using non-pitched samples, like drums for example. You could then play a sample in a zone using several keys, allowing for faster note triggering if you wanted to play a drum roll, for example.

Osc Envelope Amount

This parameter determines to what degree the overall pitch of the samples will be affected by the Filter Envelope. You can set negative or positive values here, which determines whether an envelope parameter should raise or lower the pitch.


The Filter Section

Filters are used for shaping the overall timbre of the sound. The filter in NN-19 is a multimode filter with five filter types.

Filter Mode

With this selector you can set the filter to operate as one of five different types of filter. These are as follows:

24 dB Lowpass (LP 24)

Lowpass filters lets low frequencies pass and cuts out the high frequencies. This filter type has a fairly steep roll-off curve (24dB/Octave). Many classic synthesizers (Minimoog/Prophet 5 etc.) used this filter type.

12 dB Lowpass (LP 12)

This type of lowpass filter is also widely used in classic analog synthesizers (Oberheim, TB-303 etc.). It has a gentler slope (12 dB/Octave), leaving more of the harmonics in the filtered sound compared to the LP 24 filter.

Bandpass (BP 12)

A bandpass filter cuts both high and low frequencies, while midrange frequencies are not affected. Each slope in this filter type has a 12 dB/Octave roll-off.

High-Pass (HP12)

A highpass filter is the opposite of a lowpass filter, cutting out the lower frequencies and letting the high frequencies pass. The HP filter slope has a 12 dB/Octave roll-off.

Notch

A notch filter (or band reject filter) could be described as the opposite of a bandpass filter. It cuts off frequencies in a narrow midrange band, letting the frequencies below and above through.

Filter Frequency

The Filter Frequency parameter (often referred to as "cutoff") determines which area of the frequency spectrum the filter will operate in. For a lowpass filter, the frequency parameter could be described as governing the "opening" and "closing" of the filter. If the Filter Freq is set to zero, none or only the very lowest frequencies are heard, if set to maximum, all frequencies in the waveform are heard. Gradually changing the Filter Frequency produces the classic synthesizer filter "sweep" sound.

Note that the Filter Frequency parameter is usually controlled by the Filter Envelope (see "Envelope Section" ) as well. Changing the Filter Frequency with the Freq slider may therefore not produce the expected result.

Resonance

The filter resonance parameter (sometimes called Q) is used to set the Filter characteristic, or quality. For lowpass filters, raising the filter Res value will emphasize the frequencies around the set filter frequency. This produces a generally thinner sound, but with a sharper, more pronounced filter frequency "sweep". The higher the resonance value, the more resonant the sound becomes until it produces a whistling or ringing sound. If you set a high value for the Res parameter and then vary the filter frequency, this will produce a very distinct sweep, with the ringing sound being very evident at certain frequencies.

For the highpass filter, the Res parameter operates just like for the lowpass filters.

When you use the Bandpass or Notch filter, the Resonance setting adjusts the width of the band. When you raise the Resonance, the band where frequencies are let through (Bandpass), or cut (Notch) will become narrower. Generally, the Notch filter produces more musical results using low resonance settings.


Envelope Section

Envelope generators are used to control several important sound parameters in analog synthesizers, such as pitch, volume, filter frequency etc. Envelopes govern how these parameters should respond over time - from the moment a note is struck to the moment it is released.

Standard synthesizer envelope generators have four parameters; Attack, Decay, Sustain and Release (ADSR).

There are two envelope generators in the NN-19, one for volume, and one for the filter frequency.

Please refer to the Subtractor section for a description of the basic envelope parameters.

Amplitude Envelope

The Amp Envelope is used to adjust how the volume of the sound should change from the time you press a key until the key is released. By setting up a volume envelope you sculpt the sound's basic shape with the four Amplitude Envelope parameters, Attack, Decay, Sustain and Release. This determines the basic character of the sound (soft, long, short etc.). The Level parameter acts as a general volume control for the sample patch.

Filter Envelope

The Filter Envelope can be used to control two parameters; filter frequency and sample pitch. By setting up a filter envelope you control the how the filter frequency and/or the sample pitch should change over time with the four Filter Envelope parameters, Attack, Decay, Sustain and Release.

Filter Envelope Amount

This parameter determines to what degree the filter will be affected by the Filter Envelope. Raising this knob's value creates more drastic results. The Envelope Amount parameter and the set filter frequency are related. If the Filter Freq slider is set to around the middle, this means that the moment you press a key the filter is already halfway open. The set Filter Envelope will then open the filter further from this point. The Filter Envelope Amount setting affects how much further the filter will open.

Filter Envelope Invert

If this button is activated, the envelope will be inverted. For example, normally the Decay parameter lowers the filter frequency, but after activating Invert it will instead raise it, by the same amount. Note that Invert does not affect the Osc pitch parameter (this can be inverted by setting positive or negative values).


LFO Section

LFO stands for Low Frequency Oscillator. LFOs are oscillators in the sense that they generate a waveform and a frequency. However, there are two significant differences compared to normal sound generating oscillators:

LFOs only generate waveforms with low frequencies.

The output of the two LFOs are never actually heard. Instead they are used for modulating various parameters.

The most typical application of an LFO is to modulate the pitch of a (sound generating) oscillator or sample, to produce vibrato.

The LFO section has the following parameters:

Waveform

LFO 1 allows you to select different waveforms for modulating parameters. These are (from the top down):

Destination

Waveform | Description
Triangle | This is a smooth waveform, suitable for normal vibrato.
Inverted Sawtooth | This produces a "ramp up" cycle. If applied to an oscillator's frequency, the pitch would sweep up to a set point (governed by the Amount setting), after which the cycle immediately starts over.
Sawtooth | This produces a "ramp down" cycle, the same as above but inverted.
Square | This produces cycles that abruptly changes between two values, usable for trills etc.
Random | Produces random stepped modulation to the destination. Some vintage analog synths called this feature "sample & hold".
Soft Random | The same as above, but with smooth modulation.

The available LFO Destinations are as follows:

Destination | Description
Osc | Selecting this makes LFO control the pitch (frequency) of the sample patch.
Filter | Selecting this makes the LFO control the filter frequency.
Pan | Selecting this makes the LFO modulate the pan position of samples, i.e. it will move the sound from left to right in the stereo field.

Sync

By clicking this button you activate/deactivate LFO sync. The frequency of the LFO will then be synchronized to the song tempo, in one of 16 possible timedivisions. When sync is activated, the Rate knob (see below) is used for setting the desired timedivision.

Turn the knob and check the tooltip for an indication of the timedivision.

Rate

The Rate knob controls the LFO's frequency. Turn clockwise for a faster modulation rate.

Amount

This parameter determines to what degree the selected parameter destination will be affected by the LFO. Raising this knob's value creates more drastic results.


Velocity Control

Velocity is used to control various parameters according to how hard or soft you play notes on your keyboard. A common application of velocity is to make sounds brighter and louder if you strike the key harder. By using the knobs in this section, you can control how much the various parameters will be affected by velocity. The velocity sensitivity amount can be set to either positive or negative values, with the center position representing no velocity control.

The following parameters can be velocity controlled:

Destination | Description
Amp | This let's you velocity control the overall volume of the sound. If a positive value is set, the volume will increase the harder you strike a key. A negative value inverts this relationship, so that the volume decreases if you play harder, and increases if you play softer. If set to zero, the sound will play at a constant volume, regardless of how hard or soft you play.
F. Env | This sets velocity control for the Filter Envelope Amount parameter. A positive value will increase the envelope amount the harder you play. Negative values invert this relationship.
F. Dec | This sets velocity control for the Filter Envelope Decay parameter. A positive value will increase the Decay time the harder you play. Negative values invert this relationship.
S.Start | This sets velocity control for the Sample Start parameter. A positive value will increase the Start Time amount the harder you play. Negative values invert this relationship.
A. Attack | This sets velocity control for the Amp Envelope Attack parameter. A positive value will increase the Attack time the harder you play. Negative values invert this relationship.


Pitch Bend and Modulation Wheels

The Pitch Bend wheel is used for "bending" notes, like bending the strings on a guitar. The Modulation wheel can be used to apply various modulation while you are playing. Virtually all MIDI keyboards have Pitch Bend and Modulation controls. NN-19 also has two functional wheels that could be used to apply real time modulation and pitch bend should you not have these controllers on your keyboard, or if you aren't using a keyboard at all. The wheels mirror the movements of the MIDI keyboard controllers.

Pitch Bend Range

The Range parameter sets the amount of pitch bend when the wheel is turned fully up or down. The maximum range is "24" (=up/down 2 Octaves).

Modulation Wheel

The Modulation wheel can be set to simultaneously control a number of parameters. You can set positive or negative values, just like in the Velocity Control section. The following parameters can be affected by the modulation wheel:

Destination | Description
F. Freq | This sets modulation wheel control of the Filter Frequency parameter. A positive value will increase the frequency if the wheel is pushed forward. Negative values invert this relationship.
F. Res | This sets modulation wheel control of the Filter Resonance parameter. A positive value will increase the resonance if the wheel is pushed forward. Negative values invert this relationship.
F. Dec | This sets modulation wheel control for the Filter Envelope Decay parameter. A positive value will increase the decay if the wheel is pushed forward. Negative values invert this relationship.
LFO | This sets modulation wheel control of the LFO Amount parameter. A positive value will increase the Amount if the wheel is pushed forward. Negative values invert this relationship.
Amp | This sets modulation wheel control for the Amp level parameter. A positive value will increase the level if the wheel is pushed forward. Negative values invert this relationship.


Legato

Legato works best with monophonic sounds. Set Polyphony (see "Setting Number of Voices - Polyphony" ) to 1 and try the following:

Hold down a key and then press another key without releasing the previous.

Notice that the pitch changes, but the envelopes do not start over. That is, there will be no new "attack".

If polyphony is set to more voices than 1, Legato will only be applied when all the assigned voices are "used up".

For example, if you had a polyphony setting of "4" and you held down a 4 note chord, the next note you played would be Legato. Note, however, that this Legato voice will "steal" one of the voices in the 4 note chord, as all the assigned voices were already used up!


Setting Number of Voices - Polyphony

This determines the polyphony, i.e. the number of voices a patch can play simultaneously. This can be used to make a patch monophonic (=a setting of "1"), or to extend the number of voices available for a patch. The maximum number of voices you can set a patch to use is 99.

Note that the Polyphony setting does not "hog" voices. For example, if you have a patch that has a polyphony setting of ten voices, but the part the patch plays only uses four voices, this won't mean that you are "wasting" six voices. In other words, the polyphony setting is not something you need to consider if you want to conserve CPU power - it is only the number of voices actually used that counts.


Voice Spread

This parameter can be used to control the stereo (pan) position of voices. The Spread knob determines the intensity of the panning. If this is set to "0", no panning will take place. The following pan modes can be selected:

Mode | Description
Key | This will shift the pan position gradually from left to right the higher up on the keyboard you play.
Key 2 | This will shift the pan position from left to right in 8 steps (1/2 octave) for each consecutive higher note you play, and then repeat the cycle.
Jump | This will alternate the pan position from left to right for each note played.


Low Bandwidth

This will remove some high frequency content from the sound, but often this is not noticeable (this is especially true if you have "filtered down" samples). Activating this mode will save you some extra computer power, if needed.


Controller Section

NN-19 can receive common MIDI controller messages, and route these to various parameters. The following MIDI messages can be received:

Aftertouch (Channel Pressure)

Expression Pedal

Breath Control

If your MIDI keyboard is capable of sending Aftertouch messages, or if you have access to an Expression Pedal or a Breath controller, you can use these to modulate NN-19 parameters. The "Source" selector switch determines which of these message-types should be received.

These messages can then be assigned to control the following parameters:

F. Freq | This sets external modulation control of the filter frequency parameter. A positive value will increase the frequency with higher external modulation values. Negative values invert this relationship.
LFO 1 | This sets external modulation control of the LFO Amount parameter. A positive value will increase the LFO amount with higher external modulation values. Negative values invert this relationship.
Amp | This let's you control the overall volume of the sound with external modulation. If a positive value is set, the volume will increase with higher external modulation values. A negative value inverts this relationship.


Audio Outputs

These are the main left and right audio outputs. When you create a new NN-19 device, these are auto-routed to the first available channel on the audio mixer.


Mono Sequencer Control

These are the main CV/Gate inputs. CV controls the note pitch. Gate inputs trigger note on/off values plus a level, which can be likened to a velocity value. If you want to control the NN-19 from a Matrix Pattern Sequencer for example, you would normally use these inputs. The inputs are "mono", i.e. they control one voice in the sampler.


Modulation Inputs

Remember that CV connections will not be stored in the sample patch, even if the connections are to/from the same NN-19 device!

These control voltage (CV) inputs (with associated voltage trim pots), can modulate various NN-19 parameters from other devices, or from the modulation outputs of the same NN-19 device. These inputs can control the following parameters:

Osc (sample) Pitch

Filter Cutoff

Filter Resonance

Amp Level

Mod Wheel


Modulation Outputs

The Modulation outputs can be used to voltage control other devices, or other parameters in the same NN-19 device. The Modulation Outputs are:

Filter Envelope

LFO


Gate Inputs

These inputs can receive a CV signal to trigger the envelopes. Note that connecting to these inputs will override the "normal" triggering of the envelopes. For example, if you connected a LFO output to the Gate Amp input, you would not trigger the amp envelope by playing notes, as this is now controlled by the LFO. In addition you would only hear the LFO triggering the envelope for the notes that you hold down.

Amp Envelope

Filter Envelope


Introduction and Features

The basic functions of the NN-XT are very similar to those of its sampler companion in the Reason rack - the NN-19. Just like the NN-19, NN-XT lets you load samples and create multi-sample patches by mapping samples across the keyboard. The sound can then be modified by a comprehensive set of synth-type parameters. There are however some major differences between the two. The NN-XT has:

Support for SoundFonts.

Presets and samples from SoundFont banks can be loaded and used in the NN-XT.

8 stereo output pairs.

This makes it possible to route different samples to different mixer channels for individual effect processing.

The possibility to create layered sounds.

This is done by mapping several samples across the same keyboard range.

The possibility to create sounds that only play over certain velocity ranges, velocity switched key maps and velocity crossfading.

Key maps with individual synth parameter settings for each sample.

Even though the NN-XT is a more advanced sample player than NN-19, it should not be considered as a successor to the NN-19, but rather as a complement to it. The NN-19 will for example probably still be the sampler of choice for those of you who want to be able to quickly load a couple of samples and start playing, since that particular aspect takes a little more doing with the NN-XT.


About the two Panels

The NN-XT consists of two different panels; the Main Panel and the Remote Editor Panel.

The Main Panel

When the NN-XT is added to the rack, you will initially only see the main panel.

The main panel is where you load complete sample patches. It also contains the "global controls". These are controls that affect and modify the sound of entire patches rather than the individual key zones.

The Remote Editor panel

To show/hide the remote editor panel, use the fold/unfold arrow at the bottom left of the Main Panel.

The remote editor panel is where you load individual samples, create key maps, modify the sound of the samples with synth parameters etc.

The main panel of the NN-XT can be folded like any other Reason device. Note that folding the main panel will also fold the remote editor regardless of its current state.


About Sample Patches and Samples

You can load complete sample patches as well as individual samples into the NN-XT.

A patch is a complete "sound package". It contains information about all the samples used, assigned key zones, associated panel settings etc. Loading a sample patch is done by using the patch browser on the main panel, and works in the same way as with any other Reason device.

For general instructions on how to load and save patches, please consult the chapter "Working with Patches" in the Getting Started book.

Loading separate samples is done in a similar way, but via the sample browser on the remote editor panel. If you load samples, map them across keyboard ranges and set up the sound the way you want it, you can save your settings as a Patch for easy access later.


Loading Sample Patches
Loading NN-XT Patches

NN-XT Patches are patches made specifically for the NN-XT. Reason ships with a large number of NN-XT Patches, some in the Factory Sound Bank but most in the Orkester Sound Bank. NN-XT Patches have the extension ".sxt".

Loading NN-19 Patches

NN-19 Patches have the extension ".smp". Note that when loading NN-19 patches into the NN-XT, some parameters will not be applicable since the NN-19 and the NN-XT to some extent differ from each other in terms of controls. In these cases, the concerned parameters will either be ignored by the NN-XT or mapped to the most equivalent control.

Loading SoundFonts

The SoundFont format was developed by E-mu systems in collaboration with Creative Technologies. It is a standardized data format containing wavetable synthesized audio and information on how it should be played back in wavetable synthesizers - typically on audio cards. The SoundFont format is an open standard so there is a vast amount of SoundFont banks and SoundFont compatible banks developed by third parties.

Loading SoundFonts is no different from loading NN-XT Patches. As with NN-19 Patches, the NN-XT does its best to map all the SoundFont settings to NN-XT parameters.

You can load SoundFont presets by using the patch browser, and single SoundFont samples by using the sample browser.

Loading Complete REX Files as Patches

REX Files are files created in the ReCycle program. This is an application created by Propellerhead Software, used for slicing up music loops and enabling them to be played back in any tempo. In Reason, REX files are primarily used in the Dr. Rex loop player, but they can be used in the NN-XT as well. Possible extensions are ".rx2", ".rcy" and ".rex".

When loading a REX file, each slice in the file is assigned to one key, chromatically. All parameters are set to default settings.

When using REX files in the DR. Rex loop player, it is possible to make a track play the slices in order to recreate the original loop. To do the same in the NN-XT requires a few extra steps.

1. Use the patch browser to load the REX file into an NN-XT sampler.

2. Create a Dr. Rex loop player and load the same REX file in to this device.

3. Use the To Track feature on the Dr. Rex to create playback data (a group) on the track assigned to the Dr. Rex.

4. Move that group to the track that plays the NN-XT and play it back from there.

5. Delete the Dr. Rex loop player.


The Main Panel - introduction

All of the controls on the main panel are used for globally modifying certain parameters for all of the samples in a patch, by the same amount.

Movements of the parameters on the main panel can be recorded as automation.


The Pitch Bend and Modulation wheels

Most MIDI keyboards come equipped with Pitch Bend and Modulation wheels. The NN-XT features settings for how incoming MIDI Pitch Bend and Modulation wheel messages should affect the sound. The wheels on the NN-XT will also mirror the movements of the wheels on your MIDI keyboard.

If you don't have Pitch Bend or Modulation controls on your keyboard, or if you aren't using a keyboard at all, you can use the two fully functional wheels on the NN-XT to apply real time modulation and pitch bend.

The Pitch Bend wheel is used for "bending" the played notes up and down to change their pitch - much like bending the strings on a guitar or other string instrument. The Pitch Bend Range is set on the remote editor panel.

The Modulation wheel can be used for applying modulation to the sound while you're playing. It can also be used for controlling a number of other parameters.


External control

This section can be used in three ways:

Receiving MIDI controller messages from external sources

NN-XT can receive common MIDI controller messages, and route these to various parameters. You use the "Source" selector switch to determine which type of message should be received:

Aftertouch (Channel Pressure)

Expression Pedal

Breath Control

If your MIDI keyboard is capable of sending aftertouch messages, and/or if you have connected an expression pedal or a breath controller to it, you can use these to modulate NN-XT parameters. Which parameters should be modulated is set in the remote editor panel.

Recording MIDI controller messages with the wheel

The wheel in the external control section can be used for recording any or all of the three MIDI controller message types into the Reason sequencer. If your MIDI keyboard isn't capable of sending aftertouch messages or you don't have access to an expression pedal or a breath controller, you can use the wheel instead.

This is done just as with any other automation recording, as described in the chapter "The Sequencer" in the electronic documentation.


High Quality Interpolation

This switch turns High Quality Interpolation on and off. When it is activated, the sample pitch is calculated using a more advanced interpolation algorithm. This results in better audio quality, especially for samples with a lot of high frequency content.

High Quality Interpolation uses more computer power however - so if you don't need it, it's a good idea to turn it off! Listen to the sounds in a context and determine whether you think this setting makes any difference.


Global Controls

These are the row of knobs to the right on the Main Panel. All of these knobs change the values of various parameters in the remote editor panel and affect all loaded samples. Thus they can be used for quickly adjusting the overall sound.

The knobs are bi-polar, which means that when they are centered, no parameter change is applied. By turning them to the right you increase the corresponding value, and by turning them to the left, you decrease the value.

Again, the movements of these parameters can be recorded as automation. This is done just as with any other automation recording, as described in the chapter "The Sequencer" in the electronic documentation.

The controls are, from left to right:

Filter

These two knobs each control a parameter of the filter on the remote editor panel. Note that the filter must be on for these to have any effect.

Frequency

This changes the cutoff frequency of the filter.

Resonance

This changes the resonance parameter of the filter, meaning - the filter characteristic, or quality.

Amp Envelope

These three knobs control the Amplitude Envelope on the remote editor panel in the following way:

Attack

This changes the Attack value of the Amplitude Envelope. That is, how long it should take for the sound to reach full level after you press a key on your keyboard.

Decay

This changes the Decay value of the Amplitude Envelope. Decay determines how long it should take for the sound to go back to the sustain level after it has reached full value and the key that triggered the sound is still being pressed.

Release

This changes the Release value of the Amplitude Envelope. Release works just like Decay with the exception that it determines how long it should take for the sound to become silent after the key has been released.

Mod Envelope

This knob controls the Decay value of the Modulation Envelope on the remote editor panel.

Master Volume

This controls the main volume out from the NN-XT. Turn the knob to the right to increase the volume.


The Remote Editor Panel - introduction

It is in the Remote Editor Panel that the main NN-XT action is going on, especially if you're creating your own patches. The remote editor is dominated by the key map display, and around this are the various parameters that can be used for shaping the sound: The Sample parameters, the Group parameters and the Synth parameters.


The Key Map display

The key map display consists of a number of separate areas that let you do different things:

The Info area

This area at the top left displays the following information about the currently selected sample: Sample rate, mono/stereo information, bit resolution and file size.

The Sample area

This area at the left of the display displays the names of the samples in each zone. It also allows you to change the order of the zones by clicking and dragging them up and down.

The Group area

This area, to the left of the Sample area, does not show any information. However, by clicking in it, you can instantly select all the zones that belong to a certain group.

The Keyboard area

Aside from the fact that this area at the top of the display is a guideline for setting up key ranges, it is also used for setting the root keys of, and auditioning loaded samples.

The Tab Bar area

This area, situated just below the Keyboard area, gives you a visual indication of the key range of a selected zone. By clicking and dragging the "handles" at the key range boundaries, you can resize the key ranges, and by clicking in between the handles, you can move the key ranges without changing their length.

The Key Range area

This area in the middle of the key map display is where you keep track of all the zones and the relationship between them. You can also move and resize the zones just like in the Tab Bar area, as described above.

The Scrollbars

There are both horizontal and vertical scrollbars that work just like regular scrollbars. Whenever there is more information in the key map display than what fits on a "single screen", you can use the scrollbars to reveal it. Either click on the arrows or click and drag the scrollbar handles.


Sample Parameters

This area, located at the very bottom of the Key Map display, shows the current values of basic parameters you can set for each separate zone, such as root key, play mode, output etc. The parameters are changed by using the knobs directly below the key map display.


Group Parameters

These parameters, located at the top left of the remote editor panel, are adjusted on a per group basis. Most of them relate to performance or playing style.


Synth Parameters

The bulk of the parameters on the remote editor are used for adjusting the sound of the samples by applying filtering, envelope shaping, modulation (like vibrato and tremolo) and so on. We call these the synth parameters, since they are to a large extent identical to those on a regular synthesizer.


About Samples and Zones

For a clear understanding of the terminology used when describing the various operations that can be performed in the key map display, it is important to clarify the distinction between a sample and a zone:

A Sample is a piece of audio that can be loaded into the NN-XT and played back.

A Zone could be viewed as a "container" for a loaded sample.

All loaded samples are placed in "Zones" in the key map display. You can then organize the zones as you please, and make various settings such as key- and velocity ranges separately for each zone.

In other words, the settings you make are actually performed on the zones, but affect the samples in them. Hence, when we talk about making settings for a zone, it is synonymous with making settings for a sample - the sample that the zone contains.

Two or more zones can play the same sample, but with different parameter settings, making them sound completely different.

A zone can be empty, playing no sample at all.


About Selections and Edit Focus

Almost all operations in the remote editor are performed on one or more selected zones or on the zone with edit focus. Several zones can be selected at once, but only one zone at a time can have edit focus.

This is important since:

Editing operations that can be performed on several zones (like deleting), always apply to the selected zones.

Editing operations that can be performed on one zone only (like adjusting the "Lo key"), always apply to the zone with edit focus.

The front panel always shows the settings for the zone with edit focus.

A selected zone is displayed with a darker color.

A zone with edit focus is displayed with an outline.


Selecting Zones

To select a zone, click on it.

Clicking on a zone will also automatically give it edit focus.

You can also select multiple zones in several ways:

By holding down [Shift] or [Ctrl] and clicking on the zones you wish to select.

This way you can select several non-contiguous zones. You can also deselect a selected zone by clicking on it again.

By using the keyboard command [Ctrl]-[A].

This will select all of the zones in the key map display. To deselect all zones, click in an unoccupied area in the Sample column or the key map area.

By clicking and dragging a selection box in the key map area.

Note that the zones don't have to be completely encompassed by the selection box. The selection box only have to intersect parts of the zones to include them in the selection.

Selecting zones via MIDI

You can also select zones via your MIDI keyboard. By clicking the button marked "Select zones via MIDI" above the key map display so that it lights up, you enable selection via MIDI.

This way, you can select a zone and give it edit focus by pressing a key that lies within the zone's key range.

Note also, that selection via MIDI is velocity sensitive. Zones may have specific velocity ranges.This means that they won't be played unless the key that triggers the zone is played with a certain velocity. The same rules apply when selecting via MIDI, only zones that meet the velocity criteria will be selected.

Selecting All Zones in a Group

You can select all zones that belong in a group by clicking in the group column in the key map display.

Moving Edit Focus

A zone can be given edit focus independently of selection:

When you click on an unselected zone, it both gets selected and gets edit focus.

When you select several zones using [Shift] or [Ctrl], the one you select last always gets edit focus.

To set edit focus to a zone when several zones are already selected, click on it without holding down any modifier keys.

This way, you can move edit focus between the selected zones freely without deselecting any of them.


Adjusting Synth Parameters

The synth parameters are the ones that occupy the bulk of the remote editor panel. Changes you make to synth parameters always apply to all selected zones.

The panel "only" shows the settings for the zone with edit focus.

To make adjustments to one zone, select it (which also gives it edit focus) and adjust the parameter on the front panel.

To set several zones to the same value, select them and adjust the parameter.

All zones will be set to the same value for the parameter you adjusted.


Adjusting Group Parameters

Group parameters apply to a group. That is, they are settings that are shared by all zones in a group.

To make adjustments to one group, select one or more zones that belong to the group, and adjust the parameter on the front panel.

To set several groups to the same value, select at least one zone in each group you want to adjust, and adjust the parameter.


Sample Parameters
About Single and Multiple Parameters

The Sample parameters, located directly below the key map display, are divided into two groups: single and multiple, differentiated by color on the front panel: The single parameters reside on a background that is the same color as the remote editor panel as a whole, while the multiple parameters are surrounded by a lighter background color.

Single adjustment parameters can only be applied to one zone at a time. Adjustments made to these parameters always only apply to the zone with edit focus.

Multiple adjustment parameters apply to all selected zones, just like the synth parameters, as described above.

About "Conflicting" Parameters

Often you will find yourself in a situation where you select multiple zones and parameter settings differ between them. This is quite normal. For example, you will often find yourself making adjustments to for example level and filtering to balance the sound between several samples across the keyboard. However, if you have multiple selections this can sometimes lead to confusion: Enter the NN-XT's "conflicting parameters" indication:

Whenever two or more selected zones have conflicting parameter settings, NN-XT will notify you about this by showing a small "M" (for multiple) symbol, next to the parameter.

The controls on the panel always show the setting for the zone with edit focus.

By clicking your way through the zones within the selection, you can see the settings for each zone.

If you adjust a parameter, all selected zones will be set to the same value for this parameter.

You can put this functionality to good use when checking how a patch has been created and when checking that your own settings are consistent through the various zones.


Copying parameters between zones

You can easily copy parameter settings from one zone to any number of other zones. Proceed as follows:

1. Select all the zones you want to involve in the operation.

By this we mean the zone with the settings you wish to copy, and the zone(s) to which you want to copy the settings.

2. Make sure the zone that contains the settings you want to copy has edit focus.

3. Pull down the Edit menu or the NN-XT context menu and select "Copy Parameters to Selected Zones".

All the selected zones will now get the exact same parameter settings.

Observe that this only applies to the synth parameters. Sample parameters (root key, velocity range etc.) can not be copied.


Creating a Key Map

When you add an NN-XT sampler to the rack, its key map display is always empty. That is, it contains no samples.

To create a new key map, proceed as follows:

1. Either click the Browse Samples button, select Browse Samples from the Edit menu or select Browse Samples from the NN-XT's context menu.

This will bring up the regular Reason file browser.

2. Select the sample or samples that you want to load in the browser and click "OK".

The selected sample(s) are loaded into the NN-XT.

When new samples are loaded into the NN-XT they have the following properties:

Each sample is placed in its own zone.

Each zone spans a key range of five octaves on the keyboard - C1 to C6.

All the newly added sample(s)/zones are automatically selected.

The first added zone gets edit focus.


Setting Root Notes and Key Ranges

The next step after loading the samples is most likely to adjust the key range, root note and tuning of the samples, so that they play sensibly across the key range. There are many ways of doing this, but we will here briefly describe a procedure for quickly creating a complete key map out of a set of loaded samples.

This example assumes that the samples you load is a set of multisamples for a pitched instrument (like guitar, piano, flute etc).

1. Load the samples.

2. Use "Select All" on the Edit menu to select all the loaded samples.

3. Use "Set Root Notes from Pitch Detection" to automatically set up the root notes (pitches) for the samples.

4. Select "Automap Zones" from the Edit menu.

All the selected zones will now be arranged automatically into a basic key map. You can now proceed with adjusting the synth parameters on the front panel to shape the sound!


About File Formats and REX Slices

The NN-XT can import various types of samples:

Standard Wave files

These have the extension ".wav". This is the standard audio file format for the PC platform. Any audio or sample editor, regardless of platform, can read and create audio files in Wave format. Any sample rate and practically any bit resolution is supported.

Standard AIFF files

These have the extension ".aif" and this is the standard audio file format for the Mac platform. Again, any audio editor can read and create audio files in this format. Any sample rate and practically any bit resolution is supported.

SoundFont samples

This is a standardized data format containing wavetable synthesized audio and information on how it should be played back in wavetable synthesizers - typically on audio cards. SoundFont banks are hierarchically organized into different categories: User Samples, Instruments, Presets etc. The NN-XT lets you load single samples from within a Soundfont bank.

REX file slices

A slice is a snippet of sound in a REX File. To import a REX slice, browse to a REX file and open it as if it was a folder. The browser will then display the slices as files inside that "folder".

If you want files to play back with their original bit depth - if higher than 16-bits - make sure to activate "Use High Resolution Samples" on the General page in the Preferences dialog. Otherwise, samples will be played back as 16-bit files in NN-XT regardless of their original bit depth.


Adding More Samples to the Key Map

You can add additional samples to an existing key map in the same way as described in the section "Creating a Key Map" .

1. Make sure that no already loaded sample has edit focus.

If you don't, there's a risk that the selected sample will be replaced, see "Replacing a Sample" . To remove the edit focus, click in an unoccupied area in the Sample column or the key map area.

2. Open the Sample Browser.

3. Select the sample(s) you want to load in the browser and click "OK".

The new sample(s) are added to the key map.


Replacing a Sample

To replace the sample in a zone, proceed as follows:

1. Make sure the zone has edit focus and do one of the following:

Click the Browse Samples button.

Select Browse Samples from the Edit menu or the NN-XT context menu.

Double click in the zone.

Any of these methods will open the standard file browser in which you can select a new sample for the zone.

2. Select one and only one sample in the Sample Browser.

If you select more than one sample in the browser the samples you load will not replace the one with edit focus. They will instead be added below it.


Quick Browsing through Samples

If you want to quickly browse through a number of samples, for example to see which one of them would fit best in a certain context, proceed as follows:

1. Set up the zone as desired and make sure it has edit focus:

2. Use the arrow buttons in the Browse Samples section to select the next/previous sample in the same directory.


Removing Samples

To remove a sample from a zone, select it by clicking on it and then select "Remove Samples" from the Edit menu or the NN-XT context menu.

This will remove the sample from the zone, leaving it empty. Note that you can remove the samples from several selected zones at the same time.


Auditioning samples

You can audition the loaded samples in two ways:

By pressing [Alt] and clicking a sample in the sample column.

The mouse pointer will take on the shape of a speaker symbol when you move it over the sample column.

Clicking a sample will play it back at its root pitch. Furthermore, the sample will play back in its unprocessed state. That is, without any synth-parameters applied.

By pressing [Alt] and clicking a sample in the keyboard column.

The difference here is that you will hear the sample at the pitch corresponding to the key you clicked and with any and all processing applied. The click mimics a key played with velocity 100. Also note that this may trigger several samples, depending on whether they are mapped across the same or overlapping key ranges, and the velocity range settings (see "Setting up Key Ranges" and "Setting Velocity Range for a Zone" respectively).


Adding Empty Zones

You can add empty zones to a key map. Empty zones are treated just like zones containing samples, in that they are automatically selected, gets edit focus and are assigned a five octave key range when they are first created. However, you can only add one zone at a time. It is also possible to resize, move and edit empty zones in the same way as zones containing samples.

To add an empty zone, pull down the Edit menu or the NN-XT context menu and select "Add Zone".

An empty zone is added below any existing zones in the key map. An empty zone is indicated with the text "**No Sample**".

After you have added an empty zone, you can assign a sample to it, just as when Replacing a Sample, or when Quick Browsing (see "Replacing a Sample" and "Quick Browsing through Samples" ).


Duplicating Zones

You can duplicate any number of already existing zones (containing samples or empty).

1. Select the zone(s) you want to copy.

2. Pull down the edit menu or the NN-XT context menu and select "Duplicate Zones".

The selected zones will now be copied and automatically inserted below the last one in the key map display.

The duplicated zones will contain references to the same samples as the original zones. They will also have the exact same key ranges and parameter settings.


Removing Zones

To remove one or several zones, select them and do one of the following:

Press [Delete] or [Backspace] on the computer keyboard.

Select "Delete Zones" from the Edit menu or the NN-XT context menu.

When removing zones, you will remove any samples in them as well.


Rearranging Zones in the List

To move a zone to another position in the list, click on it in the samples column and drag up or down.

An outline shows you where the zone will appear when you release the mouse button.


About Groups

Grouping has two purposes:

To allow you to quickly select a number of zones that "belong together."

For example if you have created a layered sound consisting of piano and strings, you could put all string samples in one group and all piano samples in one group. Then you can quickly select all piano samples and make an adjustment to them by trimming a parameter.

To group zones that need to share group settings together.

For example, you may want to set a group to legato and monophonic mode and add some portamento so that you can play a part where you slide between notes.

Note that there is always at least one group, since the zones you create are always grouped together by default.


Creating a Group

1. Select the zones you want to group together.

The zones don't have to be contiguous in order to be grouped. Regardless of their original positions in the samples column, they will all be put together in succession.

2. Select "Group Selected Zones" from the Edit menu or the NN-XT context menu.

The zones are grouped.


Moving a Group to another Position in the List

Click on the group in the Groups column and drag up or down with the mouse button pressed.

An outline of the group you move is superimposed upon the display to help you navigate to the desired position.

3. Release the mouse button at the desired position.

The group and all its zones appear at the new position.


Moving a Zone from one Group to another

This is done just as when rearranging samples in the list, as described in the section "Rearranging Zones in the List" . The only difference is that you drag the zone from one group to another.


Selecting a Group and/or Zones in a Group

Clicking on a group in the groups column selects the group and all the zones in the group.

Clicking on a zone in the samples column selects the group (and that zone).


About Key Ranges

Each zone can have its own separate key range, the lowest and the highest key that will trigger the sample.

A good example of use for this is when sampling a certain instrument. Sampling of a piano for example is usually performed by making several recordings of different notes at close intervals, and then mapping these samples to separate, contiguous, fairly narrow key ranges. This concept is called multi-sampling.

The reason for this is that if one single sample is played across the entire keyboard, it will most likely sound very unnatural when played too far from its original pitch, since the amount you can transpose a sound without negatively affecting its timbre is very limited.


Setting up Key Ranges

You can adjust the key range of zones in a number of ways:

By Dragging the Zone Boundary Handles

1. Select the zone in the Key Range area.

2. Point and click on one of the handles that appear at each end.

3. Drag the handle left/right.

Dotted lines extend from the edges of the zones up to the keyboard area. These lines give you a visual indication of which keys the key range will encompass. There is also an alphanumerical indication at the bottom left of the display.

4. Repeat the procedure with as many zones as you wish, to create a complete key map.

By using the Lo Key and Hi Key controls

Directly below the key map area is a row of knobs. These are the sample parameters. As the name implies, they are used for changing various parameters that affect how the zones are played back. In the middle of the sample parameters area are two knobs called "Lo Key" and Hi Key".

These can be used for setting the low key and the high key of a zone's key range, just like dragging the boundary handles as described above:

1. Make sure the zone for which you want to set the key range has edit focus.

2. Use the knobs to change the corresponding key - low or high.

Check the display right above the knobs for an indication of the key. You can also keep an eye on the lines extending from the zone edges to the keyboard area.

By Dragging the Zone Boundary Handles on the Tab Bar

The area directly below the keyboard area is called the tab bar. This shows the key range for the currently selected zone, and also contains boundary handles.

These handles can be used much to the same effect as when dragging the boundary handles in the key map display. However, the handles on the tab bar can change the key range of multiple zones at the same time.

The following applies:

The tab bar shows the key range for the zone with edit focus.

Dragging the boundary handles for that zone will also simultaneously change the key range for a number of surrounding zones if:

The high key or low key (depending on which handle you drag) of the other zones are the same as the zone with edit focus.

The other zones are adjacent to the zone with edit focus.

Note that it doesn't matter whether the other zones are selected or not. They will be affected anyway.

Moving Zones by Dragging the Zone Boxes

You can also move entire zones horizontally, thereby changing their key ranges.

1. Select all the zones you want to move.

You can move several zones simultaneously.

2. Point on any of the selected zones, and press the mouse button.

3. Drag left/right and release the mouse button.

Moving Zones by Dragging in the Tab Bar

You can also move a zone by dragging anywhere between the zone boundary handles on the tab bar. When you do, the surrounding zones will be affected just as when dragging the boundary handles in the tab bar.

This can be used to "slide" a zone in relation to its surrounding zones.


About the Lock Root Keys function

Normally, when you move zones, the root note of the zone(s) you move will change accordingly. In other words, the zone(s) will be transposed. If this is not desired, you can activate the Lock Root Keys function prior to moving the zone(s) by clicking on the button above the key map display.

Moving zones without changing their root notes can be used for some interesting effects, since it will completely change the timbre of the sample(s) as they are played back.


About the Solo Sample function

The Solo Sample function lets you play a selected sample over the entire keyboard and disregarding any velocity range assigned to the sample. All other loaded samples are temporarily muted.

This is useful if you for example want to check how far up and down from its root key a sample can be played on the keyboard before starting to sound "unnatural". The solo sample function can therefore be useful as a guide for setting up key ranges.

1. Select one and only one zone, or - if you have a selection of multiple zones - make sure the one you want to hear has edit focus.

2. Activate Solo Sample by clicking on the button so that it lights up.

3. Play the MIDI keyboard


Sorting Zones by Note

The Edit menu and the NN-XT context menu contains an item called "Sort Zones by Note". This option lets you automatically sort the selected zones in descending order according to their key ranges.

When you invoke this option, the selected zones will be sorted from top to bottom in the display starting with the one with the lowest range.

Note however, that the sorting is done strictly on a group basis. That is, only zones that belong to the same group can be sorted in relation to each other.

If two zones have the same key range, they are sorted by velocity range.


About the Root Key

All instrument sounds have an inherent pitch. When playing a sample of such a sound on the keyboard, the keys you play must correspond to that pitch. For example, you may have recorded a piano playing the key "C3". When you map this onto the NN-XT key map, you must set things up so that the sampler plays back the sample at original pitch when you press the key C3.

This is done by adjusting the root note.

Many samples files from different sources already have a set root key in the file. If they do, the root key will be correctly set automatically when you load the sample into a zone.

However if the sample doesn't have a root note stored in the file, (if you for example have recorded it yourself) you will need to adjust it


Setting the Root Note Manually

To set the root key for a zone, proceed as follows:

Make sure the zone has edit focus (for example by clicking on it), and do one of the following:

Use the knob marked "Root" in the sample parameter area below the display.

Turning it to the right will raise the pitch of the root key. The selected key is displayed alphanumerically directly above the knob, and you can also look at the keyboard area for a visual indication (see below).

Press [Ctrl] and click on the desired root key in the keyboard area.

The set root key is shaded in the keyboard area so you can easily distinguish it.


Tuning Samples Manually

In addition to setting the root note, you may need to fine tune your samples, in order for them to match other instruments and/or each other:

Make sure the zone has edit focus (for example by clicking on it).

Use the knob marked "Tune" in the sample parameter area.

This allows you to tune each sample in a key map by +/- half a semitone
(-50 - 0 - 50).


Setting the Root Note and Tuning Using Pitch Detection

The NN-XT features a pitch detection function to help you set the root keys. This is useful if you for example load a sample that you haven't recorded yourself, and you don't have any information about its original pitch.

Proceed as follows:

1. Select all the zones you want to be subject to pitch detection.

2. Pull down the Edit menu or the NN-XT context menu and select "Set Root Notes from Pitch Detection".

The samples in all the selected zones will now be analyzed, and the perceived root keys will automatically be set for you.

Note that for this to work properly, the samples must have some form of perceivable pitch. If it is sampled speech, or a snare drum for example, it probably doesn't have any discernible pitch.


About Changing the Pitch of Samples

The procedures for setting root keys and tuning should be used to make sure the samples are consistently pitched across the keyboard, and that they all match an absolute reference (for example A 440 tuning).

If you need to tune the samples to match other material, or to get a certain effect (for example detuning two sounds against each other for a chorus effect) you should use the Pitch section among the synth parameters, not the sample tuning parameters.


The Automap Samples function

The automap function can be used as a quick way of creating a key map, or as a good starting point for further adjustments of a key map.

Automap works under the assumption that you intend to create a key map for a complete instrument, for example a number of samples of a piano, all at different pitches.

1. Load the samples you want to Automap.

Now you have three options:

Trust that the root note information in the files is already correct.

Manually adjust the root notes (and tuning) for all the samples.

Use "Set Root Notes from Pitch Detection" to automatically set up the root notes.

2. Select all zones you want to automap.

3. Select Automap Zones from the Edit menu or the NN-XT context menu.

All the selected zones will now be arranged automatically in the following way:

The zones will be sorted in the display (from top to bottom - lowest key first) according to the root keys.

The zones will be assigned key ranges according to the root keys.

The key ranges are set up so that the split between two zones is exactly in the middle between the zones' root notes. If two zones have the same root key they will be assigned the same key range.


Creating Layered Sounds

You can set things up so that two or more zones have overlapping key ranges - either completely or partially. This way you can create layered sounds, i.e. different samples that are played simultaneously when you press a key on your keyboard.

For example, you can load a set of piano samples and map these across the key range.

You can then load set of string samples that also span the entire key range.

Whenever you play a key within this keyboard range, the sound produced will be a combination of the piano and the string sample.

In addition, you can arrange the piano samples into one group and the string samples in another. This is convenient since it allows for quick selection of the entire piano map, for example for balancing its level against the strings.


About Velocity Ranges

When zones are set up so that their key ranges overlap - completely or partially - you can use velocity switching and crossfading to determine which zones should be played back depending on how hard or soft you play on your MIDI keyboard.

This is done by setting up velocity ranges, with or without crossfading.

Each time you press a key on your MIDI keyboard, a velocity value between 1-127 is sent to Reason. If you press the key softly, a low velocity value is sent and if you press it hard, a high velocity value is sent.

This velocity value determines which samples will be played and which will not.

Let's say for example that you've mapped three different zones across the same key range:

Zone 1 has a velocity range from 1-40.

This means that the sample in it will be triggered by velocity values between 1-40.

Zone 2 has a velocity range of 41-80.

The sample in this zone will be played back by velocity values between 41-80.

Zone 3 has a velocity range of 81-127.

The sample in this zone will be triggered by all velocity values above 80.

Overlapping Velocity Ranges

Let's change the values above slightly:

Zone 1 has a velocity range from 1-60.

Zone 2 has a velocity range of 41-100.

Zone 3 has a velocity range of 81-127.

Now, velocity values between 41 and 60 will trigger samples from both Zone 1 and Zone 2. Likewise, velocity values between 81 and 100 will trigger sounds from Zone 2 and Zone 3.

About Full and Partial Velocity Ranges

You can see which zones have modified velocity ranges in the key map display:

Zones with a full velocity range (0 - 127) are only shown with an outline.

Zones with any other velocity range are shown as striped.

Sorting Zones by Velocity Values

The Edit menu and the NN-XT context menu contain an item called "Sort Zones by Velocity". This option lets you automatically sort the selected zones in the display in descending order according to their set low or high velocity values.

When you invoke this option, the selected zones will be sorted from top to bottom starting with the one with the highest "Lo Vel "value.

Note however, that the sorting is done strictly on a group basis. That is, only zones that belong to the same group can be sorted in relation to each other.

If two zones have the same velocity range, they are sorted by key range.


Setting Velocity Range for a Zone

To set up a velocity range for a zone, proceed as follows:

1. Select one or more zones that you want to adjust.

2. Use the knobs marked "Lo Vel" and "High Vel" in the sample parameter area to set the desired low- and high velocity values.

"Lo vel" is the lowest velocity value that should trigger the sample in the zone - i.e. if a key is pressed so softly that the velocity is lower than this value, the sample will not be played.

"Hi vel" is the highest velocity value that should trigger the sample, which means that if a key is pressed so hard that the velocity is higher than this value, the sample will not be played.


About Crossfading Between Zones

At the bottom right in the sample parameter area are two knobs marked "Fade In" and "Fade Out". These are primarily used for setting up velocity crossfades for smooth transitions between overlapping zones. In order to set up crossfades you adjust the fade out and fade in values for the overlapping zones.

Crossfading Between two Sounds

An example:

Two zones are both set to play in the full velocity range of 1-127.

Zone 1 has a fade out value of 40.

This means that this zone will play at full level with velocity values below 40, With higher velocity values, it will gradually fade out.

Zone 2 has a fade in value of 80.

This has the effect that as you play velocity values up to 80, this zone will gradually fade in. With velocity values above 80, it will play at full level.

Another example:

Crossfading can be used to only fade in or fade out a certain sound. One common example is to set things up so that one sound plays the entire velocity range and another is faded in only at high velocity values.

Zone 1 is set to play the entire velocity range with no crossfade.

Zone 2 is set to play the velocity range 80 to 127, with a fade in value of 110.

This means that this zone will start fading in from velocity values 80 and will play at full level in the velocity range 110 to 127.

This can be used for example to add a rimshot to a regular snare sound or a harder attack to a softer violin sample.


Setting Crossfading for a Zone
Manually

To set up a crossfade for a zone, proceed as follows:

1. Select one or more zones that you want to adjust.

2. Use the knobs marked "Fade In" and "Fade Out" in the sample parameter area, to set the desired values.

You can change the values with finer precision by pressing [Shift] while turning the knobs, and you can reset the standard values by pressing [Ctrl] and clicking on the knobs.

Automatically

If you find it tedious to manually set up crossfades between zones, NN-XT can do it for you! The Edit menu and the NN-XT context menu contain an item called "Create Velocity Crossfades".

1. Set up the zones so that their velocity ranges overlap, as desired.

2. Select the zones.

You can select as many zones as you wish, not just one pair of overlapping zones.

3. Select "Create Velocity Crossfades" from the Edit menu.

NN-XT will analyze the overlapping zones and automatically set up what it deems to be appropriate fade in and fade out values for the zones.

Note the following important points:

This operation will not work if both zones have full velocity ranges.

At least one of the zones must have a partial velocity range (see "About Full and Partial Velocity Ranges" ).

This operation will not work if the zones are completely overlapping.


About the Alternate function

At the bottom right in the sample parameters area is a knob marked "Alt". It only has two states - On and Off. This is used for semi-randomly alternating between zones during playback.

There are several practical uses for this. Here follows two examples:

Layering several recordings of the same snare drum. By alternating between them you get a more natural repetition.

Layering string up- and down strokes. By alternating you get the realistic effect of switching between the two directions of the stroke.

You can layer as many sounds as you will and the algorithm switches between them in a way that provides as little repetition as possible.

To set up an alternating set of zones, proceed as follows:

1. Set up the zones so that they overlap completely or partially.

2. Select them all.

3. Set "Alt" to On for all the zones.

Now, the program will automatically detect how to alternate between the zones, depending on their overlap.


Root Note and Tune

These parameters are described in the topic "Setting Root Notes and Tuning" .


Sample Start and End

By turning the knobs you offset the start and end positions, so that they will play back more or less of a samples' waveform. Typical examples of use for this would be:

Removing unwanted portions from samples.

This could be anything from noise to "dead air" at the beginning or end of a sample.

To create variations out of a single sample.

These controls can be used to pick out any section of a recording for use as a sample.

Together with velocity sample start control.

You can for example increase Sample Start and then apply negative velocity modulation to Sample Start. Then, the harder you play the more you will hear of the attack portion of the sound.

If you hold down [Shift] when adjusting these parameters, the adjustment is always in single frames (samples).


Loop Start and End

A sample, unlike the cycles of an oscillator for example, is a finite quantity. There is a sample start and end. To get samples to play for as long as you press down the keys on your keyboard, they need to be looped.

For this to work properly, you have to first set up two loop points which determine the part of the sample that will be looped.

The instrument samples in the sound banks included with Reason are already looped. The same will be true for most commercial sample libraries. However, if you need to, you can use these controls to adjust the looping.

The size and position of the loop - in the sample - is determined by two parameters, Loop Start (the beginning of the loop) and Loop End (the end point of the loop).

The NN-XT then keeps repeating the section between the Loop Start and Loop end until the sound has decayed to silence.


Play Mode

By using this knob you can select one of the following loop modes for each zone:

FW

The sample in the zone will play only once, without looping.

FW-LOOP

The sample will play from the sample start point to the loop end point, jump back to the loop start point and then loop infinitely between the start and end loop points. This is the most common loop mode.

FW - BW

The sample will play from the sample start point to the loop end point, then from the loop end point to the loop start point (backwards), and then loop infinitely forwards-backwards between the start and end loop points.

FW-SUS

This works like FW-LOOP with the exception that it will only loop as long as the key is held down. As you release the key, the sample will play to the absolute end of the sample, that is beyond the boundaries of the loop.

This means that the sound may have a short natural release even if the release parameter is raised to a high value (which is not true for "FW-LOOP", where the release parameter always controls the length of the sound after the key is released).

BW

The sample will play only once - from the end to the beginning - without looping.


Lo Key and Hi Key

These parameters are described in the topic "Setting up Key Ranges" .


Lo Vel and Hi Vel

These parameters are described in the topic "About Velocity Ranges" .


Fade In and Fade Out

These parameters are described in the topic "About Crossfading Between Zones" .


Alt

This parameter is described in the topic "About the Alternate function" .


Out

The NN-XT features eight separate stereo output pairs. For each zone, you can decide which of these output pairs to use. Thus, if you have created a key map consisting of eight zones, each of these can have a separate stereo output from NN-XT, and can then be routed to a separate mixer channel if you so wish.

To select which output a selected zone should be directed to, use the knob marked "Out" in the sample parameter area.

The output pairs are indicated above the button.

Note that you still have to route the outputs the way you want them on NN-XT's back panel. If you assign a zone to an output pair other than 1-2 (which is the default) no connections or auto routing are made. You have to do that manually.

A Stereo Example

One possible way of utilizing this would be to create a drum kit. In this case you could load up to eight different stereo drum samples, assign them to separate outputs, route each to a separate mixer channel and then use the mixer to set levels and pan, add send effects etc.

Using a Stereo Output as Two Mono Outputs

If, on the other hand, you are using mono samples, you can use one stereo pair as a two separate outputs, effectively giving you a total of 16 separate outputs.

1. Assign two zones to the same output.

2. Us the Pan control to pan one of the zones hard left and the other hard right.

3. Connect each of the two outputs in the stereo pair to a separate mixer channel.


About the Group Parameters

The group parameters are located at the top left on the remote editor panel. These are parameters that in various ways are directly related to playing style.

Group parameters apply to a group, that is they are settings that are shared by all zones in a group.

To make adjustments to one group, select one or more zones that belong to the group, and adjust the parameter on the front panel.

To set several groups to the same value, select at least one zone in each group you want to adjust, and adjust the parameter on the front panel.


Key Poly

This setting determines the number of keys that you can play simultaneously (the polyphony).The maximum number is 99 and the minimum is 1, in which case the group will be monophonic.

Users of other samplers may want to note that the polyphony often means setting the number of voices that should be able to play. The NN-XT is different in this aspect, since the polyphony setting instead determines the number of keys, regardless of how many voices each key plays.


Legato and Retrig
Legato

Legato works best with monophonic sounds. Set Key Poly to 1 and try the following:

Hold down a key and then press another key without releasing the previous.

Notice that the pitch changes, but the envelopes do not start over. That is, there will be no new "attack".

If Key Poly is set to more voices than 1, Legato will only be applied when all the assigned keys are "used up".

For example, if you had a polyphony setting of "4" and you held down a 4 note chord, the next note you played would be Legato. Note, however, that this Legato key will "steal" one of the keys in the 4 note chord, as all the assigned keys were already used up!

Retrig

Retrig is the "normal" setting for playing polyphonic patches. That is, when you press a key without releasing the previous, the envelopes are triggered, like when you release all keys and then press a new one. In monophonic mode, Retrig has an additional function; if you press a key, hold it, press a new key and then release that, the first note is also retriggered.


LFO 1 Rate

This is used for controlling the rate of LFO 1 if it is used in "Group Rate" mode. In that case, this knob will take precedence over the rate parameter in the LFO 1 section. See the Synth parameters section for detailed information about this.


Portamento

This is used for controlling portamento - a parameter that makes the pitch glide between the notes you play, rather than changing the pitch instantly as soon as you hit a key on your keyboard. By turning this knob you set how long it should take for the pitch to glide from one note to the next as you play them.

In legato mode, there will only be any portamento when actually playing legato (tied) notes.

With the knob turned all the way to the left, portamento is disabled.


The Modulation controls

The Modulation wheel (and the External Control wheel) can be used for controlling various parameters. These controls allow you to define which parameters the wheels should modulate and to what extent.

Below each of the knobs are the letters "W" and "X".

These are used for selecting the source that should control the parameter, and represent the "Modulation Wheel" and the "External Control wheel" respectively.

By clicking on any of the letters, you decide which source should control the parameter.

You can select either, both or none. When a letter is "lit", the corresponding source is set to control the parameter.

By turning the knobs, you decide how much the modulation and/or external control wheel should modulate the corresponding parameter.

Note that all of the control knobs are bi-polar, which means that they can be set to both positive and negative values. Positive values are set by turning the knobs to the right, and negative values are thus set by turning the knobs to the left:

Setting them to positive values means that the value of the controlled parameter will be raised if the source wheel is pushed forward.

Setting them to negative values means that the value will be lowered when a wheel is pushed forward.

Keeping the knobs in the center position means that no modulation control is applied.

There is one exception to these rules, and that is the LFO 1 Amt control, which works in a slightly different way. See below for more information about this.

The following parameters can be modulated:

F.Freq

This sets modulation control of the Filter's cutoff frequency.

Mod Dec

This sets modulation control of the Decay parameter in the Modulation Envelope.

LFO 1 Amt

This determines how much the amount of modulation from LFO 1 is affected by the Modulation wheel and/or the External Controller wheel. It does this by "scaling" the amounts set with the three destination knobs in the LFO 1 section (Pitch, Filter and Level). We'll explain this with an example:

To use the Modulation Wheel to increase pitch modulation (vibrato), proceed as follows:

1. Turn the Mod Wheel all the way down, so that no modulation is applied.

2. Activate the "W" button for LFO 1 Amt in the Modulation section.

3. Set the corresponding knob to "12 o'clock" (zero).

4. Set up LFO 1 so that as much vibrato is applied as you want it to be when the Modulation wheel is turned all the way up.

5. Increase LFO 1 Amt until you hear as much vibrato as you want it to be when the wheel is turned all the way down.

If you turn LFO 1 Amt all the way up, there will be no vibrato at all when the wheel is all the way down.

To instead use the Modulation wheel to decrease vibrato, process as follows:

1. Turn the Mod Wheel all the way down, so that no modulation is applied.

2. Activate the "W" button for LFO 1 Amt in the Modulation section.

3. Set the corresponding knob to "12 o'clock" (zero).

4. Set up LFO 1 so that as much vibrato is applied as you want it to be when the Modulation wheel is turned all the way down.

5. Turn the Modulation wheel all the way up.

6. Decrease LFO 1 Amt until you hear as much vibrato as you want it to be when the wheel is turned all the way up.

If you turn LFO 1 Amt all the way down, there will be no vibrato at all when the wheel is all the way up.

F.Res

This sets modulation control of the Resonance parameter in the Filter.

Level

This sets the amount of amplitude envelope modulation of each zone's level. The level set here will be the level of the highest point of the Amp Envelope.

LFO 1 Rate

This sets modulation control of the Rate parameter in LFO 1.


The Velocity controls

Velocity is used for controlling various parameters according to how hard or soft you play notes on your keyboard. A typical use of velocity control is to make sounds brighter and louder if you strike a key harder. By using the knobs in this section, you can control if and how much the various parameters will be affected by velocity.

Just like the modulation controls, all of the velocity control knobs are bi-polar, and can be set to both positive and negative values.

Setting them to positive values means that the value of the controlled parameter will be raised the harder you play.

Setting them to negative values means that the value will be lowered the harder you play.

Keeping the knobs in the center position means that no velocity control is applied.

The following parameters can be velocity controlled:

F.Freq

This sets velocity control of the Filter's cutoff frequency.

Mod Dec

This sets velocity control of the Decay parameter in the Modulation Envelope.

Level

This sets velocity control of the Amp Envelope.

Amp Env Attack

This sets velocity control of the Attack parameter in the Amplitude Envelope.

S. Start

This sets velocity control of the Sample Start parameter, so that it will be offset forwards or backwards, according to how hard or soft you play.

This allows you to control how much of the attack portion of the sample you hear when playing harder or softer.

To be able to make use of negative values for this parameter, you must increase the sample parameter Sample Start.


The Pitch section

This section contains various parameters related to controlling the pitch, or frequency, of the zones.

Pitch Bend Range

This lets you set the amount of pitch bend, i.e. how much the pitch changes when your turn the pitch bend wheel fully up or down. The maximum range is +/- 24 semitones (2 Octaves).

Setting the pitch

Use the three knobs marked "Octave", "Semi" and "Fine" to change the pitch of the sample(s):

Octave

This changes the pitch in steps of one full octave. The range is -5 - 0 - 5.

Semi

This lets you change the pitch in semitone steps. The range is -12 - 0 - 12 (2 octaves).

Fine

This changes the pitch in cents (hundredths of a semitone). The range is -50 - 0 - 50 (down or up half a semitone).

K. Track

This knob controls Keyboard Tracking of the pitch.

In the center position, each key represents a semitone This is the normal setting.

When turned all the way down, all keys play the same pitch. This can be useful for percussion like timpani where you might want to play the same pitch from a range of keys.

When turned all the way up, each key on the keyboard shifts the pitch one octave.


The Filter Section

Filters can be used for shaping the character of the sound. The filter in NN-XT is a multimode filter with six different filter types.

To activate/deactivate the filter, click the On/Off button in the top right corner.

When the filter is activated, the button is lit.

Filter mode

To select a filter mode, either click the Mode button in the bottom right corner or click directly on the desired filter name so that it lights up:

Notch

The notch filter is used for cutting off frequencies in a narrow frequency range around the set cutoff frequency, while letting the frequencies below and above through.

HP 12

This is a highpass filter with a 12 dB/Octave roll-off slope. A highpass filter cuts off low frequencies and lets high frequencies pass. That is, frequencies below the cutoff frequency are cut off and frequencies above it pass through.

BP 12

This is a bandpass filter with a 12 dB/Octave roll-off slope. A bandpass filter could be viewed as the opposite of a notch filter. It cuts off both the high and the low frequencies, while frequencies in the band range pass through.

LP 6

This is a lowpass filter with a gentle, 6 dB/Octave slope. A lowpass filter is the opposite of a highpass filter. It lets the low frequencies through and filters out the high frequencies. This filter has no Resonance.

LP 12

This is a lowpass filter with a 12 dB/Octave roll-off slope.

LP 24

This is a lowpass filter with a fairly steep roll-off slope of 24 dB/Octave.

Filter controls

The following filter controls are available:

Freq

This is used for setting the filter cutoff frequency. The cutoff frequency determines the limit above or below which frequencies will be cut off depending on the selected filter type. In the case of a lowpass filter for example, frequencies below the cutoff frequency will be allowed to pass through, while frequencies above it will be cut off. The farther to the right you turn the knob, the higher the cutoff frequency will be.

Res

Technically, this knob controls feedback of the output signal from the filter, back to its input. Acoustically it emphasizes frequencies around the cutoff frequency. For a lowpass filter for example, increasing Res will make the sound increasingly more hollow until the sound starts "ringing". If you set a high value for the Res parameter and then vary the filter frequency, this will produce a classic synthesizer filter sweep.

For the notch and bandpass filter types, the Resonance setting instead adjusts the width of the band. That is, the higher the resonance setting, the narrower the band will be where frequencies are cut off (notch) or let through (Bandpass).

K. Track

This lets you activate and control keyboard tracking of the filter frequency. If keyboard tracking is activated, the set cutoff frequency of the filter will change according to the notes you play on your keyboard. That is, if you play notes higher up on the keyboard, the filter frequency will be raised and vice versa.

When the knob is set to its center position, filter frequency is adjusted so that the harmonic content remains constant across the keyboard.

Keyboard tracking is deactivated by default (the knob all the way to the left). This means that the filter frequency will remain unchanged regardless of where on the keyboard you play.


The Modulation Envelope

The Modulation Envelope parameters let you control how certain parameters, or destinations, should change over time - from the moment a note is struck to the moment it is released again.

The destinations you can use are:

Pitch

Filter frequency

Parameters

The following are the available controlling parameters:

Attack

When you press a key on your keyboard, the envelope is triggered. The attack parameter then controls how long it should take before the controlled parameter (pitch or filter) reaches the maximum value, when you press a key. By setting attack to a value of "0", the destination parameter would reach the maximum value instantly. By raising the attack parameter, the value will instead slowly "slide" up to its maximum.

Hold

This is used for deciding how long the controlled parameter should stay at its maximum value before starting to decrease again. This can be used in combination with the Attack and Decay parameters to make a value reach its maximum level, stay there for a while (hold) and then start dropping gradually down to the sustain level.

Decay

After the maximum value for a destination has been reached and the Hold time has expired, the controlled parameter will start to gradually drop down to the sustain level. How long it should take before it reaches the sustain level is controlled with the Decay parameter. If Decay is set to "0", the value will immediately drop down to the sustain level.

Sustain

The Sustain parameter determines the value the envelope should drop back to after the Decay. If you set Sustain to full level however, the Decay setting doesn't matter since the value will never decrease.

A combination of Decay and Sustain can be used for creating envelopes that rise up to the maximum value, then gradually decrease to, and stay on a level somewhere in-between zero and maximum.

Release

This works just like the Decay parameter, with the exception that it determines the time it takes for the value to fall back to zero after the key is released.

Delay

This is used for setting a delay between when a note is played and when the effect of the envelope starts. That is, the sound will start unmodulated, and the envelope will kick in after you have kept the key(s) pressed down for a while. Turn the knob to the right to increase the delay time. If the knob is set all the way to the left, there will be no delay.

Key To Decay

By using this, you can cause the value of the Decay parameter (see above) to be offset depending on where on your keyboard you play. If you turn the knob to the right the decay value will be raised the higher up you play, and turning the knob to the left will lower the decay value the higher up you play. With the knob in the center position, this parameter is deactivated.

Destinations

The following are the available Mod Envelope destinations:

Pitch

This will make the envelope modulate the pitch, as set in the Pitch section. Turn the knob to the right to raise the pitch and to the left to lower the pitch. In the middle position, pitch will not be affected by the envelope.

Filter

This will make the envelope modulate the cutoff frequency of the Filter. Turn the knob to the right to increase the frequency and to the left to lower the frequency. In the middle position, the envelope will have no effect on the cutoff frequency.


The Amplitude Envelope

The Amplitude Envelope parameters let you control how the volume of a sound should change over time - from the moment a note is struck to the moment it is released again.

Parameters

Most of the Amplitude Envelope parameters are identical to those of the Modulation Envelope. So for a detailed description of the following parameters, please refer to the modulation envelope section:

Attack

Hold

Decay

Sustain

Release

Delay

Key To Decay

The following are the parameters that are unique for the Amp Envelope section:

Level

This knob sets the level of the zone. Turn it to the right to raise the level.

Spread and Pan modes

These two parameters are used for controlling the stereo (pan) position of the sound. The Spread knob determines the sound's width in the stereo image (how far left - right the notes will be spread out). If this is set to "0", no spread will take place. The Mode selector switch is used for choosing which type of spread you want to apply:

Mode | Description
Key | This will make the pan position shift gradually from left to right, the higher up on the keyboard you play.
Key 2 | This will make the pan position shift from left to right and then back again from right to left in a sequence of eight keys. Playing 4 adjacent semitones thus makes the pan position gradually go from left to right. The next 4 higher semitone notes will then change the pan position from right to left in the same way, and this cycle will then be repeated.
Jump | This will make the pan position jump between left and right each time a note is played.

Pan

This controls the stereo balance of the output pair to which a zone is routed. In the middle position, the signal appears equally strong on the left and right channel in a stereo pair. By turning the knob to the left or right, you can change the stereo balance.

Note that if you for instance turn the Pan knob all the way to the left, you cause the signal to be output from the left channel of the stereo pair only.

You can use this to treat a stereo output as two independent mono outputs, if required.


The LFOs

NN-XT features two Low Frequency Oscillators - LFO 1 and LFO 2. "Normal" oscillators generate a waveform and a frequency, and produce sound. Low frequency Oscillators on the other hand, also generate a waveform and a frequency, but there are two major differences:

LFOs only generate sounds of a low frequency.

LFOs don't produce sound, but are instead used for modulating various parameters.

The most typical use of an LFO is to modulate the pitch of a sound (generated by an oscillator or - in the case of NN-XT - a sample), to produce vibrato.

About the Difference between LFO 1 and LFO 2

There are two fundamental differences between LFO 1 and LFO 2:

LFO 2 is always key synced, that is, each time you press a key, the LFO waveform starts over from scratch. LFO 1 can be switched between key synced and non-key synced modes.

LFO 2 only has one waveform, triangle.

The following parameters are available for the LFOs:

Rate (LFO 1 and 2)

This knob controls the frequency of the LFO. For a faster modulation rate, turn the knob to the right.

The Rate knob of LFO 1 is also used for setting the timedivision when synchronizing the LFO to the song tempo (see below).

Delay (LFO 1 and 2)

This can be used for setting a delay between when a note is played and when the LFO modulation starts kicking in (gradually). This way, you can make the sound start unmodulated, and then have the LFO modulation start after you have kept the key(s) pressed down for a while.

Turn the knob to the right to increase the delay time.

Mode (LFO 1 only)

This lets you set the "operation mode" for the LFO. Click the button to switch between the available modes:

Group Rate

In this mode, the LFO will run at the rate set for it's group in the group section, rather than at the rate set here. This way, all zones in the group will have the exact same modulation rate.

Tempo Sync

In this mode, the LFO will be synchronized to the song tempo, in one of 16 possible time divisions.

When tempo sync is activated, the Rate knob is used for selecting the desired timedivision. Turn the Rate knob and observe the tool tip for an indication of the timedivision.

Free Run

In free run mode, the LFO simply runs at the rate set with the Rate parameter. Furthermore, if Key Sync is deactivated, the modulation cycle will not be retriggered each time you press a key - it will run continuously.

Waveform (LFO 1 only)

Here, you select which type of waveform should be used for modulating the destination parameters.

Click the button to switch between the following waveforms, from top to bottom:

Waveform | Description
Triangle | This is a smooth waveform, suitable for normal vibrato.
Inverted Sawtooth | This produces a "ramp up" cycle. If applied to an oscillator's frequency, the pitch would sweep up, after which the cycle immediately starts over.
Sawtooth | This produces a "ramp down" cycle, the same as above but inverted.
Square | This produces cycles that abruptly change between two values, usable for trills etc.
Random | Produces random stepped modulation to the destination. Some vintage analog synths called this feature "sample & hold".
Soft Random | The same as above, but with smooth modulation.

LFO 2 always uses a triangle waveform.

Key Sync (LFO 1 only)

By activating key sync, you "force" the LFO to restart its modulation cycle each time a key is pressed.

Note that LFO 2 always uses Key Sync.

Destinations for LFO 1

The following parameters can be modulated by LFO 1:

Pitch

This will make the LFO modulate the pitch, for vibrato, trills, etc. It can be set to -2400 - 0 - 2400 cents which equals 4 octaves. The set pitch will change up and down by this amount, with each modulation cycle. Turning the knob to the right will make the modulation cycle start above the set pitch, while turning it to the left will invert the cycle. Keeping this in the middle position means that the pitch will not be affected by the LFO.

Filter

This will make the LFO modulate the cutoff frequency of the Filter, for auto-wah effects, etc. The positive/negative effect is the same as for pitch.

Level

This will make the LFO modulate NN-XT's output level, for tremolo effects, etc. The positive/negative effect is the same as for pitch.

Destinations for LFO 2

The following parameters can be modulated by LFO 2:

Pan

This makes the LFO modulate the pan position of a zone. The sound will move back and forth in the stereo field. Turning the knob to the left makes the sound move from left to right, and turning it to the right thus makes it move from right to left. The middle position provides no modulation at all.

Pitch

Just like for LFO 1 (see above), this makes LFO 2 modulate the pitch. The range is also the same as for LFO 1.


Sequencer Control

The Sequencer Control CV and Gate inputs allow you to play the NN-XT from another CV/Gate device (typically a Matrix or a Redrum). The signal to the CV input controls the note pitch, while the signal to the Gate input delivers note on/off along with velocity.


Modulation Input

These control voltage (CV) inputs (with associated voltage trim pots), can modulate various NN-XT parameters from other devices. These inputs can control the following parameters:

Oscillator Pitch

Filter Cutoff Frequency

Filter Resonance

LFO 1 Rate

Master Volume

Pan

Modulation Wheel


Gate Input

These inputs can receive a CV signal to trigger the following envelopes:

Amplitude Envelope

Modulation Envelope

Note that connecting to these inputs will override the normal triggering of the envelopes. For example, if you connect a Matrix Gate Out to the Gate In Amp Envelope, you would not trigger the amp envelope by playing notes, as this is now controlled by the Matrix Gate Out. In addition you would only hear the Gate Out triggering the envelope for the notes that you hold down.


Audio Output

There are 16 audio output jacks on the NN-XT's back panel - eight separate stereo pairs. When you create a new NN-XT device, the first output pair (1L & 2R) is auto-routed to the first available channel on the audio mixer.

The other output pairs are never automatically routed. If you wish to use any of the other output pairs, you have to manually connect them to the desired device - typically a mixer channel. The basics on Routing is described in the chapter "Managing the Rack" in the Getting Started book.

Note that when you use any other output pair than the first, you also have to route one or more zones to it if you want it to actually output sound, since all zones by default are routed to outputs 1 & 2.


Introduction

The Dr.Rex Loop Player is capable of playing back and editing files created in ReCycle, another product created by Propellerhead Software. ReCycle is a program designed especially for working with sampled loops. By "slicing" a loop and making separate samples of each beat, ReCycle makes it possible to change the tempo of loops without affecting the pitch and to edit the loop as if it was built up of individual sounds.


ReCycled Loops

To fully understand Dr.Rex you need to understand what it means to ReCycle a drum loop. Imagine that you have a sample of a drum loop that you want to use in a track you are working on. The loop is 144 bpm and your track is 118 bpm. What do you do? You can of course lower the pitch of the loop, but that will make the loop sound very different, and if the loop contains pitched elements they will no longer match your song. You can also time stretch it. This won't alter the pitch, but will make the loop sound different. Usually it means that you loose some "punch" in the loop.

Instead of stretching the sample, ReCycle slices the loop into little pieces so that each drum hit (or whatever sound you are working with) gets it's own slice. These slices can be exported to an external hardware sampler or saved as a REX file to be used in Reason. When the loop has been sliced you are free to change the tempo any way you want. You can also create fills and variations since the slices can be moved around in the sequencer.


About File Formats

Dr.Rex can read files in the following formats:

REX (.rex)

This is the file format generated by previous versions of ReCycle (Mac platform).

RCY (.rcy)

This is the file format generated by previous versions of ReCycle (PC platform).

REX 2 (.rex2)

This is the ReCycle file format for both Mac and PC platforms generated by ReCycle version 2.0. One of the differences between the original REX format and REX2, is that the REX2 format supports stereo files.

Unlike the other audio devices, Dr.Rex does not load or save file information in a "Patch" format. The REX file and the associated panel settings is instead saved in the Song (.rns) file.

If you have made adjustments (pitch, level etc.) to a REX loop that you wish to use in another Song, you can simply copy the whole Dr.Rex device from one song to another.


Adding a Loop

To add a loop into the Dr.Rex Loop Player, proceed as follows:

1. Open the browser by selecting "Browse ReCycle/REX Files" from the Edit menu or the device context menu, or click on the folder button beside the Loop name display.

2. In the browser, locate and open the desired loop.

You can listen to the loops before loading by using the Preview function in the browser.

Loading a new REX file will replace any currently loaded file.


Auditioning the Loop in Dr.Rex

Once loaded, you can check out the loop by using the Preview button.

It will play back repeatedly in the tempo set on the transport panel. If you change the tempo, the loop tempo follows.

You can also play the loop once via MIDI, by using the D1 key.

To check out the loop together with other device sequencer data and patterns already recorded, activate both the Preview function and the sequencer Play button.

This does not have to be done in any particular order, they will play back in perfect sync anyway.


Loading Loops "On the Fly"

Another practical method for checking out loops, is to load them "on the fly", i.e. during playback. This is especially useful if you want to check out a number of loops against other sequencer data and patterns previously recorded. Proceed as follows:

1. Activate Preview on the Dr.Rex and start sequencer playback.

The REX loop and the sequencer are synced.

2. Now load a new REX file by using the Browser in one of the usual ways.

After a brief silence, the new file is loaded, and sync is maintained.

3. Repeat step 2 as necessary until you have found a suitable loop.

If you are trying out loops within the same folder, the quickest ways to select a new loop is to use the arrow keys next to the loop name display.

Or, you can click in the loop name display and select a new loop from the pop-up menu that appears.

Note that the Preview function is not the "real" way of playing back REX loops. If you want to use the loop in a context with other devices, you should transfer the REX slices to notes in the sequencer.


Creating Sequencer Notes

To be able to make your REX loop start at the same time as other sequencer or pattern data, you first have to create sequencer notes from the slices:

1. Select a sequencer track connected to the Dr.Rex device.

2. Set the left and right locators to encompass the section you want to fill with REX notes.

You may want to make sure that this area doesn't contain any notes already, to avoid confusion.

3. Click the To Track button on the Dr.Rex panel.

Now, the program will create a note for each slice, positioned according to the timing of the slices. The notes will be pitched in semitone steps, with the first note on C1, the second on C#1 and so on, with one pitch for each slice. If the area between the locators is longer than the loop length, the loop notes will be repeated to fill out the loop.

Activating playback in the sequencer will now play back the notes on the sequencer track. These in turn will play back the slices in the Dr.Rex device, in the correct order and with the original timing maintained. Now the fun begins!

You can change the groove in the loop by quantizing or moving notes.

You can transpose notes to change the order of the slices on playback.

You can use the Alter Notes function in the Change Events dialog to scramble the loop notes - without destroying the original loop timing.

You can remove and draw new notes, creating any kind of variation.

You can use the User Groove function to apply the rhythmic feel of the loop to notes on other sequencer tracks.

Note that if you have created sequencer notes from a REX file, you cannot load a new REX file into Dr.Rex and play it from the existing track. Well, you can, but it will not play back properly. If you have created notes in this way, and want to change the REX file, first delete the notes, then use the "To Track" command again after having loaded the new REX file.


Selecting Slices

A selected slice is indicated by being highlighted in the waveform display. To select a slice, use one of the following methods:

By clicking in the waveform display.

If you hold down [Alt] and click on a slice in the waveform display, it will be played back. The pointer takes on the shape of a speaker symbol to indicate this.

By using the "Slice" knob below the waveform display.

Via MIDI.

If you activate "Select Slice Via MIDI", you can select and "play" slices using your MIDI keyboard. Slices are always mapped to consecutive semitone steps, with the first slice always being on the "C1" key.

If you play back a loop with "Select via MIDI" option activated, each consecutive slice is selected as it is played back.

You can edit parameters during playback.


Editing Individual Slices

There are two basic methods you can use to edit individual slices in Reason:

In the Waveform display of the Dr.Rex device.

This is used for making playback settings for a slice.

In the Sequencer.

Here you can edit the notes that play the slices. There is a special REX lane for editing REX slice notes, with the notes indicated by the slice numbers instead of by pitches. Editing in the sequencer is described in the Sequencer chapter.


Editing in the Waveform Display

Here you are able to edit several parameters for each slice, by first selecting it, and then using the knobs below the waveform display. The following slice parameters can be set:

Parameter | Description
Pitch | Allows you to transpose each individual slice in semitone steps, over a range of more than eight octaves.
Pan | The stereo position of each slice.
Level | The volume of each slice. The default level is 100.
Decay | Allows you to shorten individual slices.

If you have made settings to any of the parameters listed above, these will be lost if you load a new REX file. All Dr.Rex panel settings are stored in the Song. You cannot directly apply panel settings to another REX file!


Introduction

The Dr.Rex synth parameters are used for shaping and modulating the sound of the REX loops. These parameters are familiar synth parameters, similar to the ones in the synthesizers; The Subtractor and the Malström, and in the samplers; the NN-19 and the NN-XT. It is important to remember that these parameters do not alter the REX files in any way, only the way they will play back.

These parameters are global, in the sense that they will affect all slices in a REX file.


Oscillator Section

For a REX file, the audio contained in the slices are what oscillators are for a synthesizer, the main sound source. The following settings can be made in the Osc section of the Dr.Rex:

Setting the overall Pitch

You can change the pitch of a REX file in three ways:

In octave steps.

This is done using the Oct knob. The range is 0 - 8, with "4" the default.

In semitone steps.

This is done by using the Transpose knob below the waveform display, or by clicking on the keyboard above the knob. You can raise or lower the frequency in 12 semitone steps (+/- 1 octave). The transpose value can also be changed via MIDI, by pressing a key between C-2 and C0 (with C1 resetting the transpose value to zero).

In cents (hundredths of a semitone).

The range is -50 to 50 (down or up half a semitone).

To tune an individual slice, you select it and use the Pitch parameter below the waveform display.

Osc Envelope Amount

This parameter determines to what degree the overall pitch of the REX file will be affected by the Filter Envelope. You can set negative or positive values here, which determines whether the envelope curve should raise or lower the pitch.


The Filter Section

Filters are used for shaping the overall timbre of the sound. The filter in Dr.Rex is a multimode filter with five filter modes.

You activate or deactivate the filter completely by clicking the Filter button.

The filter is active when the button is lit.

Filter Mode

With this selector you can set the filter to operate as one of five different types of filter. These are as follows:

24 dB Lowpass (LP 24)

Lowpass filters lets low frequencies pass and cuts out the high frequencies. This filter type has a fairly steep roll-off curve (24dB/Octave). Many classic synthesizers (Minimoog/Prophet 5 etc.) used this filter type.

12 dB Lowpass (LP 12)

This type of lowpass filter is also widely used in classic analog synthesizers (Oberheim, early Korg synths, etc.). It has a gentler slope (12 dB/Octave), leaving more of the harmonics in the filtered sound compared to the LP 24 filter.

Bandpass (BP 12)

A bandpass filter cuts both high and low frequencies, while midrange frequencies are not affected. Each slope in this filter type has a 12 dB/Octave roll-off.

High-Pass (HP12)

A highpass filter is the opposite of a lowpass filter, cutting out the lower frequencies and letting the high frequencies pass. The HP filter slope has a 12 dB/Octave roll-off.

Notch

A notch filter (or band reject filter) could be described as the opposite of a bandpass filter. It cuts off frequencies in a narrow midrange band, letting the frequencies below and above through.

Filter Frequency

The Filter Frequency parameter (often referred to as "cutoff") determines which area of the frequency spectrum the filter will operate in. For a lowpass filter, the frequency parameter could be described as governing the "opening" and "closing" of the filter. If the Filter Freq is set to zero, none or only the very lowest frequencies are heard, if set to maximum, all frequencies in the waveform are heard. Gradually changing the Filter Frequency produces the classic synthesizer filter "sweep" sound.

Note that the Filter Frequency parameter is usually controlled by the Filter Envelope as well. Changing the Filter Frequency with the Freq slider may therefore not produce the expected result.

Resonance

The filter resonance parameter affects the character of the filter sound. For lowpass filters, raising the resonance will emphasize the frequencies around the set filter frequency. This produces a generally thinner sound, but with a sharper, more pronounced filter frequency "sweep". The higher the resonance value, the more resonant the sound becomes until it produces a whistling or ringing sound. If you set a high value for the resonance parameter and then vary the filter frequency, this will produce a very distinct sweep, with the ringing sound being very evident at certain frequencies.

For the highpass filter, the resonance parameter operates just like for the lowpass filters.

When you use the Bandpass or Notch filter, the resonance setting adjusts the width of the band.

When you raise the resonance, the band where frequencies are let through (Bandpass), or cut (Notch) will become narrower. Generally, the Notch filter produces more musical results using low resonance settings.


Envelope Section

Envelope generators are used to control several important sound parameters in analog synthesizers, such as pitch, volume, filter frequency etc. In a conventional synthesizer, envelopes govern how these parameters should respond over time - from the moment a note is struck to the moment it is released. In the Dr.Rex device however, the envelopes are triggered each time a slice is played back.

There are two envelope generators in the Dr.Rex, one for volume, and one for the filter frequency (and/or pitch). Both have the standard four parameters; Attack, Decay, Sustain and Release

Please refer to the Subtractor chapter for a description of the basic envelope parameters.

Amplitude Envelope

The Amp Envelope governs how the volume of a slice should change over time, from the time it is triggered (the slice note starts) until the slice note ends. This can be used to make a loop more distinct (by having a snappy attack and a short decay time) or more spaced-out (by raising the attack time).

The Level parameter acts as a general volume control for the loop.

Filter Envelope

The Filter Envelope can be used to control two parameters; filter frequency and overall loop pitch. By setting up a filter envelope you control how the filter frequency and/or the pitch should change over time for each slice.

The Amount parameter determines to what degree the filter frequency will be affected by the Filter Envelope. The higher the Amount setting, the more pronounced the effect of the envelope on the filter.

Try lowering the Frequency slider and raising Resonance and Envelope Amount to get the most effect of the filter envelope!


LFO Section

LFO stands for Low Frequency Oscillator. LFOs are oscillators in the sense that they generate a waveform and a frequency. However, there are two significant differences compared to normal sound generating oscillators:

LFOs only generate waveforms with low frequencies.

The output of the two LFOs are never actually heard. Instead they are used for modulating various parameters.

The most typical application of an LFO is to modulate the pitch of a (sound generating) oscillator or sample, to produce vibrato. In the Dr.Rex device, you can also use the LFO to modulate the filter frequency or panning.

Waveform

LFO 1 allows you to select different waveforms for modulating parameters. These are, from top to bottom:

Waveform | Description
Triangle | This is a smooth waveform, suitable for normal vibrato.
Inverted Sawtooth | This produces a "ramp up" cycle. If set to control pitch (frequency), the pitch would sweep up to a set point (governed by the Amount setting), after which the cycle immediately starts over.
Sawtooth | This produces a "ramp down" cycle, the same as above but inverted.
Square | This produces cycles that abruptly changes between two values, usable for trills etc.
Random | Produces random stepped modulation to the destination. Some vintage analog synths called this feature "sample & hold".
Soft Random | The same as above, but with smooth modulation.

Destination

The available LFO Destinations are as follows:

Destination | Description
Osc | Selecting this makes LFO control the pitch (frequency) of the REX file.
Filter | Selecting this makes the LFO control the filter frequency.
Pan | Selecting this makes the LFO modulate the pan position of the REX file, i.e. it will move the sound from left to right in the stereo field.

Sync

By clicking this button you activate/deactivate LFO sync. The frequency of the LFO will then be synchronized to the song tempo, in one of 16 possible timedivisions. When sync is activated, the Rate knob (see below) is used for setting the desired timedivision.

Turn the knob and check the tooltip for an indication of the timedivision.

Rate

The Rate knob controls the LFO's frequency. Turn clockwise for a faster modulation rate.

Amount

This parameter determines to what degree the selected parameter destination will be affected by the LFO 1, i.e. the amount of vibrato, filter wah or auto-panning.


Velocity Control

Velocity is usually used to control various parameters according to how hard or soft you play notes on your keyboard. A REX file does not contain velocity values on its own. And when you create sequencer track data by applying the "To Track" function, all velocities are set to a default value of "64". As velocity information is meant to reflect variation, having them all set to the same value is not meaningful if you wish to velocity control Dr.Rex parameters.

There are basically two ways you can apply "meaningful" velocity values to REX files:

After creating track data, you can edit velocity values in the Velocity Lane in the sequencer.

You can play slices in real time on your keyboard. The resulting data will have velocity values reflecting how the notes were struck when you played.

When velocity values have been adjusted, you can control how much the various parameters will be affected by velocity. The velocity sensitivity amount can be set to either positive or negative values, with the center position representing no velocity control.

The following parameters can be velocity controlled:

Parameter | Description
Amp | This let's you velocity control the overall volume of the file. If a positive value is set, the volume will increase with higher velocity values.
F. Env | This sets velocity control for the Filter Envelope Amount parameter. A positive value will increase the envelope amount with higher velocity values. Negative values invert this relationship.
F. Decay | This sets velocity control for the Filter Envelope Decay parameter. A positive value will increase the Decay time with higher velocity values. Negative values invert this relationship.


Pitch Bend and Modulation Wheels

The Pitch Bend wheel is used for "bending" the pitch up or down. The Modulation wheel can be used to apply various modulation while you are playing the loop. Virtually all MIDI keyboards have Pitch Bend and Modulation controls. Dr.Rex also has two functional wheels that could be used to apply real time modulation and pitch bend should you not have these controllers on your keyboard, or if you aren't using a keyboard at all. The wheels mirror the movements of the corresponding MIDI keyboard controllers.

Pitch Bend Range

The Range parameter sets the amount of pitch bend when the wheel is turned fully up or down. The maximum range is "24" (=up/down 2 Octaves).

Modulation Wheel

The Modulation wheel can be set to simultaneously control a number of parameters. You can set positive or negative values, just like in the Velocity Control section. The following parameters can be affected by the modulation wheel:

Parameter | Description
F. Freq | This sets modulation wheel control of the filter frequency parameter. A positive value will raise the frequency if the wheel is pushed forward. Negative values invert this relationship.
F. Res | This sets modulation wheel control of the filter resonance parameter. A positive value will increase the resonance if the wheel is pushed forward. Negative values invert this relationship.
F. Decay | This sets modulation wheel control for the Filter Envelope Decay parameter. A positive value will increase the decay if the wheel is pushed forward. Negative values invert this relationship.


Setting Number of Voices - Polyphony

This determines the polyphony, i.e. the number of voices, or slices, Dr.Rex can play simultaneously. For normal loop playback, it is worth noting that slices sometimes "overlap". Therefore, it is recommended that you use a polyphony setting of about 3-4 voices when playing REX files. If you are "playing" slices via MIDI, the polyphony setting should be set according to how many overlapping slices you want to have.

Note that the Polyphony setting does not "hog" voices. For example, if you are playing a file that has a polyphony setting of ten voices, but the file only uses four voices, this won't mean that you are "wasting" six voices. In other words, the polyphony setting is not something you need to consider if you want to conserve CPU power - it is only the number of voices actually used that counts.


Audio Quality Settings

These two parameters provide ways of balancing audio quality vs. conservation of computer power.

High Quality Interpolation

When this is activated, the loop file playback is calculated using a more advanced interpolation algorithm. This results in better audio quality, especially for loops with a lot of high frequency content.

High Quality Interpolation uses more computer power - if you don't need it, it's a good idea to turn it off!

Listen to the loop in a context and determine whether you think this setting makes any difference.

Low Bandwidth (BW)

This will remove some high frequency content from the sound, but often this is not noticeable (this is especially true if you have "filtered down" your loop). Activating this mode will save you some extra computer power, if needed.


Audio Outputs

These are the main left and right audio outputs. When you create a new Dr.Rex device, these are auto-routed to the first available channel on the audio mixer.


Slice Gate Output

This outputs a gate signal for each triggered slice in the loop.


Modulation Inputs

These control voltage (CV) inputs (with associated voltage trim pots), allow you to modulate various Dr.Rex parameters from other devices (or from the modulation outputs of the Dr.Rex device itself). The following CV inputs are available:

Osc Pitch.

Filter Cutoff.

Filter Resonance.

Amp Level.

Mod Wheel.


Modulation Outputs

The Modulation outputs can be used to voltage control other devices, or other parameters in the Dr.Rex device itself. The Modulation Outputs are:

Filter Envelope.

LFO.


Gate Inputs

These inputs can receive a CV/gate signal to trigger the two envelopes. Note that connecting to these inputs will override the "normal" triggering of the envelopes. For example, if you connected an LFO CV output on another device to the Gate Amp input on the Dr.Rex, the amplitude envelope would not be triggered by the incoming MIDI notes to the Dr.Rex device, but by the LFO CV signal. In addition you would only hear the LFO triggering the envelope for the slices that were playing at the moment of the trigger.

Amp Envelope

Filter Envelope


The Matrix - Introduction

The Matrix is a pattern-based device. Matrix doesn't generate sound on its own, but has to be connected to another instrument device. It basically works by sending pattern data in the form of Note CV (pitch) and Gate CV (note on/off plus velocity) or Curve CV (for general CV parameter control) signals to a device or device parameter. The patterns can be up to 32 steps, and there are 32 memory locations for storing pattern data. The Matrix is monophonic and can control one voice in an instrument device.

Unlike most other devices in Reason, the user interface of the Matrix is not modeled on any existing hardware equivalent. The hardware devices that could be said to have similar functionality are analog step sequencers, which usually had rows of knobs that controlled the note pitch and gate values for each step.


About the Three Output Types

The Matrix can produce three types of output: Curve CV, Note (Key) CV and Gate CV.

Note CV normally controls note pitch.

When connected to an instrument device Sequencer Control input, the values correspond to semitone steps. The Note CV values are shown in the upper part of the Matrix display, if the "Keys" mode is selected.

Gate CV represents a note-on/off value, plus a level value (that could be likened to velocity).

The Gate values are shown in the lower part of the Matrix display.

Both of these two outputs are typically connected to the Sequencer Control Gate and CV inputs on a compatible instrument device. For example, if you create a Matrix with either a synthesizer (Subtractor, Malström) or a sampler (NN-19, NN-XT) selected, they will be auto-routed in this way, and will control one voice in the device.

Curve CV is a separate pattern, programmed separately from the Note/Key and Gate CV.

The Curve CV values are shown in the upper part of the Matrix display, if the "Curve" mode is selected.

This is useful for programming CV curves that control other parameters other than note pitch (although you could do this too). This way you could control the note pitch and triggering from the Key and Gate outputs for a device, then add a second independent pattern using the Curve CV output that could control filter cutoff for example.

It should be stressed that all three outputs can be used in any number of ways. For example, you could use the Gate CV to trigger a drum in Redrum, or let the Curve CV control the feedback parameter of a delay, etc.


Tutorial

The programming procedure of the Matrix is to input note and gate values into the upper and lower fields of the pattern window respectively. You can input values by clicking or dragging in the pattern window. Proceed as follows:

1. Create a Subtractor synth.

You don't have to use the Subtractor device to use the Matrix, in fact you don't have to use an instrument device at all, but for this basic tutorial we will use a "standard" setup.

2. With the Subtractor selected, create a Matrix Pattern Sequencer.

The Matrix Note and Gate CV outputs will now be auto-routed to Subtractors Sequencer Control Gate and CV inputs, as you can see if you flip the rack around.

3. Make sure that the switch to the left of the pattern window is set to "Keys" position.

As you can see, there is a horizontal row of red rectangles at the bottom of the upper field in the pattern window. These rectangles represent note pitch, for each step in a pattern. At the moment they are all set to the same note pitch.

4. Click inside the upper grid section of the Matrix pattern window.

An orientation line is displayed in the grid to make it easier for you to find the desired note, and the red rectangles are placed according to where you click. You can drag to input continuous note values.

5. Click in the lower area of the pattern window.

Vertical strips of varying heights can be created. These represent Gate velocity values. The higher the strip, the higher the velocity value. You can drag to input continuous gate values.

6. Press the Play button on the Matrix.

The pattern you "programmed" in the previous steps is now repeated. At the top of the pattern window, a red rectangle indicates every step of the pattern.

If you now click or drag in the upper grid section with the pattern playing, you can hear how the note pitches change.

The note pitch corresponds to the keyboard printed to the left of the pattern window, in a one octave range, and as previously mentioned, an orientation line is visible when clicking or dragging, making it easy to find the note pitch on the keyboard.

If you now click or drag in the lower gate section while the pattern is playing, you can hear how the timbre and volume changes.

If you drag some of the vertical rectangles down so that they disappear from view, the corresponding steps of the pattern are completely silenced.

By using the 5-way switch below the "Keys/Curve" switch you can input notes in other octave ranges (over five octaves).

Note that there can only be one note for each step in the pattern.

7. By using a combination of the methods described in the above steps, you can program suitable note values for each step, decide which steps should be played and set their velocity with the gate values.


Using Curve Patterns

Curve patterns are independent patterns that can be applied separately to the note pattern programmed in "Keys" mode. If you switch the Keys/Curve switch to "Curve", the note, but not the gate steps, disappear from view, and leaves the upper area of the pattern window empty. You can now start programming a curve pattern. Proceed as follows:

1. Draw a curve, using the same method as for notes or gates.

As you can see, the Curve pattern looks like large vertical gate steps.

If you play the pattern, nothing has changed, i.e. the pattern sounds exactly like it did before the Curve pattern was drawn.

This is because the Curve CV output hasn't been connected to any parameter yet.

2. Flip the rack around so you can see the back panel of the Matrix.

3. Connect the Curve CV output to the Filter Cutoff Modulation Input on the Subtractor.

Now the curve pattern controls the filter frequency of the Subtractor.

If the effect isn't very noticeable, try raising the filter Q parameter, and lowering the filter frequency.

The Curve CV output can be connected to any device CV or Modulation input.

Actually, Curve CV signals can also produce Gate triggers (used for triggering samples or envelopes for example).

A Gate trigger is produced for each curve pattern step that follows a value of "0".

If you look at the picture below, steps 2,4 and 6 will produce a trigger, because steps 1, 3 and 5 are set to zero, but the rest of the pattern would not.

About Unipolar and Bipolar Curves

On the back panel of the Matrix you will find a switch, allowing you to select between "Unipolar" or "Bipolar" Curves. The difference is as follows:

A unipolar curve has values starting from "0" and up.

"0" is the value produced by all steps when they are "empty" (not visible). Unipolar is the default setting of this switch when a new Matrix is created.

A bipolar curve is divided in the "middle", with the middle representing a value of "0".

The curve reflects this. If no curve has been drawn and you switch to bipolar mode, all steps go from the bottom up to the middle of the scale printed to the left of the pattern window. Thus, all steps are at "0", and the curve can be drawn both up and down from the middle.

Bipolar curves are essential in some instances. If you want to use the Matrix to CV control the Pan parameter for a mixer channel for example, a unipolar curve would start at zero - which for Pan equals center position. This means that you would only be able to use the curve to pan in one direction from this center position. A bipolar curve however, will have the zero value in the middle, allowing you to draw pan curves in both directions. Bipolar curves can also be used for controlling parameters with positive and negative values.


Setting Pattern Length

You may want to make settings for Pattern length, i.e the number of steps the pattern should play before repeating:

The "Steps" spin controls are used to set the number of steps you wish the pattern to play.

The range is 1 to 32. You can always extend the number of steps at a later stage, as this will merely add empty steps at the end of the original pattern. You could also make it shorter, but that would (obviously) mean that the steps you remove won't play back. The steps you remove aren't erased though, if you set the step number back again, anything recorded in the previously removed step locations will be played back.


Using Tied Notes

If you activate "Tie" to the left of the Gate pattern window, you can create longer notes (eighth notes, quarter notes etc). A quick way to draw tied gates is to hold down [Shift] when you input the gate values.

Each step that has one tied gate value will be twice the length compared to a normal step.

Tied gate steps are indicated by being twice as wide in the pattern window.

If two or more notes of the same pitch are tied together, the result will be even longer notes.

Tied notes are also essential if you want to create typical TB-303 "Acid"-type lead lines.


Selecting Patterns and Pattern Banks

This is described in the chapter "Programming Pattern Devices" in the Getting Started book.


Setting Pattern Resolution

Matrix always follows the tempo setting on the transport panel, but you can also make Matrix play in different tempo "resolutions" in relation to the tempo setting. This is explained in the chapter "Programming Pattern Devices".


Pattern Shuffle

Shuffle is a rhythmic feature, that gives the music a more or less pronounced swing feel. It works by delaying all sixteenth notes that fall in between the eighth notes.

In Reason, you can activate or deactivate shuffle individually for each pattern in a pattern device. However, the amount of shuffle is set globally with the Pattern Shuffle control on the transport panel.


Pattern Mute

If you deactivate the "Pattern" button above the Pattern select buttons, the pattern playback will be muted, starting at the next downbeat (exactly as if you had selected an empty (silent) pattern). For example, this can be used for bringing different pattern devices in and out of the mix during playback.


Pattern Functions

When a pattern device is selected, you will find some specific pattern functions on the Edit menu (and on the device context menu).

Shift Pattern Left/Right

The Shift Pattern functions move the notes and corresponding gate values in a pattern one step to the left or right.

Shift Pattern Up/Down

This function does not alter the Curve CV. This is because the values produced by the Curve CV do not necessarily correspond to semitone note steps at all.

The Shift Pattern functions will transpose all the notes in a pattern one semitone up or down.

Randomize Pattern

The Randomize Pattern function create random patterns. These can often be great starting points and help you get new ideas. Both Note, Gate and Curve CV values will be created.

Alter Pattern

The Alter Pattern function modifies existing patterns. Note that there must be something in the pattern for the function to work on - using an Alter function on an empty pattern will not do anything.

Note that Randomize and Alter affects both the Gate, Note and Curve CV!


Chaining Patterns

Selecting Patterns and Banks and using Cut, Copy and Paste with Patterns is described in the chapter "Programming Pattern Devices".

When you have created several patterns that belong together, you will most probably want to make these play back in a certain order.

Simply activate record for the track with the Matrix as the destination in the sequencer and use the Pattern and Bank buttons to determine the playback order as the Song is playing.

The Patterns play to the end before changing, so you won't have worry too much over the "timing" of the pattern changes you input manually. When you are done, the sequencer track will contain pattern change data, and the patterns will automatically switch according to the order set while recording.

An alternative way to do this is editing directly in the Pattern Edit lane in the sequencer.

Editing in the Pattern lane is described in the Sequencer chapter.


Converting Pattern Data to Notes

Curve patterns cannot be converted to sequencer data! Only the note pattern and the gate values will be converted.

You can convert Matrix Pattern data to note data, that can be edited and played back from the main sequencer. Proceed as follows:

1. Select the sequencer track connected to the Matrix.

2. Set the left and right locators to the desired range or length.

If the range set is longer than the pattern(s), the data will be repeated to fit the range.

3. Select the Matrix device you wish to copy the pattern(s) from.

4. Select "Copy Pattern to Track" from the Edit menu or the device context menu.

Notes will be created between the left and right locators, according to the selected pattern (Gate and Key values only).

However, at this point the track with the notes is connected to the Matrix itself. This is pointless, since the Matrix doesn't produce any sound. Therefore:

5. Re-route the sequencer track to the device which was controlled by the Matrix (or to another instrument device if you like).

This is done by clicking in the Out column for the track in the track list, and selecting another device from the pop-up menu that appears.

If you now activate playback from the transport you will send note data to the connected device from both the sequencer and the Matrix at the same time, which is probably not what you want. To avoid this happening, you have to do one of the following:

Delete the Matrix device.

Or...

Disconnect CV and Gate cables between the Matrix and the instrument device on the back panel.

The procedure above copies a single pattern to notes in the sequencer. If you have automated pattern changes, you can copy a complete pattern track to notes, taking all pattern changes into account.


Using the Matrix for Modulation

You can effectively use the Matrix as a modulation source, much like an LFO. Just like the LFOs in Reason's instrument devices, the Matrix can generate modulation that is synchronized to tempo, which has many advantages. Proceed as follows:

1. Create a Synthesizer (Subtractor or Malström).

2. Create a Matrix Pattern Sequencer, or if one already exists, set it to an empty pattern.

These two devices may or may not be connected (by autorouting) via the synthesizers Sequencer Control inputs - it doesn't matter for this example.

3. Flip the rack around and connect the Curve CV output on the Matrix back panel to the "Amp Level" Modulation input on the synthesizer.

This parameter is used for modulating the output level (volume) of the synthesizer. Volume modulation is often referred to as Tremolo. You can use a unipolar curve for this example.

4. Flip the rack back again, and switch the Matrix to display the Curve pattern window.

You should now see an empty pattern window, with no Gate or Curve events visible.

5. Draw a curve with alternating high and low values.

6. Activate Click on the transport panel.

7. Select the track that is routed to the synthesizer, so that you can play it from your MIDI keyboard.

8. Activate Play on the transport panel, and hold a chord down on your keyboard.

You should now hear the volume being modulated by the Curve pattern.

9. While still in play mode, you can use the Resolution knob to change the modulation "rate" in relation to the tempo.

For each clockwise resolution step the modulation speed is doubled and vice versa, but it will always stay in sync with the tempo.


Programming "Acid Style" lead lines

By "acid style" lead lines we mean patterns that use a combination of Legato and slide (or portamento) effects to produce the widely used hypnotic "wavy" sound produced by the original Roland TB-303, and recreated in the Propellerhead Software product ReBirth. To approximate this typical sound using Reason, proceed as follows:

1. Create a Synthesizer (Subtractor or Malström).

2. Create a Matrix Pattern Sequencer, or if one already exists, set it to an empty pattern.

3. Make sure that the Note and Gate CV outputs are connected to the synthesizers Sequencer Control CV and Gate inputs, respectively.

4. For Subtractor, select either a Init Patch, or use the "TB Synth" patch in the Monosynth category of the Factory Sound Bank.

If you use an Init patch, it is important that you make the following settings:

Set Polyphony to "1".

Switch Trigger Mode to "Legato".

Set Portamento to a value around "50".

5. Create a pattern in Matrix, and keep it playing back.

If "Tie" now is activated for a step, the note will be tied to the next and the pitch will continuously "glide" to the pitch of the following step.

Please note that Tie should be activated on the note you wish to slide from, and not the note you slide to.

If you have several tied notes, one after the other, they will play as one long legato phrase. This can be used to create "wavy" lead lines with pitch bend effects.

6. Experiment with different Note, Tie and Gate values.

If you have ever used a TB-303 or ReBirth, you should now begin to get the hang of how you can create patterns in that particular style by using the Matrix together with a synthesizer.

Adding a DDL-1 (delay), and a D-11 (distortion) effect device will make it sound even more "ReBirth"-like, but of course you are also able to get a much wider range of timbres by utilizing Reason's other sound and modulation capabilities.


Triggering Samples

The Gate CV output can be used to trigger samples, either in Redrum or in the NN-19 or NN-XT Sampler.

Connect the Matrix Gate CV out to the Gate (Sequencer Control) in on the NN-19/NN-XT or to one of the individual Gate Channel inputs of Redrum.

The Matrix gate values will now trigger the sample on each step that has a Gate value above "0".


Introduction

The ReBirth Input Machine is a device dedicated to receiving audio from the Propellerhead program "ReBirth RB-338" (version 2.01 and later). This is achieved by using ReWire technology, where Reason will act as master and ReBirth as a slave device. If you don't have ReBirth installed, you cannot use this device. If you are a ReBirth user, you can use the ReBirth Input Machine for the following:

Receive up to eighteen channels of streaming ReBirth channels in Reason.

You can create more ReBirth Input Machines, but only one can be active at a time.

Sample accurate synchronization between the audio in the two programs.

The two programs can share the same audio card and take advantage of multiple outputs on that card.


Launching

1. Launch Reason.

2. Create a ReBirth Input Machine.

You may want create a Mixer prior to this step, otherwise the L/R Mix channels will be routed directly to the Audio Hardware Interface. If you have a Mixer, the L/R Mix output from the ReBirth Input Machine will be automatically connected to the mixer's first available audio inputs.

3. Launch ReBirth.

4. When ReBirth is launched, select Reason as the application in focus.

If both the "Reason is Rewire Master" and the "Active" indicator on the ReBirth Input Machine are lit, this indicates that the launch procedure was correct and that Reason and ReBirth are now locked and in sync.

If only the "Active" indicator is lit, either the launch order was wrong, or ReBirth is not installed properly.

5. Activate playback on Reason's transport panel.

ReBirth and Reason are locked in perfect sync, and will follow any transport commands in either of the programs.

Note that there is no master/slave relationship for the transport controls when using ReWire, as either device will control the other device's transport. The audio, however, is streamed from ReBirth to Reason, so in this aspect Reason is the master device.


Quitting

1. First quit ReBirth.

2. Then quit Reason.


Introduction

When the two programs are synced, you can route any of the eighteen available outputs in ReBirth, to separate channels in a Reason Mixer, or to the Hardware Interface for direct connection to a physical output on your audio card.

If you flip the rack around, a row of 18 audio outputs is shown, with the L/R Mix outputs auto-routed to your mixer or to the hardware interface.


What Signals are on the Outputs?
Mix-L and Mix-R

This is the regular master output in ReBirth RB-338. These are the only stereo channels, all other channels are in mono.

If none of the other channels are used, then this carries all the sound from ReBirth.

Signals that are activated separately are removed from this mix.

If for example the 909-Mix channel is activated, then Mix-L and Mix-R carries all the sound from ReBirth RB-338 except the 909, which will appear on its own channel.

The individual outputs are described more closely in the ReWire chapter of the ReBirth manual.


Common Device Features

While the specific parameters for each device are described separately, some features and procedures are common to all effect devices:

The Input meter

This shows the level of the incoming audio signal, giving you an indication of which devices are active, connected and playing. However, you don't need to worry about clipping in effect devices, even if the meter goes into the red.

The Power/Bypass switch

This is located in the upper left corner of each effect device. The switch has three modes, according to the following figure:

About making settings

Mode | Description
Bypass | In this mode, the input signal is passed directly to the audio output, without being affected by the effect device. This is useful when the effect device is connected as an insert effect, and you want to compare the effect sound with the dry sound.
On | This is the default mode, in which the device processes the incoming signal.
Off | In this mode, the effect device is turned off and neither dry nor effect sound is sent out. This is useful when the device is connected as a send effect and you want to turn it off temporarily.

You adjust effect parameters using the regular editing techniques, as described in the Getting Started book. Note:

A quick way to reset the parameters to their default values is to [Ctrl]-Click the corresponding knob.

About Connections

All effect devices have stereo inputs and outputs, and can be connected as send effects or as insert effects.

However, some effects are best used as one of these only. This is stated for each effect on the following pages. See also the section about the signal flow graphs below.

Most of the effect devices have one or several CV inputs on the back panel.

These allow you to control various effect parameters in real-time, from another device in the rack.

The Signal Flow graphs

On the back of each effect device, you will find two or three small "graphs". These indicate how the effect device handles mono and stereo signals, depending on the connections. The selection of graphs for a device tells you how it should be used, according to the following rules:

Graph | Description
 | Can be connected as a mono-in, mono-out device. (Of course, all effect devices can be connected in mono. However, if this graph isn't shown for a device, this means that a mono-in, mono-out connection may not give the proper results).
 | Can be connected as a mono-in, stereo-out device. This means that the device creates some sort of stereo effect (e.g. a reverb) or a mono effect that can be panned.
 | If you connect both inputs and outputs in stereo, the two sides will be processed independently (true stereo processing).
 | If you connect both inputs and outputs in stereo, the two sides are summed before the effect processing. However, the actual effect is in stereo (and the dry signal will remain in stereo, if it is passed through the effect).


RV-7 Digital Reverb

Reverb adds ambience and creates a space effect. Normally, reverb simulates some kind of acoustic environment such as a room or a hall, but you could also use it as a special effect.

The Reverb device can be used as a send effect or an insert effect.

If several devices uses the same type of reverb, you should connect the reverb as a send effect, to conserve computer power.

Parameters

The display to the left on the panel shows the selected reverb algorithm - the general type of reverb. By clicking the arrow buttons you can change algorithm, with the following options available:

Algorithm | Description
Hall | Emulates a fairly large, smooth hall.
Large Hall | Emulates a larger hall, with pronounced pre-delay.
Hall 2 | A hall reverb with a brighter attack than "Hall".
Large Room | Emulates a large room with hard early reflections.
Medium Room | Emulates a medium-sized room with semi-hard walls.
Small Room | A smaller room, suitable for "drum booth"-type reverbs.
Gated | A gated reverb, that is abruptly cut off.
Low Density | A thinly spaced reverb, where you clearly can here the individual echoes. Useful for strings and pads and as a special effect.
Stereo Echoes | An echo effect with the repeats alternating between stereo sides.
Pan Room | This is slightly similar to "Stereo Echoes", but the echo repeats have soft attacks.

If you need to conserve computer power, try using the Low Density algorithm. This uses much less power than the other algorithms.

The selected reverb algorithm can be tweaked using the parameters on the device panel:

Parameter

Description

Size

Adjusts the emulated room size. Middle position (value 0) is the default size for the selected algorithm.
Lowering this parameter results in a closer and gradually more "canned" sound. Raising this parameter results in a more spacey sound, with longer pre-delay.

For the "Stereo Echoes" and "Pan Room" algorithms, the Size parameter adjusts the delay time.

Decay

This governs the length of the reverb effect. Middle position is the default decay time for the selected algorithm.
Note: Decay is not used for the "Gated" algorithm.

Damp

Raising the Damp value cuts off the high frequencies of the reverb, thereby creating a smoother, warmer effect.

Dry/Wet

If you are using the reverb as an insert effect, you use this parameter to adjust the balance between the unprocessed audio signal (dry) and the effect (wet).

If the reverb is used as a send effect, this should be set all the way to wet only, since you can control the balance by using the AUX send controls in the Mixer.

CV Inputs

You can control the Decay parameter via the CV input on the back of the Reverb device.


DDL-1 Digital Delay Line

This is a mono delay (with the output pannable in stereo) that can be synchronized to the song tempo. The delay can be used as a send effect or an insert effect.

Parameters

Parameter

Description

Delay time

The display to the left on the device panel shows the delay time, either as note value steps (based on the sequencer tempo and the Step Length parameter) or in milliseconds, depending on the setting of the Unit switch.
The maximum delay time is two seconds (2000 ms) while the maximum number of steps is 16.
Note that if the tempo is low, you may reach the maximum delay time at a lower number of steps than 16 (in which case raising the steps value will not make any difference).

Unit

This is where you select whether you want a tempo-based delay ("Steps" mode) or a free time delay ("MS" mode).
In the Steps mode, you specify the delay time in note value-based steps. This means that if you change the tempo in the transport panel, the delay will maintain its rhythmic relation to the music (provided that the resulting delay time doesn't reach the maximum value). This mode is useful for creating rhythmic patterns.

If you change the tempo when using the delay in MS mode, the delay time will remain the same.

See also the note about switching Unit modes below.

Step length

Governs whether each step in Steps mode should be a sixteenth note (1/16) or an eighth triplet note (1/8T).

Feedback

Determines the number of delay repeats.

Pan

Pans the delay effect to the left or to the right.

Wet/Dry

If you are using the delay as an insert effect, you use this parameter to adjust the balance between the unprocessed audio signal (dry) and the delay effect (wet).

If the delay is used as a send effect, this should be set all the way to wet only, since you can control the balance by using the AUX send controls in the Mixer.

CV Inputs

The following CV inputs are available on the back panel of the device:

Pan CV.

This allows you to control the panning of the delay signal. Connect an LFO to this for moving delay effects, or use a Matrix pattern to simulate random delay panning.

Feedback CV.

This allows you to control the amount of feedback (the number of delay repeats) from another device. Useful for dub-type echoes on certain beats or notes only.

Switching between Unit modes

When you switch between the two Unit modes (Steps and MS), the following rules apply:

If you switch from Steps mode to MS mode, the delay will be set to the same actual delay time as was used in the Steps mode.

This means that you can set up an exact rhythmic delay in Steps mode, and then switch to MS mode to adjust it slightly.

If you switch from MS mode to Steps mode, the delay is reset to the previously used Steps value.


D-11 Foldback Distortion

The D-11 is a simple but effective distortion effect, capable of producing anything from just a whisper soft touch of distortion, to complete thrashing. This effect is most often used as an insert effect.

Parameters

The distortion has the following parameters:

Parameter

Description

Amount

This controls the amount of distortion. The higher the value, the more distortion.

Foldback

This adjusts the character of the distortion by introducing foldback, which makes the waveform more complex.

The default value is in the middle position. This produces a "flat" clipping distortion, which is the most common type. Lowering the parameter makes the sound rounder and more gentle, raising it makes the sound sharper and more evil.

CV Inputs

On the D-11 you will find a CV input for controlling the Amount parameter. This can produce very drastic effects, especially if you control parameters in the instrument device (such as filter frequency and resonance) at the same time.


ECF-42 Envelope Controlled Filter

The ECF-42 is a multimode filter with a built in envelope generator. It is mainly designed to be used together with pattern devices to create pattern controlled filter and envelope effects, but it can also be triggered via MIDI, or used as a "static" filter for shaping the sound of an instrument device or a whole mix.

Usage

The Envelope Controlled Filter is best connected as an insert effect. However, unlike the other effects it is not a pure "stand-alone" device. To make the most of the ECF-42, you need either CV/Gate from an external device or MIDI notes from a sequencer track.

If you connect a device to the ECF-42 using audio inputs/outputs only, it will simply act as a filter with no velocity or envelope modulation.

Hence, all filter parameters are "static", unless you manually turn the knobs or automate them in the sequencer.

Connecting a gate signal to the Env Gate input on the back panel of the device allows you to trigger the envelope generator for the filter.

Note that the ECF-42 envelope generator is not triggered by the audio itself - the envelope parameters won't do anything unless the device receives gate signals.

By creating a sequencer track connected to the ECF-42, you can have the envelope triggered by MIDI notes on the track.

The envelope is affected by the position, length and velocity of the MIDI notes (but not by their pitch).

If you are unfamiliar with basic filter and envelope parameters, please refer to the Subtractor chapter for a description of these.

The Filter Parameters

The ECF-42 filter section has the following parameters:

Parameter

Description

Mode

This button sets the desired filter mode. Three modes are available: 24dB/octave lowpass, 12dB/octave lowpass and 12dB/octave bandpass.

Freq

This is the filter cutoff frequency.
When using the ECF-42 in "static" mode (without triggering the envelope), this parameter adjusts the frequency content of the sound.

When using the envelope, the Freq parameter serves as the start and end frequency for the filter sweep.

Res

This is the filter resonance. Raising this produces a more extreme, "synthy" effect.

Env Amt

Determines how much the filter frequency should be affected when the envelope is triggered. The higher the value, the more drastic the effect.

Note though, that if the Freq parameter is set high, raising the Envelope Amount will not make any difference over a certain value! This is because the filter is already fully opened - try lowering the Freq parameter in that case.

Velocity

This parameter determines how much the gate velocity value should affect the envelope amount.

The Envelope Parameters

This is a standard envelope generator with Attack, Decay, Sustain and Release parameters. It is triggered by a gate signal connected to the Env Gate input on the back panel, or by MIDI notes on a sequencer track connected to the ECF-42. The parameters have the following functionality:

Parameter | Description
A (Attack) | When the envelope is triggered, this is the time it takes before the envelope signal reaches its max value.
D (Decay) | After reaching its max value, this is the time it takes for the envelope signal to reach the sustain level.
S (Sustain) | If the gate remains open (or the MIDI note is held), the envelope signal will remain on this level.
R (Release) | When the gate is closed (gate CV goes back to 0) or the MIDI note ends, this is the time it takes for the envelope signal to drop from its current value to the start value (set by the Freq parameter).

The Gate indicator lights up when the device receives a signal to the Env. Gate input on the back panel or a MIDI note from a sequencer track.

CV/Gate Inputs

On the back panel of the ECF-42, you can find the following CV/Gate inputs:

Freq CV.

Use this for controlling the filter frequency from another device. For smooth filter modulation, try connecting an LFO to this input.

Decay CV.

For controlling the envelope decay parameter from another device.

Res CV.

Allows you to control the filter resonance from another device. Can be very effective in combination with filter frequency sweeps.

Env. Gate.

This is where you connect a gate signal (e.g. from a Matrix or Redrum device) for triggering the envelope.

Pattern Controlled Filter - An Example

This example shows how to use the ECF-42 and the Matrix to create pattern controlled filter effects. Proceed as follows:

1. Start with an empty Song.

2. Create a Mixer.

3. Create a Subtractor Synthesizer.

An Init Patch will work fine for these examples.

4. Create an ECF-42.

5. Create a Matrix Pattern Sequencer.

If you flip the rack around, you can see that the audio out from the Subtractor is passed through the ECF-42 and then on to the Mixer. The Matrix Curve CV is connected to the ECF-42 Frequency CV parameter, and the Matrix Gate CV is connected to the ECF-42 Env Gate input.

6. Select the Track connected to the Subtractor (given that you are handling MIDI input via the sequencer) so that you can play it from your keyboard.

If you play a few notes and turn the ECF-42 filter freq knob, you should hear the sound being filtered.

7. Draw a Gate pattern in the Matrix, using mixed velocity values.

Draw only a Gate pattern, not a Curve pattern.

8. Set both the Env.Amt and Vel knobs on the ECF-42 to about "40".

9. Click the Run button on the Matrix panel.

10. While in Run mode, hold a chord down on your keyboard.

Now you should hear the envelope (controlling the filter) being triggered with every gate step.

By increasing the Env.Amount, you determine how much the envelope parameters should affect the filter frequency.

By increasing the Vel. parameter, you determine how much the gate velocity should affect the filter frequency.

If the filter effect isn't very noticeable, try lowering the filter frequency, and raising the Res value.

11. Set both the Env.Amt and Vel knobs on the ECF-42 to "0".

12. With the Matrix still playing, draw a Curve pattern in the Matrix pattern window.

Now, you should hear the filter frequency being modulated by the curve pattern. By combining the various parameters you can create many new filter effects.

You can also control the ECF-42 from other devices with CV and/or Gate outputs.

Triggering the ECF-42 via MIDI

To trigger the envelope in the ECF-42, proceed as follows:

1. Create a sequencer track for the ECF-42.

This is easiest done by bringing up the context menu for the device and selecting "Create Sequencer Track for XX" (where "XX" is the name of this particular filter device).

2. Record or draw some notes on the sequencer track.

Remember that the envelope takes the note length and velocity into account. The note pitches doesn't matter.

3. Play back the track.

The actual notes will not be heard (since the track is connected to the ECF-42, which produces no sound in itself) but the envelope will be triggered according to the notes.

You can even control the envelope "live" via MIDI: just set MIDI input to the sequencer track for the ECF-42 and play your MIDI instrument!

To route MIDI input to a track, click in the In column in the track list, so that the MIDI connector symbol appears next to the track name.


CF-101 Chorus/Flanger

The CF-101 is a combined chorus and flanger effect. It adds depth and movement to the sound by adding a short modulated delay to the audio signal. The delayed signal is then mixed with the original (either in the effect device, or manually by you - see below). The CF-101 can be used as an insert effect or a send effect.

Parameters

Parameter

Description

Delay

This is a manual control for the delay time used to create the chorus/flanger effect. Usually, flanger-type effects use fairly short delay times while chorus-type effects use medium long delay times.

Feedback

This governs the amount of effect signal fed back to the input, which in turn affects the intensity and character of the effect. Turning this to the extreme left (negative feedback) or right (positive feedback) produces different flanger effects with a pronounced resonance "tone", while keeping it in between produces a more gentle chorus effect.

LFO Rate

This is the frequency of the LFO modulating the delay time. The higher the value, the faster the sound will oscillate.

LFO Sync

This button lets you activate/deactivate LFO sync. When it is activated, the frequency of the LFO is synchronized to the song tempo, in one of 16 possible timedivisions. The LFO Rate knob is then used for setting the desired timedivision. Turn the knob and observe the tooltip that appears for an indication of the timedivision.

LFO Mod Amount

This determines the depth of the LFO modulation, i.e. by how much the delay time should be modulated.

If you turn this to zero, the effect will be "frozen" (most effective if you add a little feedback).

Send Mode

This determines whether the delayed signal and the dry signal should be mixed in the effect device or not.

If you use the device as an insert effect, you should turn this off. The device will then output a mix of the dry signal and the modulated delay signal.

If you use the device as a send effect, you should activate Send mode. Then, the device will only output the modulated delay signal, allowing you to mix it with the dry signal using the AUX send controls in the mixer.

See also the note below about using the CF-101 as a vibrato effect!

CV Inputs

The following CV inputs are available on the back panel of the device:

Delay CV.

Allows you to control the delay time from another device. This may give best results if you turn off the LFO modulation in the device (turn LFO Mod Amount to zero). For example, by controlling the delay parameter from a Matrix, you can create "stepped flanger" effects, in sync with the tempo.

If you use the Delay CV input for "playing" the feedback tone, note that a higher delay value gives a lower pitch.

Rate CV.

Lets you control the rate of the modulating LFO from another device.

About Stereo and Mono connections

The CF-101 can be connected using mono or stereo inputs, as shown by the graphs on the back panel. Note the following:

A "moving" stereo effect is only obtained when you use a mono input and stereo outputs.

With a stereo input, the two sides are processed in parallel, maintaining the stereo image of the original sound.

When you are using a mono input and stereo outputs, there will only be a stereo effect if the internal LFO is used.

If you turn LFO Mod Amount to zero, both stereo outputs will carry the same signal (mono). This is because the "fake stereo" effect is produced by inverting the modulation for one of the output channels.

Tip: Using the CF-101 as a vibrato effect

The Send mode is intended for when using the CF-101 as a send effect. In this mode, the device will only output the modulated delay signal - the actual "chorusing" is obtained by mixing this signal with the dry, unprocessed signal in the Mixer.

However, if you activate Send mode while using the device as an insert effect, the result will be a pitch modulated version of the original sound - in short, a vibrato effect. Along with a little feedback, this can be used for special effects.


PH-90 Phaser

The PH-90 Phaser is a classic phaser effect with some special features for fine-tuning the sound. It can create the classic sweeping phaser sounds suitable for pads or guitars, but also more extreme effects if you like. The phaser is best used as an insert effect.

Theory

A phaser works by shifting portions of the audio signal out of phase, and then adding the processed signal back to the original one. This way, narrow bands of the frequency range ("notches") are filtered out. When these frequencies are adjusted, a sweeping phaser sound is created.

The PH-90 is a four-stage phaser, which means that there are four "notches" in the frequency response curve.

When the phaser frequency is adjusted (manually or by the built-in LFO), these notches will move in parallel in the frequency spectrum. Furthermore, you can adjust the distance between the notches (Split) and their Width. Adding feedback raises the filter gain just below each notch in the frequency range, creating a more pronounced effect.

Parameters

Parameter

Description

Frequency

Sets the frequency of the first notch. Adjusting this will move the other notches correspondingly. This is the parameter modulated by the LFO to create phaser sweeps.

Split

This adjusts the distance between the notches in the frequency range, thereby changing the character of the effect.

Width

Determines the width of the notches. Raising the Width deepens the effect and simultaneously makes the sound more hollow and thin. This will also have an effect on character of the feedback "tone".

LFO Rate

This is the speed of the LFO modulating the frequency parameter. The higher the value, the faster the phaser sweeps.

LFO Sync

This button lets you activate/deactivate LFO sync. When it is activated, the frequency of the LFO is synchronized to the song tempo, in one of 16 possible timedivisions. The LFO Rate knob is then used for setting the desired timedivision. Turn the knob and observe the tooltip that appears for an indication of the timedivision.

LFO Freq. Mod

This determines the depth of the LFO modulation, i.e. by how much the frequency parameter should be modulated.

If you turn this to zero, the effect will be a static, formant-like sound (most effective if you add a little feedback).

Feedback

This is similar to the resonance control on a filter. Raising the feedback gives a more pronounced "tone" in the effect. For "singing" phaser sounds, try raising this to the maximum.

CV Inputs

The following CV inputs are available on the back panel of the device:

Freq CV.

Adjusts the frequency parameter. Use this e.g. for creating envelope controlled phasing (preferably with LFO Freq. Mod turned off in the device).

Rate CV.

Lets you control the speed of the modulating LFO from another device.

About Stereo and Mono connections

The CF-101 can be connected using mono or stereo inputs, as shown by the graphs on the back panel. Note the following:

A "moving" stereo effect is only obtained when you use a mono input and stereo outputs.

With a stereo input, the two sides are processed in parallel, maintaining the stereo image of the original sound.

When you are using a mono input and stereo outputs, there will only be a stereo effect if the internal LFO is used.

If you turn LFO Mod Amount to zero, both stereo outputs will carry the same signal (mono). This is because the "fake stereo" effect is produced by inverting the modulation for one of the output channels.


COMP-01 Auto Make-up Gain Compressor

The COMP-01 compressor levels out the audio, by making loud sounds softer. To compensate for the volume loss, the device has an automatic make-up gain, that raises the overall level by a suitable amount. The result is that the audio levels become more even and individual sounds can get more "power" and longer sustain.

The COMP-01 should be used as an insert effect, either for a single instrument device or for a whole mix (e.g. inserted between a Mixer device and the Hardware Interface).

Parameters

Parameter | Description
Ratio | This lets you specify the amount of gain reduction applied to the signals above the set threshold. The value is expressed as a ratio, from 1:1 (no reduction) to 16:1 (levels above the threshold are reduced by a factor 16).
Threshold | This is the threshold level above which the compression sets in. Signals with levels above the threshold will be affected, signals below it will not. In practice, this means that the lower the Threshold setting, the more the compressor effect.
Attack | This governs how quickly the compressor will apply its effect when signals rise above the set threshold. If you raise this value, the response will be slower, allowing more of the signal to pass through the compressor unaffected. Typically, this is used for preserving the attacks of the sounds.
Release | When the signal level drops below the set threshold, this determines how long it takes before the compressor lets the sound through unaffected. Set this to short values for intense, "pumping" compressor effects, or to longer values for a smoother change of the dynamics.
Gain meter | This shows the amount of gain reduction or increase (in dB), caused by the combined compression and make-up gain.

There are no CV inputs for the Compressor.


PEQ-2 Two Band Parametric EQ

While there is a simple two-band shelving equalizer available for each channel in the mixer, the PEQ-2 gives you much more precise control over the tone color. The device consists of two independent, fully parametric equalizers and is most often used as an insert effect, in mono or stereo.

About the two EQ modules

The two independent EQs are labeled "A" and "B".

EQ A is always active (provided that the effect device is in "On" mode and that you have set the Gain to a value other than 0).

To activate EQ B, click the button next to the EQ B parameters, so that the LED lights up.

If you only use one EQ, it's a good idea to turn EQ B off, to conserve computer power.

Parameters

For both EQs (A and B), the following parameters are available:

Parameter | Description
Frequency | This determines the center frequency of the EQ, e.g. at which frequency the level should be decreased or increased. The range is 31 Hz to 16 kHz.
Q | This governs the width of the affected area around the set center frequency. The higher the value, the narrower the affected frequency range.
Gain | Specifies how much the level of the selected frequency range should be boosted (positive values) or lowered (negative values). The gain range is ±18 dB.

About the graphic display

The graphic display to the left in the device panel shows the frequency response curve as set by the EQ parameters. This gives a visual feedback and helps you tailor the EQ settings.

CV Inputs

The following CV inputs are available on the back panel of the device:

Freq 1 CV.

Allows you to control the frequency of EQ A from another device, creating subtle or dramatic EQ sweeps depending on the Q and Gain settings.

Freq 2 CV.

Allows you to control the frequency of EQ B in the same way.


New

When you select this, a new, empty song appears. The exact contents of this song is determined by your Preferences settings.


Open...

To open a Song, proceed as follows:

1. Pull down the File menu and select Open.

The Reason song browser window appears.

2. Use the browser to navigate to the desired folder on disk or within a ReFill.

3. When you have located the song file, select it and click Open (or double click on the file).

The song appears in its own document window.

You can have several songs open at the same time if you like. This allows you to copy and paste patterns and patches between songs. However, all open songs consume some memory and performance, so you may want to close songs you don't need.


Close

This closes the active window.

If the window is a song document and it has unsaved changes, you will be asked whether you want to save those changes.


Save

This saves the active song document to disk.

If the song document hasn't yet been saved, the Save As dialog appears, requesting you to enter a file name and specify a location for the file on disk.

If the document has already been saved at least once, the document will simply be saved without any questions.


Save As...

This saves the active song document to disc. A standard Save As dialog appears requesting you to enter a file name and specify a location for the file on disk.

You can set things up so that any samples used in the song are included in the song file itself by specifying self-contained settings (also on the File menu).


Song Information...

This brings up a dialog that allows you to add contact information, comments about the song, etc. Furthermore, if you save a published version of the song in the Reason Song Archive on the Propellerhead web site, vital information can automatically be extracted by the web archive engine, and displayed with the song file.

The dialog contains the following items:

Text in Window Title

The text you add here will be displayed directly after the file name in the song window's title bar.

More Information

This is where you add notes and comments about the song.

Song Splash

Allows you to add a picture to the song. If the "Show splash on song open" checkbox is ticked, the picture will be displayed when the song is opened.

To add a splash picture, click the folder button at the upper right corner, and locate and open the picture file in the file dialog that appears.

Splash pictures must be JPEG files (Windows extension ".jpg") with a size of 256 x 256 pixels.

To remove the splash picture from the song, click the cross button.

Author's Web Page

Allows you to specify your web site. The user can go directly to your site by clicking the Browser button to the right (provided there is a working Internet connection).

Author's Email

This is where you specify your email address, if you want other Reason users to send you their comments, etc.


Publish Song...

If you want to make your songs available to the public, e.g. for downloading on the Internet, there is a special file format for this. A Reason published song (Windows file extension ".rps") is much like a self-contained song, but has the following restrictions:

The user cannot save any changes to the song.

Copy, Cut and Paste is disabled.

It is not possible to use the function Export Song/Loop as Audio File.

In a word, published songs are "locked". They are meant for playback only - no elements can be added, removed or extracted. Furthermore, a published song contains information about which ReFills are required (if any).

To create a published song, pull down the File menu and select Publish Song. Specify a name and location for the published song in the file dialog that appears, and click Save.

Note that you don't have to make self-contained settings - all files (except ReFill components) are automatically included.

About the Reason Song Archive

On the Propellerhead web site (www.propellerheads.se) you will find the Reason Song Archive. This allows you to share your music with other Reason users by uploading your songs.


Song Self-contain Settings...

A self-contained song contains not only the references to the used files, but also the files themselves. You can choose exactly which files should be included in the self-contained song, with the following exception:

Files that are part of a ReFill cannot be included in a self-contained song.

If your song contains samples or REX files from a ReFill, other users must have the same ReFill to be able to play the song.

To specify which files should be included in the song, proceed as follows:

1. Tick the checkbox in the Sound column for the files you want included in the song.

You can use the Check All button to activate all checkboxes in one go.

Similarly, the Uncheck All button deactivates all checkboxes.

Files that are part of a ReFill are indicated by a lock symbol instead of a checkbox (since they cannot be included in the song file).

The rightmost column indicates to which ReFill each such file belongs.

2. When you have selected the desired sounds, click OK.

The dialog is closed. The next time you save, the specified sounds will be included in the song file.

Note that a self-contained song file will be considerably larger than the original song file.
However, samples included in a self-contained song are automatically compressed by approximately 50%, meaning that the self-contained song will still be a lot smaller than the original song and the sample files combined.

"Un-self-containing" a Song

If you have opened a song that is more or less self-contained (i.e. contains one or several sounds embedded in the song file), you may want to extract these sounds and make the song refer to them on disk as usual.

1. Locate the sounds you want to extract from the song file, and deactivate their checkboxes (or click Uncheck All).

2. Click OK to close the dialog.

Now, the program will check for each "extracted" sound file whether it is available in your database (at its original, stored location) or not.

If the program finds the sound file at the location stored in the song, it is simply removed from the song file, and the original file reference path is used.

If the program doesn't find the sound file, a file dialog appears, allowing you to select a folder and name for the sound file.


Import MIDI File...

Reason can import standard MIDI files (SMF). This allows you to import MIDI data to Reason from other applications.

MIDI files have the extension ".mid".

If the imported MIDI file is of "Type 1", there will be one sequencer track for each track in the MIDI file.

If the imported MIDI file is of "Type 0" (that is, it contains one track with MIDI events on multiple channels), there will be one sequencer track for each used MIDI channel.

Any tempo changes in the MIDI file are disregarded.

The tempo in Reason will be set to the first tempo in the MIDI file.

The new tracks will not be connected to devices in the rack.

You will need to connect the tracks manually to the proper devices, by using the Out pop-up menu in the track list.

All controller data in the MIDI file is included.

This means that pitch bend, volume and modulation wheel data are preserved properly. However, some controllers may "mean" different things for the original MIDI instruments used when creating the MIDI file and the devices in Reason. When you have connected a sequencer track to a device, you may therefore need to remove some unwanted automation from the track.


Export MIDI File...

Reason can export standard MIDI files (SMF). This allows you to transfer MIDI data from Reason to other applications.

1. Set the End (E) marker at where you want the MIDI file to end.

The MIDI file will contain all events on all tracks from the start of the song to the End marker.

2. Select "Export MIDI File" from the File menu.

3. In the file dialog that appears, specify a name and location for the file.

The file will automatically get the extension ".mid".

4. Click Save.

MIDI files exported by Reason will have the following properties:

The MIDI file will be of Type 1, with one MIDI track for each track in the Reason sequencer.

The tracks will have the same names as in the Reason sequencer.

Since the Reason sequencer doesn't use MIDI channels as such, all tracks will be set to MIDI channel 1.

The sequencer tempo is included in the MIDI file.


Export Device Patch...

This item is valid for all items that can save patches. The menu item name reflects the type of device selected (for example "export Redrum Patch").

Even though the device settings are stored in the song, you may want to save any settings you have made for a device as a separate patch file. This allows you to use the patch in other songs, and lets you try out other patches in your song without risking to lose your sound.

The different types of patch files have different file extensions.

These are ".zyp" (Subtractor patch files), ".smp" (NN-19 patch files) ".drp" (Redrum patch files), ".xwv" (Malström patch files) and ".sxt" (NN-XT patch files).

If you have selected a patch, modified it and want to save it with the modifications, you could either save a separate, modified version of the patch (with a new name) or simply overwrite the old patch file on disk.

As usual, you will be asked whether you really want to replace the existing patch file.

You can save a patch under the same name and location (without having the save dialog appear) by holding down [Alt] and clicking the floppy disk button on the device panel. Note that this overwrites the original patch!


Export Song/Loop as Audio File...

When you have created a complete song, you may want to mix it down to an audio file to make it playable for other people (who don't use Reason). You can either export the whole song (from the start to the "E" marker), or only the loop (the area between the left and right locator in the sequencer). Proceed as follows:

1. Make sure only the main stereo outputs are used.

The export function will only include audio routed to the stereo outputs.

2. Make sure the Loop/End markers are at the correct positions.

If you want to export the loop, you need to set the left and right locators to encompass the desired area. If you instead want to export the whole song, make sure the End (E) marker is at the desired end position.

If you are using reverb or delay, you may want to adjust the right locator or End marker so that the reverb/delay "tails" are included in the exported file.

3. Check that the song (or loop) plays back properly.

It's especially important that no clipping occurs during playback (see "Audio Out Clipping Indicator" ).

4. Pull down the file menu and select Export Song as Audio File (or Export Loop as Audio File).

A file dialog appears.

5. Specify a name, location and file type (AIFF or Wave) for the audio file, and click Save.

6. Specify a sample rate and bit depth (resolution) for the exported file in the Settings dialog that appears.

7. Click OK.

The program creates the audio file. Depending on the length of the song/loop, this may take a while, during which a progress dialog is shown.


Export REX as MIDI File...

If you have imported a REX file into a Dr. Rex device and wish to play back the loop via MIDI (typically from another sequencer), proceed as follows:

1. Select the Dr. Rex device in the rack.

2. Select "Export REX as MIDI File..." from the File menu.

3. Save the MIDI File to disk.

4. In the other application, open the MIDI file you just created.

5. Set up the other application to play back the MIDI File on the correct MIDI Output and MIDI Channel (the output and channel on which the Dr. Rex device receives data).


Quit

This allows you to quit the program. If there are any documents open with unsaved changes you will be asked whether you want to save those changes.


Undo

Virtually all actions in Reason can be undone. This includes creation, deletion and reordering of devices in the Rack, parameter value adjustments, editing in the sequencer and tempo/time signature adjustments. You can undo up to 10 actions.

To undo the latest action, select "Undo" from the Edit menu or hold [Ctrl] and press [Z].

The action to be undone is indicated next to the Undo command on the Edit menu. For example, if your latest action was to delete some device(s) from the Rack, the Edit menu will say "Undo Delete Devices".


Redo

To redo an undone action ("undo the undo operation"), select "Redo" from the Edit menu or hold [Ctrl] and press [Y].

The action to be redone is indicated next to the Redo command on the Edit menu.

You can undo/redo up to 10 actions.


Cut/Cut Device/Cut Pattern

This command takes the selected item(s), removes them and places them on the clipboard (an invisible storage location) from where they can later be pasted in.

Cutting applies to tracks, sequencer events and Groups, devices and patterns.


Copy/Copy Device/Copy Patch/Copy Pattern

This command takes the selected item(s), copies them and places the copies on the clipboard (an invisible storage location) from where they can later be pasted in.

Copying applies to tracks, sequencer events and Groups, devices and patterns.


Paste/Paste Device/Paste Patch/Paste Pattern

This command takes the items you have cut or copied and pastes them back into the document.

Sequencer tracks

If you Paste the track(s) into their original song, this simply duplicates the tracks.

However, the Pasted tracks will not be connected to any devices in the rack.

You can also Paste the track(s) into another song.

Note that only the tracks (complete with contents) are copied and pasted - not their respective devices. You may want to separately copy and paste the devices to the other song.

Sequencer events and groups

When you Paste sequencer events and groups, they appear at the song position, on their original track(s).

If you have deleted the original tracks, or if you Paste into another Reason song document, new tracks will be created as needed.

Devices

When you Paste devices, these are inserted into the rack below the currently selected device.

If no device is selected, the pasted devices will appear at the bottom of the rack.

If you Copy and Paste several devices, the connections between these are preserved.

If you hold down [Shift] when you Paste a device, Reason will attempt to automatically route its audio patching.

Patterns

Paste Pattern copies the pattern on the clipboard to the selected pattern location in the selected device.

This overwrites the selected pattern with the one on the clipboard.

Transferring patterns between Reason songs

If you want to copy patterns between different Reason songs, you use copy and paste:

1. Open both songs.

2. Select the pattern you want to copy.

3. Select Copy Pattern from the Edit menu or the device context menu.

4. Make the other song active.

This is done by clicking in the song window or by selecting the song from the Windows menu.

5. Select the bank and pattern location to which you want to copy the pattern.

Note that any pattern already stored in that location will be overwritten!

6. Select Paste Pattern from the Edit menu or the device context menu.


Clear/Delete Device/Clear Pattern

This menu item is used for deleting selected items. It is also used for clearing (emptying) the select pattern on a pattern device.


Initialize Patch

Sometimes it is useful to start with a "clean slate" when creating a synth sound, a drum kit or a sampler patch. This is done by selecting Initialize Patch from the device context menu or Edit menu. This sets all parameters to "standard" values. Initializing NN-19, NN-XT, Dr. Rex or Redrum devices will also remove all sample file references, allowing you to start from scratch.


Select All

This selects all items of the same type as the one currently selected, that is, all sequencer notes, all devices in the rack, etc.

You can use this to quickly apply a command to all items you are working on, for example deleting all devices in the rack (select Select All and then press [Delete]) or for Quantizing all notes in the Edit View (select Select All and then click the Quantize button).

Whether the Select All function applies to the track list, the Arrange/Edit View or the rack depends on which area has focus in the program.

Focus is indicated by a thin frame around an area in the document window. To set focus to the desired area, click somewhere in it.


Browse Device Patches...

This menu item allows you to select a new Patch for a device. The menu item reflects which device is selected - in other words, you must select the device for the corresponding Browse Patches item to appear on the Edit menu.

When you select the menu item, the Browser dialog appears, allowing you to locate and select the patch, on the hard disk or within a ReFill.

When you select a patch, the device's parameters will be set according to the values stored in the patch, and the name of the patch will be shown in the patch name display. As with any change you make, this operation can be undone.

Any parameter adjustments you make on the device panel after selecting a patch will not affect the actual patch file (for this you need to save the patch).

If referenced samples are missing

Patches for the Redrum, NN-19 and NN-XT contain references to samples. Just like patches, samples can be independent files on the hard disk or elements within a ReFill or a SoundFont. However, if sample files have been moved or renamed after a patch was saved, the sample file references in the patch will not be accurate.

If this is the case when you select a patch, the program will tell you so. You can then choose to either manually locate the missing files, to have the program search for them in the database and ReFills or to proceed with missing sounds.


Browse ReCycle/REX Files...

This menu item is used to add a loop to the selected Dr.Rex device. Files to be imported can be in REX, RCY or REX2 file format.

Loading a new REX file will replace any currently loaded file.


Browse Samples...

This menu item lets you load samples into the devices that use them; the Redrum, the NN-19 and the NN-XT.

The following sample formats can be loaded:

Wave (.wav)

This is the standard audio format for the PC platform.

AIFF (.aif)

This is the standard audio format for the Mac platform.

SoundFont samples (.sf2)

This is an open standard format for wavetable synthesized audio, developed by E-mu systems and Creative Technologies.

REX file slices (.rex2, .rex, .rcy)

REX files are music loops created in the ReCycle program. This program "slices" up loops into several, separate samples. These samples - or slices - can be loaded into the devices mentioned.

Redrum

To use this menu item to load a new drum sound into Redrum, proceed as follows:

1. Select a channel in the drum machine, by clicking its Select button.

2. Select Browse Samples.

The Redrum sample browser opens.

3. Navigate to a location containing any of the sample formats listed above, select one and click Open.

NN-19

This menu item can also be used to add a sample to a key zone in a key map in the NN19 sampler.

1. Select a key zone.

This can be empty, or contain a sample - it doesn't matter for now.

2. Use the browser to add one or several (see below) sample(s).

The following will happen:

If the zone contained a sample prior to loading, this will be replaced, both in the zone and in the sample memory, unless the sample was also used by another key zone.

If you loaded several samples, one of the samples (the sample that was selected furthest down in the Browser list) will be loaded into the key zone, and the other samples will be loaded into the sample memory.

NN-XT

This menu item is used for adding one or more sample(s) to a key map in the NN-XT:

1. Make sure the Remote Editor panel is folded out, by clicking the small arrow in the bottom left corner.

If the remote editor panel is folded in, you will only be able to browse for NN-XT patches.

2. Use the sample browser to add one or several sample(s).

The sample(s) will be placed in separate zones and mapped across the same key range.

If a key map already contains a zone with a sample in it, and this is selected prior to loading, it will be replaced if you load a new, single sample. If you load several samples at once though, they will instead be added below any already loaded samples.


Automap Samples

This menu item applies to the NN 19 Sampler. If you have a number of samples that belong together but haven't been mapped to key zones, you can use the "Automap Samples" function. This is used in the following way:

1. Select all samples that belong together and load them in one go, using the sample browser.

One of the samples will be loaded to a key zone spanning the whole range, and the rest will reside in the sample memory.

2. Select Automap Samples from the Edit menu.

Now the samples currently in memory will be arranged automatically so that:

Each sample will be placed correctly according to its root note, and will be tuned according to the information in the sample file.

Most audio editing programs can save root key information as part of the file.

Each sample will occupy half the note range to the next sample's root note.

The root key will always be in the middle of each zone, with the zone extending both down and up in relation to the root position. Hence, no key zone high or low limits have to be manually set!

Mapping Samples Without Root Key or Tuning Information

Some samples may not have any information about root key or tuning stored in the file (nor indicated in the file name). If this is the case, you can still make use of the Automap function:

1. Select all samples that belong together and load them in one go, using the sample browser.

One of the samples will be loaded to a key zone spanning the whole range, and the rest will reside in the sample memory.

2. Manually set the root key, and adjust the tune knob if the sample needs pitch fine-tuning.

Without any information stored in the file, or if the file name doesn't indicate the root key, you will have to use your ears for this step. Play the sample across different areas of the keyboard and listen to where it sounds the most "natural". As long as you are in the general area of the correct root key, the result should be o.k. You can always adjust this later.

3. Select the next sample using the Sample knob, and repeat the previous step.

Proceed like this until you have set a root key for all the samples.

4. Select "Automap Samples" from the edit menu.

The samples will be automatically mapped according to their set root key positions!


Delete Sample/Remove Sample
Redrum

To remove a sample from a Redrum drum machine, select its drum sound channel and then select "Delete Sample" from the Edit menu.

The sample is removed from the drum sound channel and from sample memory.

NN-I9

To remove a sample from an NN-19 Sampler's memory, select the zone it belongs to, and then select "Delete Sample" from the Edit menu.

The sample is removed from the zone and from sample memory.

NN-XT

To remove a sample from an NN-XT Sampler's memory, select the zone it belongs to, and then select "Remove Samples" from the Edit menu.

The sample is removed from the zone and from sample memory. The zone still remains though. To delete a zone, you must use the option "Delete Zones".


Delete Unused Samples

This menu item is used for the NN-19 Sampler. When you select it, all samples that are not assigned to a key zone are deleted from sampler memory.

This way you can make sure that you are not wasting any sample memory for samples that are not actually used.


Split Key Zone

This menu item is used for the NN-19 Sampler. It splits the currently selected key zone in the middle. The new zone is the upper half of the split, and is empty. The dividing point has a "handle" above it.


Delete Key Zone

This menu item is used for the NN-19 Sampler. It deletes the currently selected key zone from the key map.


Copy REX Loop to Track

This menu item is used for the Dr. Rex loop player device. To be able to make your REX loop start at the same time as other sequencer or pattern data, you "convert" the slices in the loop to notes in the sequencer:

1. Select a sequencer track connected to the Dr.Rex device.

2. Set the left and right locators to encompass the section you want to fill with REX notes.

You may want to make sure that this area doesn't contain any notes already, to avoid confusion.

3. Select the Dr. Rex player, so that it has focus.

4. Pull down the Edit menu and select "Copy REX Loop to Track".

Now, the program will create a note for each slice, positioned according to the timing of the slices. The notes will be pitched in semitone steps, with the first note on C1, the second on C#1 and so on, with one pitch for each slice. If the area between the locators is longer than the loop length, the loop notes will be repeated to fill out the loop.

Now you can reorder, overdub onto, and otherwise edit the note data, using the REX or Key edit lanes in the sequencer.


Copy Pattern to Track

This menu item is used for the Redrum drum machine and Matrix pattern sequencer. It converts the selected pattern to notes on a sequencer track. Proceed as follows:

1. Select a sequencer track connected to the Redrum/Matrix.

2. Set the left and right locators to the desired range or length.

If the range set is longer than the pattern(s), the data will be repeated to fit the range.

3. Select the pattern device, so that it has the focus.

4. Pull down the Edit menu and select "Copy Pattern to Track".

Notes will be created between the left and right locators, according to the selected pattern.

When copying Matrix patterns, only the Gate and Keys values will be included!

If you copied a Redrum pattern, you may want to turn off the "Enable Pattern Section" before playing back the new track data.

Otherwise, both the main sequencer and the pattern sequencer will play the drum sounds, simultaneously.

If you copied a Matrix pattern, you need to connect the track to an instrument device (such as the device which was originally controlled by the Matrix), since the Matrix in itself doesn't produce any sound.

Furthermore, you may want to disconnect the Matrix (or even remove it), to avoid having both the Matrix and the sequencer notes playing at the same time.


Shift Pattern Left/Right

These menu items are used for the Redrum and Matrix respectively.

The Shift Pattern functions move the notes in a pattern one step to the left or right.


Shift Drum Left/Right

These menu items are used for the Redrum.

The Shift Drum functions move the notes for the selected instrument one step to the left or right.


Shift Pattern Up/Down

These menu items are used for the Matrix.

The Shift Pattern functions will transpose all the notes in a pattern one semitone up or down.

This function does not alter the Curve CV.


Randomize Pattern

This menu item is used for the Redrum and Matrix.

The Randomize Pattern function create random patterns. These can often be great starting points and help you get new ideas.

Note that for the Matrix, Randomize affects both the Gate, Note and Curve CV!


Randomize Drum

The Randomize Drum functions creates random patterns for the selected drum sound channel in the Redrum drum machine.


Alter Pattern

This menu item is used for the Redrum and Matrix.

The Alter Pattern function modifies existing patterns. Note that there must be something in the pattern for the function to work on - using an Alter function on an empty pattern will not do anything.

Note that for the Matrix, Alter affects both the Gate, Note and Curve CV!


Alter Drum

The Alter Pattern function modifies existing patterns for the selected drum sound. Note that there must be something in the pattern for that channel for the function to work - using an Alter function on an empty pattern will not do anything.


Auto-route Device

Auto-routing is when devices' audio and CV/gate connections are automatically routed according to default rules. Auto-routing is normally performed:

When a new device is created.

When moving, duplicating or pasting devices with [Shift] pressed.

However, if a device is already in the rack, you can "force" it to be auto-routed by selecting it and then select this menu item.


Disconnect Device

This disconnects all audio and CV/gate connections from the selected device(s).


Duplicate Track

This creates a copy of the selected track, complete with all events. The duplicated track will appear below the original track in the track list.


Group

This puts a selection of events in the Arrange view into a Group:

1. Select the events that you want to Group.

It doesn't matter which lanes you select - all notes, pattern changes and controllers within the area will be included in the Group.

If you select events on several tracks, one Group for each track will be created.

Each Group can only contain events on one track.

2. If you want the Group to have a specific length, activate Snap and select an appropriate Snap value.

Often it is practical to create Groups that are one or several whole bars of length.

3. Select Group from the Edit menu.


Ungroup

This menu item is used to dissolve a Group:

1. Select the Group.

2. Select Ungroup from the Edit menu.


Find Identical Groups

This command helps you locate all Groups with the same contents:

1. Select a Group.

2. Select "Find Identical Groups" from the Edit menu.

All Groups with the same contents are selected in the Arrange View.


Insert Bars Between Locators

This function inserts an empty area between the locators in the main sequencer. All events after the left locator are moved to the right to "make room" for the inserted area.


Remove Bars Between Locators

This function removes all material between the locators in the main sequencer. All events after the right locator are moved to the left to "fill out" the gap after the removed section.


Convert Pattern Track to Notes

If you have recorded or drawn pattern changes on a Redrum or Matrix track, you can have the whole track converted to notes, in the following way:

1. Select the track with the pattern changes.

2. Select "Convert Pattern Track to Notes" from the Edit menu or the context menu for the track.

For each bar, the corresponding pattern is converted to notes on the track (following the same rules as for the "Copy Pattern to Track" function). The track will play back just the same as when you played the pattern device with the pattern changes (including the Pattern Enabled/Mute switch).

After the operation, all pattern changes are automatically removed from the track.

Redrum notes

The "Enable Pattern Section" switch is automatically turned off when you use this function.

Matrix notes

After performing "Convert Pattern Track to Notes", you need to move the contents to another track, or re-route the track to another device.

Having the track connected to the Matrix itself is pointless, since the Matrix cannot produce any sound.

You may want to disconnect or even remove the Matrix after performing this function.

This is because you probably don't want both the Matrix and the sequencer notes to play back at the same time.


Get User Groove

You can create your own groove and apply this using Groove Quantize:

1. Create or record a rhythmic note "pattern" of some kind.

You may for example record a drum pattern, or use the notes playing the slices in a REX loop.

2. Select the notes you want to include in the user groove.

The groove can be of any length, but it's usually most practical to make it one or two bars long.

3. Select "Get User Groove" from the Edt menu or sequencer context menu.

Your pattern is stored as the User groove.

4. Select any notes you want to quantize, make sure "User" is selected as Quantize value, and quantize as usual.

The rhythmic feel of your groove is applied to the notes.

The User Groove is only stored temporarily - it isn't included when you save your Song.


Clear Automation

To remove all automation for a controller, select "Clear Automation" from the Edit menu.

This requires that the controller subtrack has focus. Click in the subtrack if you are uncertain.

Selecting "Clear Automation" will remove all controller values from the subtrack, and the text "Not Automated" will be shown.


Quantize Notes

In Reason, you use the Quantize function in the following way:

1. Select the notes you want to quantize.

Only notes will be affected, so you can select Groups or complete Tracks if you like.

2. Pull down the Quantize pop-up menu on the sequencer toolbar and select a Quantize value.

This determines to which note values the notes will be moved when you quantize. For example, if you select sixteenth notes, all notes will be moved to (or closer to) the closest sixteenth note position.

3. Select a value from the Quantize Strength pop-up menu.

This is a percentage, governing how much each note should be moved. If you select 100%, notes will be moved all the way to the closest Quantize value positions; if you select 50%, notes will be moved half-way, etc.

4. Click the Quantize button or select "Quantize Notes" from the Edit menu.

The selected notes are quantized.


Change Events...

The Change Events dialog contains some special editing functions. Proceed as follows:

1. Select the events to which you want to apply the editing functions.

The Change Events functions are mainly used with notes, but the Scale Tempo function will also affect controllers and pattern changes (see below).

2. Select Change Events from the Edit menu or the context menu for the selected events.

The Change Events dialog appears.

3. Make settings for one of the functions in the dialog and click the Apply button next to the settings.

All settings can be made by clicking the spin controls or by clicking in a value field and entering a value numerically. The functions are described below.

4. If you like, use other settings in the same way.

You can use the transport controls as usual while the dialog is open. This allows you to play back the events to check out the changes.

5. When you are done, close the dialog.

Transpose

This function transposes the selected notes up or down, by the specified number of semitones.

Velocity

Adjusts the velocity of the selected notes.

The Add field lets you add a fixed amount to the velocity values.

To subtract, enter a negative amount. Note that the possible velocity range is 0-127. Adding an amount to a note with velocity 127 will not make any difference.

The Scale field allows you to scale velocities by a percentage factor.

Scaling with a factor above 100% will increase the velocity values, but also make the difference between soft and hard notes bigger. Scaling with a factor below 100% will decrease the velocity values, but also make the difference between soft and hard notes smaller.

By combining the Add and Scale functions, you can adjust the "dynamics" of the notes in various ways.

For example, by using a Scale factor below 100% and Add a suitable amount, you can "compress" the velocity values (decreasing the difference between the velocity values without lowering the average velocity).

Scale Tempo

This function will make the selected events play back faster (Scale factor above 100%) or slower (Scale factor below 100%). This is achieved by changing the position of the events (starting from the first selected event) and adjusting the length of the notes accordingly.

The buttons [*2] and [/2] are "shortcuts" to Scale factors 200% and 50%, respectively.

These are probably the most common values used, simulating double tempo and half tempo.

This function affects all types of events: notes, controllers and pattern changes!

Alter Notes

This function alters the properties pitch, length and velocity of the selected notes in a random fashion.

The function will only "use" values that already exist among the selected notes.

For example, if you have selected notes within a specific pitch interval, the altered notes will remain within this pitch interval. Similarly, only velocity values and note lengths that were already used in the selection will be applied by the Alter function. You could say that the function "shuffles" the existing properties in a selection and redistributes them among the notes.

This means that the less variation there is among the selected notes, the less the effect of the Alter function.

You can adjust the amount of Altering with the Amount value.

This function is especially useful for experimenting with REX loops. Select some notes on a Dr.Rex track and use Alter Notes to create instant variations, without losing the timing and rhythmic feel of the loop!


Reload Samples

This menu item is used with the NN-XT sampler. When you select this, any changes you have made on a loaded sample using the single adjustment sample parameters are immediately undone, and the settings revert back to the original.


Add Zone

This menu item is used with the NN-XT sampler. It is used for adding an empty zone to the key map. An empty zone can be resized, moved and edited in the same way as zones that contain samples.

An empty zone is indicated with the text "**No Sample**". After you have added an empty zone, you can assign a sample to it.


Copy Zones

This menu item is used with the NN-XT sampler. It copies the selected zone(s), and all of its settings - including references to any sample it may contain - and places it in the clipboard buffer. You can then select "Paste Zones" to create a new zone that is an exact replica of the copied zone(s).


Paste Zones

This menu item is used with the NN-XT sampler. If you have used the "Copy Zones" command, with any number of selected zones, you can create exact duplicates of these by using the "Paste Zones" command. The pasted zones will then be added below any existing zones in the key map.


Duplicate Zones

This menu item is used with the NN-XT sampler. It lets you duplicate any number of already existing zones (containing samples or empty).

1. Select the zone(s) you want to copy.

2. Select "Duplicate Zones".

The selected zones will now be copied and automatically inserted below the last one in the key map display.

The duplicated zones will contain references to the same samples as the original zones. They will also have the exact same key ranges and parameter settings.


Delete Zones

This menu item is used with the NN-XT sampler. Selecting this option will remove both the selected zones, and any samples they may contain.


Select All Zones

This menu item is used with the NN-XT sampler. This option will automatically select all zones in a key map.


Copy Parameters to Selected Zones

This menu item is used with the NN-XT sampler. It lets you easily copy parameter settings from one zone to any number of other zones. Proceed as follows:

1. Select all the zones you want to involve in the operation.

By this we mean the zone with the settings you wish to copy, and the zone(s) to which you want to copy the settings.

2. Make sure the zone that contains the settings you want to copy has edit focus by clicking on it.

3. Select "Copy Parameters to Selected Zones".

All the selected zones will now get the exact same parameter settings.

Observe that this only applies to the synth parameters (LFOs, envelopes etc.). Sample parameters (root key, velocity range etc.) can not be copied.


Sort Zones by Note

This menu item is used with the NN-XT sampler. This option lets you automatically sort the selected zones within a Group in descending order according to their key ranges.

When you invoke this option, the selected zones will be sorted from top to bottom in the display starting with the one with the lowest range.

If two or more zones have the same key range, they are instead sorted by velocity range.


Sort Zones by Velocity

This menu item is used with the NN-XT sampler. This option lets you automatically sort the selected zones within a Group in descending order according to their set low or high velocity values.

When you invoke this option, the selected zones will be sorted from top to bottom starting with the one with the highest "Lo Vel "value.

If two or more zones have the same velocity range, they are instead sorted by key range.


Group Selected Zones

This menu item is used with the NN-XT sampler. It lets you put any number of selected zones together in a group.

Grouping zones is good for two things:

To allow you to quickly select a number of zones that "belong together."

For example if you have created a layered sound consisting of piano and strings, you could put all string samples in one group and all piano samples in one group. Then you can quickly select all piano samples and make an adjustment to them by trimming a parameter.

To group zones that need to share group settings together.

For example, you may want to set a group to legato and monophonic mode and add some portamento so that you can play a part where you slide between notes.

Proceed as follows:

1. Select the zones you want to group together.

The zones don't have to be contiguous in order to be grouped. Regardless of their original positions in the samples column, they will all be put together in succession.

2. Select "Group Selected Zones".

The zones are grouped.

Note that there is always at least one group, since the zones you create are always grouped together by default.


Set Root Notes from Pitch Detection

This menu item is used with the NN-XT sampler. All instrument sounds have an inherent pitch. When playing a sample of such a sound on the keyboard, the keys you play must correspond to that pitch. For example, you may have recorded a piano playing the key "C3". When you map this onto the NN-XT key map, you must set things up so that the sampler plays back the sample at original pitch when you press the key C3, and this is done by adjusting the root note.

The NN-XT features a pitch detection function to help you set the root keys of loaded samples. This is useful if you for example load a sample that you haven't recorded yourself, and you don't have any information about its original pitch.

Proceed as follows:

1. Select all the zones you want to be subject to pitch detection.

2. Select "Set Root Notes from Pitch Detection".

The samples in all the selected zones will now be analyzed, and the detected root keys will automatically be set for you.

Note that for this to work properly, the samples must have some form of perceivable pitch. If it is sampled speech, or a snare drum for example, it probably doesn't have any discernible pitch.


Automap Zones

This menu item is used with the NN-XT sampler. The automap function can be used as a quick way of creating a key map, or as a good starting point for further adjustments of a key map.

Automap works under the assumption that you intend to create a key map for a complete instrument, for example a number of samples of a piano, all at different pitches.

1. Load the samples you want to Automap.

Now you have three options:

Trust that the root note information in the files is already correct.

Manually adjust the root notes (and tuning) for all the samples.

Use "Set Root Notes from Pitch Detection" to automatically set up the root notes.

2. Select all zones you want to automap.

3. Select Automap Zones.

All the selected zones will now be arranged automatically in the following way:

The zones will be sorted in the display (from top to bottom - lowest key first) according to the root keys.

The zones will be assigned key ranges according to the root keys.

The key ranges are set up so that the split between two zones is exactly in the middle between the zones' root notes. If two zones have the same root key they will be assigned the same key range.


Create Velocity Crossfades

This menu item is used with the NN-XT sampler. This is used for automatically setting up velocity crossfades for smooth transitions between overlapping zones. To set up crossfades, you adjust the fade out and fade in values for the overlapping zones.

An example:

Two zones are both set to play in the full velocity range of 1-127.

Zone 1 has a fade out value of 40.

This means that this zone will play at full level with velocity values below 40, With higher velocity values, it will gradually fade out.

Zone 2 has a fade in value of 80.

This has the effect that as you play velocity values up to 80, this zone will gradually fade in. With velocity values above 80, it will play at full level.

Instead of manually setting up a crossfade, you can let NN-XT do it for you. Proceed as follows:

1. Set up the zones so that their velocity ranges overlap, as desired.

2. Select the zones.

You can select as many zones as you wish, not just one pair of overlapping zones.

3. Select "Create Velocity Crossfades".

NN-XT will analyze the overlapping zones and automatically set up what it deems to be appropriate fade in and fade out values for the zones.

Note the following important points:

This operation will not work if both zones have full velocity ranges.

At least one of the zones must have a partial velocity range (see the chapter "About Full and Partial Velocity Ranges").

This operation will not work if the zones are completely overlapping.


Preferences - General
Mouse Knob Range

This lets you adjust the response sensitivity of the various knobs in Reason when manipulating them with the mouse. A higher sensitivity gives a higher degree of precision. You can choose between Normal, Precise and Very Precise.

Show Song/ReFill Splashes

This option allows you to decide whether the Browser should display the Splash Pictures or not when Browsing for a song or a ReFill. Furthermore, if this option is deactivated, song splashes will not be shown when you open songs.

Cable Animation

Cables in Reason are animated in a lifelike fashion when flipping the Rack and making connections. Should you so wish, you can choose to disable the cable movement animation by deactivating this checkbox.

Show Parameter Value Tool Tip

Normally, if you hold the mouse pointer over a parameter on a device panel for a moment, a Tool Tip appears displaying the name and the current value of the parameter. If you uncheck this option, Tool Tips will not be displayed.

Show Automation Indication

If a parameter is automated in the sequencer, this is, by default, indicated by a colored square around the parameter on the device panel. If you uncheck this option, automation will not be indicated.

Default Song

Every time you start Reason, and every time you select "New" from the File menu, a default song opens. The "standard" default song contains a few select devices.

This section lets you decide exactly what you want the default song to look like, by using the radio buttons to the left:

Empty Rack - This is an empty rack. Well, almost empty, since it contains the Reason hardware interface.

Built In - This is a built-in Reason Song, containing a few devices. Note that it is not possible to open this song by regular means - via the browser - since it is not an "independent".rns-file, and thus does not reside anywhere in the Reason folder.

Custom - This allows you to select a custom default song. Any Reason song can be used, so if you often create songs using the same or similar device setups, you can use a previously created song as the default song. This way, all new songs you create will have the same device setup.

To customize the contents of new songs, proceed as follows:

1. Select New from the File menu to create a new song document window.

2. Add/remove devices and make settings as desired.

Typically, you may want the default song to contain your choice of devices and possibly some patterns. You could also make some special routing between devices, or even add some sequencer data.

3. Save the song anywhere you like (preferably in the Reason program folder though) and under any name.

4. Pull down the Edit menu and open the Preferences dialog.

5. Go to the General page, and under "Default Song" click the radio button marked "Custom".

6. Click the browser button to the right in the dialog, navigate to the song you saved earlier and click "Open".

The name of the song appears in the textbox in the dialog.

7. Close the Preferences dialog.

The next time you launch the program or select New from the File menu, the new song document will contain the devices and settings you made.

CPU Usage Limit

Reason is a powerful program but also demanding in terms of processing power. The more devices you add to your rack, the more of your computer's resources it will use.

Furthermore, as you use more and more of your computer resources for creating audio, less will be available for the user interface, resulting in slower performance in terms of graphics and overall responsiveness.

The CPU Usage Limit setting allows you to set a limit on how much of the CPU (computer processor) that can be used for creating audio. The remaining capacity is reserved for the user interface and the graphics.

Set this so that you feel comfortable using the program, even when a very demanding song document is played back.

Use High Resolution Samples

Reason has the capability to play back samples with practically any resolution. This means that if for instance 24-bit samples are loaded in a sampler or the Redrum, playback of the samples can be in 24-bit resolution as well. If you are using such samples and want Reason to play them back in their original high resolution, make sure that this checkbox is ticked.

If this is activated, and if your audio card supports it, Reason will play back high resolution samples in their original resolution. If this option is not activated, Reason will play back all samples in 16-bit resolution, regardless of their original resolution.


Preferences - Audio
Master Tune

This lets you adjust the global tuning in Reason. Standard tuning is "middle A" at 440 Hz. You can adjust this by +/- 100 cents.

Audio Card Driver

This menu lists all the available Audio Card Drivers on your system, and lets you select which one Reason should use. Which option to select depends on the audio hardware:

If you are using audio hardware for which there is a specific ASIO driver, you should select this.

With an ASIO driver written specifically for the audio hardware you will get lower latency (see below), support for higher sampling frequencies (up to 96 kHz in 24 bit/32 bit float resolution), and possibly better support for additional hardware features such as multiple outputs.

If there is no specific ASIO driver, you should select the Direct Sound driver for the audio hardware.

This makes Reason communicate with the hardware via Direct Sound (a part of the Microsoft DirectX package). For this to be possible, you need to have DirectX installed on your computer, and there must be a Direct Sound driver for the audio hardware.

If the audio hardware doesn't support Direct Sound (i.e. there is no Direct Sound driver for the audio hardware), select the MME driver for the audio hardware.

This makes use of Windows Multimedia Extensions, the part of Windows that handles audio, MIDI, etc. Using MME often results in larger latency values (see below).

Active Channels (ASIO Only)

This displays the number of audio channels (outputs) the currently selected audio hardware supports. For a regular stereo card, this number will be "2". If your audio card has multiple outputs and an ASIO driver is selected for it, the "Channels" button will be available. By clicking on it, you will be able to select which channel outputs (stereo pairs) should be active. Active outputs will be indicated in the Reason Hardware Interface.

Clock Source (ASIO Only)

If you are using an ASIO driver for your audio hardware, you have the possibility of selecting a Clock Source. This is used for determining the source to which audio playback should synchronize its sample rate. If you have an audio card and a driver that supports it, you can choose to synchronize to external sources.

ASIO Control Panel (ASIO Only)

If you have selected an ASIO driver, this button brings up a control panel window specifically for that audio hardware. This may contain buffer settings, routing options, synchronization alternatives etc.

Sample Rate

This lets you specify the playback sample rate. The options available on this menu depends on which sample rates are supported by your audio hardware.

Play in Background

When this is activated, Reason will not "release its grip" on the audio hardware when another application is active.

The advantage is that Reason will keep playing while you work in the other application.

The disadvantage is that other audio applications may not be able to play any audio, depending on the type of driver used.

Output Latency & Buffer Size

The Output latency is the delay between when audio is "sent" from the program and when you actually hear it. The latency in an audio system depends on the audio hardware, its drivers and their settings.

If the latency is large, you will notice that the sound is delayed when you play a device from a MIDI keyboard. You may also notice that reactions are delayed when adjusting controls on the device panels (for example, if you lower the volume of a device, you will not hear this immediately but after the latency time). Therefore, you want to get as low a latency value as possible.

When you select a driver, its latency value is automatically reported and displayed in the Preferences-Audio dialog. Depending on the audio hardware and the driver, you may be able to adjust this value:

If you are running Reason using a Direct Sound or MME driver, you can adjust the latency value by using the Buffer Size slider or the up/down arrow buttons. The highest and lowest possible values depend on the driver.

If you are using an ASIO driver specifically written for the audio hardware, you can in most cases make settings for the hardware by clicking the Control Panel button. This opens the hardware's ASIO Device Control Panel, which may or may not contain parameters for adjusting the latency. Usually this is done by changing the number and/or size of the audio buffers - the smaller the audio buffers, the lower the latency. Please consult the documentation of your audio hardware and its ASIO drivers for details!

OK, so why not just set the latency to the lowest possible value? The problem is that selecting too low a latency is likely to result in playback problems (clicks, pops, dropouts, etc.). There are several technical reasons for this, the main one being that with smaller buffers (lower latency), the average strain on the CPU will be higher. This also means that the more CPU-intensive your Reason song (i.e. the more devices you use), the higher the minimum latency required for avoiding playback difficulties.

Latency Compensation

This control should normally only be adjusted when synchronizing Reason to external MIDI Clock.

Because of the latency problem, you might need to adjust Reason's playback in relation to the MIDI Clock sync master, so that they are in perfect time. The tempo will not differ between the two, but Reason might play ahead or behind the other application. You might need to adjust this. However, this is something you only need to do once. The setting is stored with your other preferences, so you don't need to adjust it again.

Proceed as follows:

1. Set up the other application so that it generates a solid click, on for example quarter or eighth notes, preferably with a special sound on the downbeat. This click can either come from an internal metronome or from a MIDI source. If you use a MIDI source, make sure you pick one that has solid MIDI timing.

2. Set up Reason so that it plays a similar rhythm as the other application. You might for example use the Redrum drum computer for this.

3. Start the two applications in sync.

4. Make sure you hear both applications at approximately equal level.

5. Open the Preferences dialog in Reason and select the Audio page.

6. Trim the "Latency compensation" setting until the "clicks" from the both sources sound at exactly the same time.

7. Close the Preferences dialog in Reason.


Preferences - MIDI
Sequencer Input & Channel

The Sequencer is the "standard" port for receiving MIDI input. This is what you should be using if you intend to use the Reason sequencer.

Once you have selected your MIDI interface on the Sequencer Port pop-up (and which channel it should receive on), you can direct incoming MIDI to any device by just clicking the "In" column to the left of a track name in the track list.


Preferences - Advanced MIDI
External Control Bus Inputs

The External Bus inputs provide up to 64 MIDI input channels divided into four buses, each with 16 channels.

These MIDI inputs are primarily for controlling Reason Devices from an external sequencer.

This could be an external hardware sequencer or sequencer software that is installed on the same computer as Reason. You should preferably use a multiple port MIDI interface, so you can select separate ports for Reason and the other MIDI devices to use, although this isn't strictly required. See the chapter "Routing MIDI to Reason" in the electronic documentation.

Remote Control Input

The Remote Control input is used for assigning a MIDI port for receiving MIDI Controller messages. How to use Remote Control is described in the electronic documentation in the chapter "MIDI and Keyboard Remote Control".

MIDI Clock Input

Using MIDI Clock, you can slave (synchronize) Reason to hardware devices (tape recorders, drum machines, stand alone sequencers, workstations etc.) and other computer programs running on the same or another computer. MIDI Clock is a very fast "metronome" that can be transmitted in a MIDI Cable. As part of the MIDI Clock concept there are also instructions for Start, Stop and locating to sixteenth note positions.

By first selecting the appropriate MIDI input using the MIDI Clock pop-up and then selecting "MIDI Clock Sync" on the Options menu, Reason is made ready to receive MIDI Clock sync.

See the "Synchronization" chapter for more information.

Disable MIDI Priority Boost

Reason normally tries to trim your computer system so that MIDI Input gets a higher priority than it normally does. This is to ensure best possible performance when for example recording notes via MIDI.

However, we can not guarantee that this attempt to boost MIDI priority will work on all systems and with all MIDI Interfaces. If you run into problems with your MIDI, try activating this switch.


Preferences - Sound Locations
Sound and Patch Search Paths

Reason songs and patches can contain references to other files on your hard disk, such as samples. To keep track of all files, Reason makes use of a "database". If you keep your Reason files within the database, Reason can update file paths, automatically search for missing files, etc.

This database consists of up to four different folders on disk (and all their subfolders). You specify which folders to use as database in the following way:

1. Click the "1" folder button below the heading "Sound and Patch Search Paths".

A file dialog appears.

2. Navigate to the desired folder and select it.

You can select a folder on any drive (including mapped network drives under Windows).

3. Click OK.

The folder is added as the first search path in the database.

4. If you like, specify search path 2 to 4 in the same way.

It is normally enough to specify a single path, since all underlying folders are automatically included in the database. Use the additional paths if you use more than one hard drive, CD-ROM drives etc.

When you add sound files or save Reason files, you should place them within the database (under one of the specified search path folders).


Sequencer Track

Tracks are automatically created when you create instrument devices in the rack. Still, you may need to create additional tracks (e.g. for recording effect device automation):

To create a new sequencer track, pull down the Create menu and select Sequencer Track.

The new track will appear below the currently selected track in the track list. Initially, it will not be connected to any device.

You can also create a new sequencer track specifically for a device by using the Create Sequencer Track for Device item on the device's context menu.

This works the same as when creating a new device, i.e. the new track is connected to the device and has the same name.


Device List

To create a new device, select the desired item on the Create menu.

The new device is added directly below the currently selected device in the rack.

If no device is selected, the new device is added at the bottom of the rack.

When you add a new device, Reason attempts to route it in a logical way.

A new track will automatically be created in the sequencer, and routed to the new device.

The track will have the same name as the device. MIDI input will also automatically be set to the new track, allowing you to immediately play the created device via MIDI.

By default, this only applies to instrument devices, not to mixers or effect devices. If you hold down [Alt] when you create the device, the opposite is true, i.e. mixers and effect devices get new tracks but instrument devices don't.


Internal Sync/MIDI Clock Sync/ReWire Sync

These three options are used to specify which type of tempo synchronization you prefer:

Internal Sync

When this is activated, the program is not synchronized to any external source. It plays in the tempo set on the transport panel.

MIDI Clock Sync

When this is activated, the program is synchronized to external MIDI Clock, as set up in the Preferences dialog. The tempo setting on the Transport is of no relevance, Reason plays in the tempo of the incoming MIDI Clock signals.

ReWire Sync

When this is activated, Reason is synchronized to another application via ReWire. This is not a setting that you can activate yourself, it is automatically enabled when the program is in ReWire slave mode.


Enable Keyboard Remote

When this is activated, keyboard keys can be used to control devices, as set up with the Edit Keyboard Remote feature.


Edit Keyboard Remote

To get an overview of which parameters are remote controllable select "Edit Keyboard Remote" from the Options menu.

When done, each device you select will show a yellow arrow symbol beside every parameter that can be assigned a keyboard remote.

If you click on an assignable parameter, a dialog appears allowing you to select a key command for that parameter.

You may use any key or a combination of [Shift] + any key.

Simply press the key (or key combination) you wish to use to remote control the parameter.

The "Key Received" field momentarily indicates that it is "learning" the keystroke(s), and then the dialog displays the name of the key you have pressed. If [Shift] was used, the box beside the word Shift in the dialog is ticked.

Note that the transport panel uses the numeric keypad for various commands. If you assign a parameter to a single numeric key, the corresponding transport functionality will be overridden!

About the two Edit Keyboard Remote Modes

If Edit Keyboard Remote is enabled (ticked) on the Options menu, assigned parameters are "tagged", showing the remote key for that parameter. In this mode, however, you cannot operate Reason normally, as every parameter you click on will open the Key Remote dialog. This mode is primarily for overview of available parameters and the current assignments.

Another way to assign keyboard remote commands is to have "Edit Keyboard Remote" deselected on the Options menu, and to simply right-click the parameter you wish to remote control.

This opens a pop-up menu, where one of the options will be "Edit Keyboard Remote". Selecting this opens the Key Remote dialog. Thus, you do not have to enable/disable Edit mode from the Options menu if you know that a parameter is assignable.

If you try to assign a Remote Key that is already in use, you will get an alert asking if you wish to change the current assignment.


Clear All Keyboard Remote

This menu command removes all keyboard mapping you have set up for the song.


Enable MIDI Remote Mapping

When this is activated, MIDI messages can be used to control devices, as set up with the Edit MIDI Remote feature.


Edit MIDI Remote Mapping

1. To get an overview of which parameters are MIDI remote controllable select "Edit MIDI Remote Mapping" from the Options menu.

When done, each device you select will show a green arrow symbol beside every parameter that can be assigned a MIDI remote.

2. If you click on a assignable parameter, a dialog appears allowing you to select a MIDI controller (or a Note number) to control that parameter.

Note numbers function exactly like Keyboard remote - they can only control on/off or min/max values.

3. Make sure that the "Learn from MIDI Input" box is ticked.

4. Simply turn the knob (or slider etc.) that you wish to use to remote control the parameter.

The "MIDI Received" field momentarily flickers as you turn the knob, and then the dialog shows the controller number and the channel it is transmitted on.

5. Click "OK" to exit the dialog.

The selected parameter now has a tag, displaying the controller number, and the MIDI channel used.

6. To exit Edit MIDI Remote Mapping mode, deselect it from the Options menu.

You do not always have to use this method - see below.

About the two Edit MIDI Remote Mapping Modes

If Edit MIDI Remote Mapping is enabled (ticked) on the Options menu, assigned parameters are "tagged", and the arrow indicators show the assignable parameters. In this mode, however, you cannot operate Reason normally, as every parameter you click on will open the MIDI Remote dialog. The Edit mode is primarily for overview of available parameters and the current assignments.

Another way to assign keyboard remote commands is to have "Edit MIDI Remote Mapping" deselected on the Options menu, and to simply right-click the parameter you wish to remote control.

This opens a pop-up menu, where one of the options will be "Edit MIDI Remote Mapping". Selecting this opens the MIDI Remote dialog. Thus, you do not have to select Edit mode from the Options menu if you already know that a parameter is free and assignable.


Clear All MIDI Remote Mapping

This menu command removes all MIDI Remote mapping that you have set up for the song.


Toggle Rack Front/Rear

This switches the rack between the front and rear views. A quicker way to do this is to press [Tab].


Show Cables

If you have made many connections in Reason, the cables can sometimes obscure the view, making it difficult to read the text printed on the back panels of the devices. You can hide/show all cables in the following way:

Select "Show/Hide cables" on the Options menu to hide all cables.

When cables are hidden, connections are indicated by a colored connector. Repeating the above procedure makes the cables appear again.

When hidden, you can still connect or disconnect cables in the same way as when they are shown.

Checking Connections

It is possible to check to which device a jack is connected, which is useful if the cables are hidden, or if the connected devices are located far apart in the rack:

Positioning the pointer over a connector makes a tool tip appear after a moment, showing the device and the specific connector at the other end.


Follow Song

When this is activated, the sequencer Arrange and Edit views will scroll with the song pointer, on playback. When this item is deactivated, the view will not scroll automatically.


Stay on top

When this is activated, the Reason window will always stay on top of other program's windows.


Adjust frame to clients

This changes the size of the application window so that it exactly fits the document windows.


Detach/Attach Sequencer Window

Selecting this will detach the sequencer pane from the rack, and open it in a separate window. When the sequencer is detached, the menu item text changes from Detach to Attach. Selecting this will then reattach the sequencer to the rack.


Cascade

This moves and resizes the open song documents, so that they are arranged in an overlapping pattern.


Tile Horizontally

This moves and resizes the open song documents, in a horizontal pattern.


Tile Vertically

This moves and resizes the open song documents, in a vertical pattern.


Arrange Icons

If you have minimized windows and moved them around in the application window, this command cleans up their positions on screen.


Window List

This lists all open song documents. Selecting one makes it the active window.


Contents

This menu item opens up the Help system with the Contents tab selected.


Index

This menu item opens up the Help system with the Index tab selected.


Search

This menu item opens up the Help system with the Search tab selected.


Internet Page Menu Options
About the Internet menu alternatives

Regardless of which of the Internet options you select, you will be connected to the Internet using your preferred browser. The browser will then take you to the page specified in the dialog.


Go to the Propellerhead Homepage

This takes you to the main entrance on the Propellerheads web site.


Download Reason Songs

This takes you to our archives of song files that you can download and use. You can also contribute with your own creations!


Download Reason ReFills

This takes you to ReFill archives with the latest offerings in free sounds for Reason!


Reason Tech Info and Support

If you have a problem or a technical question, this is the place to go!


Order Reason Now

This allows you to purchase your own personal copy of this exquisite application!


Register Reason Now

This takes you to the Propellerhead Software registration pages. Once registered you can download free sounds, chat with other Reason users and upload songs for others to hear!


About Reason

This menu item opens up a dialog that informs you about the version of the program and the people behind it.


Welcome to Reason Help!

This help system contains the following items:

A menu and dialog reference section.

A reference section describing the rack devices.

To get Help, do one of the following:

Select Contents from the Windows menu.

This brings up the table of contents for the Help system.

Select Index from the Windows menu.

This brings up an Index with key words you can click on.

Select Search from the Windows menu.

This allow you to search for any word in the Help file.

Press [F1] in the main window.

This brings up the table of contents for the Help system.

Press [F1] in a dialog, or click its Help button.

This brings up help for that dialog.


Setting up Preferences
Introduction
The Audio Page
Adjusting Output Latency
Setting up MIDI Input
Setting Sound and Patch Search Paths
Settings Done!


Introduction

The following Help topics help you set up the Preferences dialog correctly.

It is very important that you perform the following procedures carefully. If you don't, the program may not run properly!

More information about all the issues covered in these topics can be found in the printed and electronic documentation.


The Audio Page

1. Pull down the Page menu at the top of the dialog and select Audio.

2. Pull down the Audio Card Driver pop-up menu and select one of the options.

Which option to select depends on the platform and the audio hardware:

If you are using audio hardware for which there is a specific ASIO driver, you should select this.

If there is no specific ASIO driver for your audio hardware, select the Direct Sound (DX) driver for the audio hardware.

Only do this if there is a driver in the list with a name that starts with the word "DX" followed by the name of your audio card.

If no DirectX or ASIO driver is available, select an MME driver for the audio hardware.

This makes use of Windows Multimedia Extensions, the part of Windows that handles audio, MIDI, etc. Unfortunately, using an MME driver normally results in quite large latency values (see the next topic for details).


Adjusting Output Latency

In the middle of the audio page in the Preferences dialog, you will find an indication of the current Output Latency and a slider to adjust it.

The latency is the delay between when audio is "sent" from the program and when you actually hear it. If the latency is large, you will notice that the sound is delayed when you play a device from a MIDI keyboard.

When you select a driver, its latency value is automatically reported and displayed in the lower right corner of the Preferences-Audio dialog. Depending on the audio hardware and the driver, you may be able to adjust this value (it is not adjustable for ASIO drivers).

You want latency to be as low as possible, but if you set the slider too far down you may get clicks and pops during playback.

You do not need to adjust this value now, but if you hear audio artefacts during playback, open the Preferences dialog and raise the Output Latency a bit.


Setting up MIDI Input

This topic describes how to set up a single MIDI input to the program. This text assumes you will be using Reason's built in sequencer to create songs. For more advanced use, like direct MIDI control of the rack devices, synchronization and MIDI remote control, see the printed and electronic documentation.

1. Use the pop-up menu at the top of the Preferences dialog to select the MIDI page.

2. Pull down the Port pop-up menu in the Sequencer section and select the MIDI input to which your MIDI controller is connected.

3. Check on which MIDI channel your MIDI controller sends, and set the Channel pop-up menu to this value.

The sequencer will only accept MIDI data on one channel at a time.

4. For now, also select the Advanced MIDI page and make sure the pop-up menus on this page are all set to "No MIDI Input".


Setting Sound and Patch Search Paths

Reason songs and patches can contain references to other files on your hard disk, such as samples. To keep track of all files, Reason makes use of a "database". This database consists of up to four different folders on disk (and all their subfolders). You specify which folders to use as database in the following way:

1. Use the pop-up menu at the top of the dialog to select the Sound Locations page.

2. Click the "1" folder button below the heading "Sound and Patch Search Paths".

A file dialog appears.

3. Navigate to the desired folder and select it.

You can select a folder on any drive (including mapped network drives).

4. Click OK.

The folder is added as the first search path in the database.

5. If you like, specify search path 2 to 4 in the same way.

It is normally enough to specify a single path, since all underlying folders are automatically included in the database. Use the additional paths if you use more than one hard drive, CD-ROM drives etc.


Settings Done!

Now you are finished with your basic Preferences settings! Close the dialog and this Help window and you are ready to start enjoying the program!


Browser Dialog

The browser is a special file dialog that appears when you open songs or load patches, samples or REX files, from within a ReFill or from regular file folders. Its appearance varies slightly depending on what type of file you are opening.

Using the browser is much like using a regular file dialog, but there are some additional features:

Navigation pop-up menu and Up button

This is a regular navigation pop-up menu, listing all folders hierarchically above the current folder. Select a folder from the pop-up menu to go there, or click the Up button to go the closest folder above the current one.

Desktop button

Clicking this button takes you to the desktop of your computer. In the main file display, all available drives (hard disks, floppy drives, CD drives etc.) will be listed. To open a drive or a folder, double click on it in the file display.

Database folder buttons

While you can get to the database by starting at the desktop and navigating your way down, the database folder buttons offer a quicker way: Clicking any of these buttons takes you directly to the corresponding database folder (search path 1-4 respectively, as specified in the Preferences-Sound Locations folder). From there, you can open subfolders in the main file display, or navigate to a higher folder using the navigation pop-up.

The folder buttons for which you haven't specified a path are greyed-out (disabled).

Find All ReFills button

Clicking this button will make the program look for all available ReFills and list them in the main file display.

If you double click on a ReFill in the list, you can navigate "within" the ReFill and select songs or sounds for opening, just as if they were separate files on disk.

When you click the Find All ReFills button, Reason will look for ReFills in the root folder(s) of the database, in the Reason program folder and on any CD in the CD-ROM drive (regardless of whether the CD-ROM drive is specified as a database search path or not).

Re-scan button

Click this button to have Reason re-scan the currently shown folder and update the file display. Use this if you have changed the contents in a folder while the browser was open, if you have added a new disk or CD-ROM, etc.

Getting Info

The area to the right of the file display is the info area. This will show information about the item that is currently selected in the file display. Exactly which information is shown depends on the file type. For example, the info area for samples or REX files contains information about the file format and length of the selected file, while the song info area displays comments from the author (Song Information, see File menu), etc. If the selected file is part of a ReFill, this will be indicated regardless of the file type.

The Preview function

When browsing REX files or samples, you can audition files before you choose to load one. This is done in the following way:

Select the file in the file list and click the Preview - Play button to the right.

The file is played back. During playback, the Play button is relabeled to "Stop" - click this to stop playback.

You can also activate the Autoplay checkbox and simply select the file you want to audition.

The selected file is automatically played back. Again, click the Stop button to stop playback.

Opening files

When you have navigated to the desired folder (on your hard disk or within a ReFill) and located the desired file, you open it by double clicking it in the file display or by selecting it and clicking the Open button.

The browser will only display files of the relevant type. For example, if you have selected the "Browse Synth Patches" function for a Subtractor synth device, only synth patches will be listed.


Enter License Number

To be able to run the program you must fill out this dialog properly. The licence number can be found on the Product Authorization card included in your package. It is a number formatted as follows:

RSN200-9999-999999-XXXX-XXXX-XXXX-XXXX

...where "9" can be any number and "X" can be any letter or number.


Export Audio Settings
Sample Rate

This determines how much high frequency content the file can contain. 44100Hz allows for frequencies up to 22kHz, 48000 Hz for frequencies up to 24 kHz and so on. The higher the value the better the sound quality.

44100Hz (44.1kHz) is the standard, but 48000 Hz (48 kHz) is also common. Selecting higher sample rates creates larger files and may also make your files incompatible with other applications.

Bit Depth

This determines the resolution of the file, 16 or 24 bits. The higher this value the less background noise there will be in the file (though 16 bit files have extremely low background noise to start with). 16 bits is the standard. Selecting higher bit depths creates larger files and may also make your files incompatible with other applications.

The exported file will always be a stereo audio file.

Which format to select depends on how you are planning to use the file. If you are planning to burn an audio CD, you should select 16 bit, 44100 Hz.


Keyboard Remote
Key

When this is activated, a key has been mapped to this control. The actual key is displayed to the right of this button.

Shift

If you want to use a combination of a [Shift] key and another key, simply press that combination on the computer keyboard (for example [Shift]+[A]). You can also press a single key and activate this function afterwards by clicking in the check box.

Not Mapped

When this is activated, no key has been mapped to the function. You can also click here to deactivate the Keyboard remote command.

Key Received

This indicates that the program has registered a key press.


MIDI Remote
Channel/Controller/Note/Not Mapped

The first two radio buttons allow you to select whether you want a MIDI Controller message or a MIDI note to control the function. Not Mapped allows you to disable MIDI Remote for this control.

The fields to the right indicate which MIDI channel and which controller/key is currently used for the control.

MIDI Received

When Learn from MIDI Input is activated, this graph indicates that the program has registered a valid MIDI message.

Learn from Input

When this is activated, you can set up the dialog by simply sending a MIDI message to the program. Just move the controller or press the key that you want to use for remote control.


Missing Sounds

The main display in this dialog lists all missing files. The four columns show the following properties:

Column | Description
Device | Shows the name of the device in which the missing sound is used, along with a device type icon.
Sound | Shows the name of the missing file.
Part of ReFill package | If the missing file is part of a ReFill, this column shows the name of the ReFill. If there is an URL (Internet address) associated with the ReFill, you can download the necessary ReFill(s) from this dialog, as described below.
Status | When the dialog appears, all files will have the status "Missing". Files that are found by the auto-search function or manually replaced will be indicated as "Replaced".

Selecting

The Replace and Auto Search functions (see below) are performed on the files that are selected in the list. This allows you to replace some files manually (necessary if the files have been renamed or are outside the database), have the program find other files automatically and skip the rest of the files.

To select a file, click on it in the list.

You can use [Shift] and [Ctrl] to select several files.

To select all files in the list, click the Select All button.

When the dialog first appears, all files in the list are selected.

Auto Search

If you click the Auto Search button, Reason will search for the selected files in all database folders. If the program finds a file with the matching name and file type, the new path is stored in the song/patch and the file is shown as "Replaced" in the Status column.

Since the file search looks at the file names, files that have been renamed will not be found!

This also means that if your database contains several files with the same name, the wrong sounds may be found.

Replace

Clicking the Replace button opens the browser dialog, allowing you to manually locate each missing file. This allows you to use files outside the database or files that have been renamed. The browser dialog will appear once for each selected file in the list.

Download ReFill

If a missing sound is part of a ReFill (as indicated in the Part of ReFill Package column), and there is a valid URL (Internet address) for this ReFill, you can download the ReFill directly from this dialog (provided you have a working Internet connection):

1. Select the sound(s) that use the ReFill.

You should only select several sounds if they use the same ReFill.

2. Click the Download ReFill button.

This launches your Internet browser and takes you to the URL associated with the ReFill.

3. A dialog appears, asking you to download the ReFill and place it in one of the database folders. Do so.

4. Click OK.

Reason automatically scans the downloaded ReFill and locates the files.

Proceeding

At any point, you can click the OK button to close the dialog and open the song or patch. Note:

For the files you have found (status "Replaced"), the new paths will be stored in the song or patch.

However, you need to save the song or patch for the changes to become permanent!

If any file is still missing when you click OK, there will be sounds missing in the song/patch.

Sometimes, you may want to proceed with sounds missing, and then remove or replace the sounds from the device panels in the rack instead.

On the device panels, missing samples are indicated with an asterisk (*) before the file names.

Cancel

Clicking Cancel will abort the operation, i.e. the song or patch will not be opened.